GNU bug report logs - #20036
24.4.90; Emacs hangs/freezes

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Justin Kirby <justinkirby@HIDDEN>; merged with #6842, #21234; dated Sun, 8 Mar 2015 07:52:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 6842 20036 21234. Request was from Nicolas Richard <nrichard@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 20036 <at> debbugs.gnu.org:


Received: (at 20036) by debbugs.gnu.org; 27 Mar 2015 22:12:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 27 18:12:52 2015
Received: from localhost ([127.0.0.1]:38428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YbcUl-0002SQ-Jz
	for submit <at> debbugs.gnu.org; Fri, 27 Mar 2015 18:12:52 -0400
Received: from mail-qc0-f169.google.com ([209.85.216.169]:35351)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <justinkirby@HIDDEN>) id 1YbcUg-0002SA-80
 for 20036 <at> debbugs.gnu.org; Fri, 27 Mar 2015 18:12:50 -0400
Received: by qcfy6 with SMTP id y6so9166698qcf.2
 for <20036 <at> debbugs.gnu.org>; Fri, 27 Mar 2015 15:12:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:jabber-id:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=Ra5mhpB4hJsbyXXFnWavljXeYlGxLJ7PGVQv7VWjBWo=;
 b=pZwBV0/wewv1Vg/6l5lr/92ETUfbBFgbQ2QJ+u4Tsiqm3gI9BJdUwgRYSV2pJYWMtL
 wRq07p4GcCnvSar0k5j170Lg0MbzjjMUKzgIr6fq5AyXm090FXZG2CTxZc27e5tdnWIW
 t5+mu5cD9LO6NYKTgQozCpeYibXHHOpagWRr1nqfSkevtsTEs/6+NDuBuah4053vXD2Y
 8oiMzqHLd0x8jDeJyaxP3/TOV0IOg+siC8ncMLMMAP6vU1q2iFgQiIK/6SH2NP4CJR4t
 H+0VWTjZKhQ25PD6/8XgNQE2pw4O73xq9kVR31S9WWkIYR/JRSKYK5IITNOaXFyrgU7e
 Uk7A==
X-Received: by 10.140.130.71 with SMTP id 68mr28195981qhc.12.1427494360736;
 Fri, 27 Mar 2015 15:12:40 -0700 (PDT)
Received: from ethiopia.gmail.com (cpe-66-66-115-41.rochester.res.rr.com.
 [66.66.115.41])
 by mx.google.com with ESMTPSA id f8sm2406846qkh.23.2015.03.27.15.12.39
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Fri, 27 Mar 2015 15:12:39 -0700 (PDT)
From: Justin Kirby <justinkirby@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#20036: 24.4.90; Emacs hangs/freezes
References: <87k2ysb0bz.fsf@HIDDEN> <54FC1E9B.7020206@HIDDEN>
 <87k2yqn65w.fsf@HIDDEN> <54FD7806.1070203@HIDDEN>
 <83side5fby.fsf@HIDDEN> <87bnk2m40k.fsf@HIDDEN>
 <83fv9e5749.fsf@HIDDEN> <87bnjrynv8.fsf@HIDDEN>
 <8zk2yeajs8.fsf@HIDDEN>
Jabber-ID: zion@HIDDEN
Date: Fri, 27 Mar 2015 18:12:37 -0400
In-Reply-To: <8zk2yeajs8.fsf@HIDDEN> (Glenn Morris's message of
 "Wed, 18 Mar 2015 02:42:31 -0400")
Message-ID: <87vbhm9jje.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20036
Cc: rudalics@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 20036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


Glenn Morris <rgm@HIDDEN> writes:

> This looks the same as
>
> http://debbugs.gnu.org/6842
>
> which is ibus-related, apparently.


The system has been running continuously without suspending since
starting this latest emacs session. There is no indication that ibus has
restarted or any other problems



Configured using:
 `configure --build x86_64-linux-gnu --build x86_64-linux-gnu
 --with-pop=yes --with-x=yes --with-x-toolkit=gtk3
 --with-toolkit-scroll-bars 'CFLAGS=-g3 -Og -fstack-protector
 --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall'
 CPPFLAGS=-D_FORTIFY_SOURCE=2 'LDFLAGS=-Wl,-Bsymbolic-functions
 -Wl,-z,relro''

Important settings:
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Special

Minor modes in effect:
  smooth-scroll-mode: t
  helm-mode: t
  helm-match-plugin-mode: t
  helm-occur-match-plugin-mode: t
  show-paren-mode: t
  pyvenv-mode: t
  savehist-mode: t
  jabber-activity-mode: t
  global-git-gutter+-mode: t
  magit-auto-revert-mode: t
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  global-auto-revert-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<down-mouse-1> <mouse-1> C-x 1 M-x e m a <backspace> 
<backspace> <backspace> r e p o r t - e m <return>



bt full:

#0  0x00007ffff25b912d in poll () at ../sysdeps/unix/syscall-template.S:81
No locals.
#1  0x00007fffeee7ab72 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
No symbol table info available.
#2  0x00007fffeee7c64f in xcb_wait_for_event () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
No symbol table info available.
#3  0x00007ffff4c9a198 in _XReadEvents () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#4  0x00007ffff4c82751 in XIfEvent () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#5  0x00007ffff4cc8f24 in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#6  0x00007ffff4cc9b80 in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#7  0x00007ffff4cc9e71 in _XimRead () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#8  0x00007ffff4cb88a6 in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#9  0x00007ffff4ca6b3d in XSetICValues () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#10 0x00000000004bd419 in xic_set_preeditarea (w=w@entry=0x91de1a0, x=x@entry=0, y=y@entry=361) at xfns.c:2107
        attr = 0xa78b3c0
        spot = {x = 9, y = 376}
#11 0x00000000004ac4c8 in x_draw_window_cursor (w=0x91de1a0, glyph_row=<optimized out>, x=0, y=361, cursor_type=<optimized out>, 
    cursor_width=<optimized out>, on_p=<optimized out>, active_p=<optimized out>) at xterm.c:7331
No locals.
#12 0x00000000004544a4 in display_and_set_cursor (w=w@entry=0x91de1a0, on=on@entry=true, hpos=0, vpos=19, x=0, y=361) at xdisp.c:27572
        new_cursor_type = 0
        new_cursor_width = 1
        active_cursor = 1
        glyph_row = 0x8930fe0
        glyph = <optimized out>
#13 0x00000000004adc53 in x_update_window_end (w=0x91de1a0, cursor_on_p=<optimized out>, mouse_face_overwritten_p=<optimized out>) at xterm.c:582
No locals.
#14 0x000000000041a8da in update_window (w=w@entry=0x91de1a0, force_p=force_p@entry=true) at dispnew.c:3535
        end = 0x86d5110
        mode_line_row = 0x86d5110
        header_line_row = <optimized out>
        changed_p = <optimized out>
        mouse_face_overwritten_p = false
        row = <optimized out>
        yb = <optimized out>
        n_updated = <optimized out>
        desired_matrix = <optimized out>
        paused_p = false
        preempt_count = <optimized out>
        rif = <optimized out>
#15 0x000000000041a96d in update_window_tree (w=0x91de1a0, force_p=force_p@entry=true) at dispnew.c:3210
        paused_p = false
#16 0x000000000041a955 in update_window_tree (w=w@entry=0x7742cd0, force_p=force_p@entry=true) at dispnew.c:3208
        paused_p = false
#17 0x000000000041c259 in update_frame (f=f@entry=0x5e68528, force_p=true, force_p@entry=false, inhibit_hairy_id_p=inhibit_hairy_id_p@entry=false)
    at dispnew.c:3099
        paused_p = <optimized out>
#18 0x000000000044bfd0 in redisplay_internal () at xdisp.c:14030
        mini_window = <optimized out>
        w = 0x91de1a0
        sw = <optimized out>
        pending = 0
        must_finish = <optimized out>
        match_p = <optimized out>
        tlbufpos = {charpos = 99298133, bytepos = 558}
        tlendpos = {charpos = 9179, bytepos = 9179}
        number_of_visible_frames = <optimized out>
        sf = 0x5e68528
        polling_stopped_here = 1
        tail = <optimized out>
        consider_all_windows_p = <optimized out>
        update_miniwindow_p = <optimized out>
#19 0x000000000044cd0e in redisplay () at xdisp.c:13207
No locals.
#20 0x00000000004e1cfe in read_char (commandflag=1, map=map@entry=87118598, prev_event=12005682, used_mouse_menu=used_mouse_menu@entry=0x7fffffffdbbb, 
    end_time=end_time@entry=0x0) at keyboard.c:2570
        c = <optimized out>
        local_getcjmp = {{__jmpbuf = {4611686019484352512, 0, 4611686018595160064, 5502441, 140737488345536, 4, 1, 5773536}, __mask_was_saved = -9760, 
            __saved_mask = {__val = {582, 583, 5777369, 0, 140737488345592, 92027624, 5789699, 584, 5453221, 12193058, 87121136, 2, 0, 2336, 16166224, 
                16252962}}}}
        save_jump = {{__jmpbuf = {16345424, 5153361, 12005682, 8, 12038258, 87121141, 9763, 0}, __mask_was_saved = -9544, __saved_mask = {__val = {12005682, 
                12005682, 96280982, 17977005, 87118614, 4294967295, 12005682, 12005730, 2, 12005682, 5154634, 39366918, 12005682, 86164, 42351456, 1}}}}
        tem = <optimized out>
        save = <optimized out>
        previous_echo_area_message = 12005682
        also_record = 12005682
        reread = false
        polling_stopped_here = false
        orig_kboard = 0xd24eb0
#21 0x00000000004e3302 in read_key_sequence (keybuf=keybuf@entry=0x7fffffffdc80, bufsize=bufsize@entry=30, prompt=12005682, 
    dont_downcase_last=dont_downcase_last@entry=false, can_return_switch_frame=can_return_switch_frame@entry=true, 
    fix_current_buffer=fix_current_buffer@entry=true, prevent_redisplay=prevent_redisplay@entry=false) at keyboard.c:9088
        interrupted_kboard = 0xd24eb0
        interrupted_frame = 0x5e68528
        key = <optimized out>
        used_mouse_menu = false
        echo_local_start = 0
        last_real_key_start = <optimized out>
        keys_local_start = <optimized out>
        new_binding = <optimized out>
        t = <optimized out>
        echo_start = 0
        keys_start = 0
        current_binding = 87118598
        first_event = 12005682
        first_unbound = 31
        mock_input = 0
        fkey = {parent = 15799430, map = 15799430, start = 0, end = 0}
        keytran = {parent = 11985478, map = 11985478, start = 0, end = 0}
        indec = {parent = 15799462, map = 15799462, start = 0, end = 0}
        shift_translated = false
        delayed_switch_frame = 12005682
        original_uppercase = 8649276117469031424
        original_uppercase_position = -1
        dummyflag = false
        starting_buffer = 0x5315cf0
        fake_prefixed_keys = 12005682
#22 0x00000000004e48bb in command_loop_1 () at keyboard.c:1452
        cmd = <optimized out>
        keybuf = {12047538, 444, 140737488346360, 2, 22674384, 8649276117469031424, 390842032849, 49727126, 49727126, 140737488346692, 0, 0, 9466365, 
          5508093, 12053138, 49727126, 8513249, 9466365, 9466365, 5098287, 64, 12005682, 12005682, 5098583, 12253952, 4000, 140737488346692, 0, 0, 5511372}
        i = <optimized out>
        prev_modiff = 86164
        prev_buffer = 0x5315cf0
#23 0x000000000053dbea in internal_condition_case (bfun=bfun@entry=0x4e45c4 <command_loop_1>, handlers=12057250, hfun=hfun@entry=0x4dcb44 <cmd_error>)
    at eval.c:1348
        val = <optimized out>
        c = <optimized out>
#24 0x00000000004d7eff in command_loop_2 (ignore=ignore@entry=12005682) at keyboard.c:1177
        val = <optimized out>
#25 0x000000000053dacb in internal_catch (tag=12053186, func=func@entry=0x4d7ee5 <command_loop_2>, arg=12005682) at eval.c:1112
        val = <optimized out>
        c = <optimized out>
#26 0x00000000004d7e97 in command_loop () at keyboard.c:1156
No locals.
#27 0x00000000004dc7ba in recursive_edit_1 () at keyboard.c:777
        val = <optimized out>
#28 0x00000000004dca8a in Frecursive_edit () at keyboard.c:848
        buffer = <optimized out>
#29 0x00000000004d7924 in main (argc=<optimized out>, argv=0x7fffffffdf98) at emacs.c:1646
        dummy = 0
        stack_bottom_variable = -1 '\377'
        do_initial_setlocale = <optimized out>
        dumping = false
        skip_args = 0
        rlim = {rlim_cur = 8720000, rlim_max = 18446744073709551615}
        no_loadup = false
        junk = 0x0
        dname_arg = 0x0
        ch_to_dir = 0x1344fc0 "@p4\001"
        original_pwd = 0x0





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20036; Package emacs. Full text available.

Message received at 20036 <at> debbugs.gnu.org:


Received: (at 20036) by debbugs.gnu.org; 18 Mar 2015 19:22:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 18 15:22:43 2015
Received: from localhost ([127.0.0.1]:51937 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YYJYA-00027K-L7
	for submit <at> debbugs.gnu.org; Wed, 18 Mar 2015 15:22:43 -0400
Received: from mail-qg0-f46.google.com ([209.85.192.46]:33994)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <justinkirby@HIDDEN>) id 1YYJY8-00027B-MF
 for 20036 <at> debbugs.gnu.org; Wed, 18 Mar 2015 15:22:41 -0400
Received: by qgh62 with SMTP id 62so46438477qgh.1
 for <20036 <at> debbugs.gnu.org>; Wed, 18 Mar 2015 12:22:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:jabber-id:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=BiNHU8j+xW8tqedDTp/J4Wr9317asRiuNLRR8rW8bbE=;
 b=dvsY0HfM6cQQH/qhuRCL3uYjnkbk60r3x8Fn1h7ScZoMeNrPTL/kBd4dCLIOPnUlU8
 ew+Zp0sZuKMWNS//YPueY70E58cAWn60EB0vASUb0ZXtGJG5p9F1TMLxgvL1F+lH8vt4
 y7Hv3dw24W4kn5G4HZblb23aDFjKbMIBChAbIibzShBSMZRgStCFEFWFMmBYhqKxnrdI
 NSud8eS8EHAjfuo7H3lTsYkSYBt6AJGxQIga6mRHa0eaBnmns3qmbpNJ1q1hRcucBFcx
 RGoXLy45wZLzsGtO5cAGr1qX6LBsjYZ4xfYTKcNhLJJ2D5hZnUnhswWYQ4ZJpYCL/XAB
 8AHQ==
X-Received: by 10.140.18.198 with SMTP id 64mr88057553qgf.50.1426706560156;
 Wed, 18 Mar 2015 12:22:40 -0700 (PDT)
Received: from ethiopia.gmail.com (cpe-66-66-115-41.rochester.res.rr.com.
 [66.66.115.41])
 by mx.google.com with ESMTPSA id m49sm12473259qgd.44.2015.03.18.12.22.38
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Wed, 18 Mar 2015 12:22:39 -0700 (PDT)
From: Justin Kirby <justinkirby@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#20036: 24.4.90; Emacs hangs/freezes
References: <87k2ysb0bz.fsf@HIDDEN> <54FC1E9B.7020206@HIDDEN>
 <87k2yqn65w.fsf@HIDDEN> <54FD7806.1070203@HIDDEN>
 <83side5fby.fsf@HIDDEN> <87bnk2m40k.fsf@HIDDEN>
 <83fv9e5749.fsf@HIDDEN> <87bnjrynv8.fsf@HIDDEN>
 <8zk2yeajs8.fsf@HIDDEN>
Jabber-ID: zion@HIDDEN
Date: Wed, 18 Mar 2015 15:22:37 -0400
In-Reply-To: <8zk2yeajs8.fsf@HIDDEN> (Glenn Morris's message of
 "Wed, 18 Mar 2015 02:42:31 -0400")
Message-ID: <87mw3a3ybm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20036
Cc: rudalics@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 20036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Glenn Morris <rgm@HIDDEN> writes:

> This looks the same as
>
> http://debbugs.gnu.org/6842
>
> which is ibus-related, apparently.

Interesting. This is on a laptop that is suspended to ram a couple times
a week. The hang does not happen immediately after resuming. I will see
if suspend/resume can be correlated.

I do not see anything in ubuntu's 24.3 configure flags that would
prevent this from happening. I will rebuild the official tarball with
ubuntu's flags and see if that changes anything.


In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.7)
 of 2014-03-07 on lamiak, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:	Ubuntu 14.04.2 LTS

Configured using:
 `configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'
 '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
 '--localstatedir=/var/lib' '--infodir=/usr/share/info'
 '--mandir=/usr/share/man' '--with-pop=yes'
 '--enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/site-lisp:/usr/share/emacs/site-lisp'
 '--with-crt-dir=/usr/lib/x86_64-linux-gnu' '--with-x=yes'
 '--with-x-toolkit=gtk3' '--with-toolkit-scroll-bars'
 'build_alias=x86_64-linux-gnu' 'CFLAGS=-g -O2 -fstack-protector
 --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall'
 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro'
 'CPPFLAGS=-D_FORTIFY_SOURCE=2''





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20036; Package emacs. Full text available.
Merged 6842 20036. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 20036 <at> debbugs.gnu.org:


Received: (at 20036) by debbugs.gnu.org; 18 Mar 2015 06:42:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 18 02:42:35 2015
Received: from localhost ([127.0.0.1]:50919 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YY7gY-0002AU-Op
	for submit <at> debbugs.gnu.org; Wed, 18 Mar 2015 02:42:34 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:33681)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1YY7gX-0002AL-Em
 for 20036 <at> debbugs.gnu.org; Wed, 18 Mar 2015 02:42:33 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1YY7gV-0003ak-Cf; Wed, 18 Mar 2015 02:42:31 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Justin Kirby <justinkirby@HIDDEN>
Subject: Re: bug#20036: 24.4.90; Emacs hangs/freezes
References: <87k2ysb0bz.fsf@HIDDEN> <54FC1E9B.7020206@HIDDEN>
 <87k2yqn65w.fsf@HIDDEN> <54FD7806.1070203@HIDDEN>
 <83side5fby.fsf@HIDDEN> <87bnk2m40k.fsf@HIDDEN>
 <83fv9e5749.fsf@HIDDEN> <87bnjrynv8.fsf@HIDDEN>
X-Spook: unclassified UNSCOM Security Council domestic disruption
X-Ran: tV^?u2yZ+Cq?I`p}q>$|9ZkZ:B7sj>iBo->l:h]{B#}:MEsqGX)<mHHCaD=J7"Worcn>%*
X-Hue: blue
X-Attribution: GM
Date: Wed, 18 Mar 2015 02:42:31 -0400
In-Reply-To: <87bnjrynv8.fsf@HIDDEN> (Justin Kirby's message of "Tue, 
 17 Mar 2015 23:40:27 -0400")
Message-ID: <8zk2yeajs8.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 20036
Cc: rudalics@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 20036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


This looks the same as

http://debbugs.gnu.org/6842

which is ibus-related, apparently.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20036; Package emacs. Full text available.

Message received at 20036 <at> debbugs.gnu.org:


Received: (at 20036) by debbugs.gnu.org; 18 Mar 2015 03:40:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 17 23:40:36 2015
Received: from localhost ([127.0.0.1]:50856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YY4qQ-00063l-Nd
	for submit <at> debbugs.gnu.org; Tue, 17 Mar 2015 23:40:36 -0400
Received: from mail-qg0-f41.google.com ([209.85.192.41]:34651)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <justinkirby@HIDDEN>) id 1YY4qN-00063c-2C
 for 20036 <at> debbugs.gnu.org; Tue, 17 Mar 2015 23:40:33 -0400
Received: by qgh62 with SMTP id 62so27246057qgh.1
 for <20036 <at> debbugs.gnu.org>; Tue, 17 Mar 2015 20:40:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:jabber-id:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=qNIC92I5Mx1prpuFj6JXfEwShHWCqoaRdCLgfgMfvGg=;
 b=tLVi8ng75mgLE5LdLq7YNFM69WJrvsgP2z0G5jChMp8Uy1BI3CV6SUKDqlviiTtjSx
 euhT8oVPw1mfkmazgiW+JKtjVEB9zudEP6ucVaDcd7LDowV82X5oDom+VKOwmGNWytVc
 Yb1rFUJMVDO4/u2Ye/iJN59J4waRZPnUL0z9Pg3jyV2vVY522xXfhLDhHYk8CCa2uifK
 1s5Yf5QAsTYryKplrpfMSRTgislYBpv9OdtKWu0z1xFMYMLBlpQRUFRTFpQqJgLq26Oz
 2z4ZDOcheMlwFP7T+Cb1ISzDqYhR5aKlUGMVmBTbG5EjtsoYWwaJYcx7llaLEdjhdZ8L
 UcZw==
X-Received: by 10.55.31.97 with SMTP id f94mr91478153qkf.10.1426650030611;
 Tue, 17 Mar 2015 20:40:30 -0700 (PDT)
Received: from ethiopia.gmail.com (cpe-66-66-115-41.rochester.res.rr.com.
 [66.66.115.41])
 by mx.google.com with ESMTPSA id l78sm11027966qhl.34.2015.03.17.20.40.28
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Tue, 17 Mar 2015 20:40:29 -0700 (PDT)
From: Justin Kirby <justinkirby@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20036: 24.4.90; Emacs hangs/freezes
References: <87k2ysb0bz.fsf@HIDDEN> <54FC1E9B.7020206@HIDDEN>
 <87k2yqn65w.fsf@HIDDEN> <54FD7806.1070203@HIDDEN>
 <83side5fby.fsf@HIDDEN> <87bnk2m40k.fsf@HIDDEN>
 <83fv9e5749.fsf@HIDDEN>
Jabber-ID: zion@HIDDEN
Date: Tue, 17 Mar 2015 23:40:27 -0400
In-Reply-To: <83fv9e5749.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 09 Mar
 2015 21:00:06 +0200")
Message-ID: <87bnjrynv8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20036
Cc: rudalics@HIDDEN, 20036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Justin Kirby <justinkirby@HIDDEN>
>> Cc: martin rudalics <rudalics@HIDDEN>, 20036 <at> debbugs.gnu.org
>> Date: Mon, 09 Mar 2015 14:15:07 -0400
>> 
>> > Justin, can you tell when this started happening?  Is this problem new
>> > with Emacs 24.4.90, or did it happen before?
>> 
>> This is happening on a build from git branch emacs-24 on an Ubuntu 14.04
>> LTS. The problem has been occurring for all of the builds I have done. I
>> first did a git clone a few weeks ago. Sorry, I can't give an exact
>> date.
>> 
>> The default emacs24 package does not have this problem.
>
> Did you build the emacs24 package?  If not, could you please build
> Emacs 24.4 or 24.3 from the official source tarball on ftp.gnu.org,
> and do it in the same way as you build the emacs-24 branch of the git
> repo?  It is important to know whether there's a regression, or the
> problem is somehow triggered by some particular configuration.

I did a build from the official emacs tarball. The hang just
happened. The bt full is at the end. (I removed some report-emacs-bug
info because it was session based and I had to start a new session to
get that info.)

In GNU Emacs 24.4.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.8)
 of 2015-03-15 on ethiopia
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:	Ubuntu 14.04.2 LTS

Configured using:
 `configure --with-x-toolkit=gtk3 'CFLAGS=-Og -g3''

Important settings:
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix


Features:
(shadow sort org-element org-rmail org-mhe org-irc org-info org-gnus
org-docview doc-view jka-compr image-mode org-bibtex bibtex org-bbdb
org-w3m mail-extr emacsbug nndraft nnmh utf-7 nnimap utf7 nnfolder
parse-time executable bbdb-gnus netrc network-stream gnus-agent
gnus-srvr gnus-score score-mode nnvirtual nntp gnus-cache bbdb-message
bbdb-mua spam spam-stat bbdb-com crm gnus-uu yenc gnus-msg gnus-art
mm-uu mml2015 mm-view mml-smime smime dig nnir gnus-sum gnus-group
gnus-undo nnmail mail-source nnoo smtpmail sendmail gnus-start gnus-spec
gnus-int gnus-range gnus-win gnus-dired gnus gnus-ems nnheader
smooth-scroll helm-mode helm-files rx image-dired dired-x dired-aux ffap
helm-buffers helm-elscreen helm-tags helm-bookmark helm-adaptive
helm-info helm-net browse-url bookmark pp helm-locate helm-help
helm-match-plugin helm-grep helm-regexp helm-plugin helm-external
helm-utils dired helm helm-source bbdb bbdb-site timezone dired-details
smartscan paren sanityinc-tomorrow-night-theme
color-theme-sanityinc-tomorrow haskell-yas yasnippet
highlight-indentation flymake cc-defs eldoc company elpy pyvenv
elpy-refactor python json ido files-x etags cus-edit cus-start cus-load
savehist jabber jabber-notifications notifications jabber-libnotify dbus
jabber-awesome jabber-osd jabber-wmii jabber-xmessage jabber-festival
jabber-sawfish jabber-ratpoison jabber-tmux jabber-screen jabber-socks5
jabber-ft-server jabber-si-server jabber-ft-client jabber-ft-common
jabber-si-client jabber-si-common jabber-feature-neg jabber-truncate
jabber-time jabber-autoaway jabber-vcard-avatars jabber-chatstates
jabber-events jabber-vcard jabber-avatar jabber-activity jabber-watch
jabber-modeline jabber-ahc-presence jabber-ahc jabber-version
jabber-ourversion jabber-muc-nick-completion hippie-exp jabber-browse
jabber-search jabber-register jabber-roster jabber-presence jabber-muc
jabber-bookmarks jabber-private jabber-muc-nick-coloring hexrgb
jabber-widget jabber-disco wid-edit jabber-chat jabber-history
jabber-chatbuffer jabber-alert jabber-iq jabber-core jabber-console
sgml-mode ewoc jabber-keymap jabber-sasl sasl sasl-anonymous sasl-login
sasl-plain fsm jabber-logon jabber-conn srv dns starttls gnutls
jabber-xml jabber-menu jabber-util git-gutter-fringe+ fringe-helper
git-gutter+ ob-sh ob-python ob-R git-link magit-find-file dash
magit-key-mode magit view tramp tramp-compat tramp-loaddefs trampver
shell help-mode grep compile epa derived epg diff-mode autorevert
filenotify git-rebase-mode thingatpt git-commit-mode server log-edit
message rfc822 mml mml-sec mailabbrev mail-utils gmm-utils mailheader
pcvs-util add-log org-jira jiralib soap-client mm-decode mm-bodies
mm-encode url-http tls url-auth mail-parse rfc2231 rfc2047 rfc2045
ietf-drums url-gw url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util url-parse auth-source
gnus-util mm-util mail-prsvr password-cache url-vars mailcap warnings
xml org org-macro org-footnote org-pcomplete pcomplete org-list
org-faces org-entities noutline outline easy-mmode org-version
ob-emacs-lisp ob ob-tangle ob-ref ob-lob ob-table ob-exp org-src ob-keys
ob-comint comint ansi-color ring ob-core ob-eval org-compat org-macs
org-loaddefs format-spec find-func cal-menu calendar cal-loaddefs
ace-jump-mode-autoloads ag-autoloads apache-mode-autoloads
bbdb-autoloads calfw-autoloads calfw-gcal-autoloads
coffee-mode-autoloads color-theme-sanityinc-tomorrow-autoloads
color-theme-solarized-autoloads color-theme-autoloads
dired-details-autoloads eimp-autoloads elixir-mode-autoloads
elnode-autoloads db-autoloads creole-autoloads elpy-autoloads
company-autoloads erc-hl-nicks-autoloads erlang-autoloads
fakir-autoloads find-file-in-project-autoloads flymake-autoloads
flymake-cursor-autoloads advice git-gutter-autoloads
git-gutter-fringe+-autoloads fringe-helper-autoloads
git-gutter+-autoloads git-link-autoloads goto-last-change-autoloads
haskell-mode-autoloads edmacro kmacro helm-ag-autoloads
helm-ag-r-autoloads helm-autoloads async-autoloads
highlight-indentation-autoloads idomenu-autoloads
impatient-mode-autoloads htmlize-autoloads jabber-autoloads
jedi-autoloads auto-complete-autoloads epc-autoloads ctable-autoloads
concurrent-autoloads json-mode-autoloads json-reformat-autoloads
json-snatcher-autoloads kv-autoloads magit-filenotify-autoloads
magit-find-file-autoloads magit-gh-pulls-autoloads magit-autoloads
git-rebase-mode-autoloads git-commit-mode-autoloads gh-autoloads eieio
byte-opt bytecomp byte-compile cconv eieio-core logito-autoloads
markdown-mode+-autoloads markdown-mode-autoloads
noctilux-theme-autoloads noflet-autoloads org2blog-autoloads
metaweblog-autoloads info easymenu org-autoloads popup-autoloads
pymacs-autoloads python-environment-autoloads deferred-autoloads
pyvenv-autoloads rainbow-delimiters-autoloads restclient-autoloads
simple-httpd-autoloads smartscan-autoloads smooth-scroll-autoloads
unicode-fonts-autoloads ucs-utils-autoloads font-utils-autoloads
persistent-soft-autoloads list-utils-autoloads help-fns cl-macs cl gv
cl-loaddefs cl-lib pcache-autoloads w3m-autoloads web-autoloads
s-autoloads dash-autoloads web-mode-autoloads wsd-mode-autoloads
xml-rpc-autoloads yaml-mode-autoloads yasnippet-autoloads package
epg-config time-date tooltip electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 585843 39124)
 (symbols 48 60567 0)
 (miscs 40 147 271)
 (strings 32 134317 16219)
 (string-bytes 1 4129750)
 (vectors 16 48905)
 (vector-slots 8 827625 26884)
 (floats 8 475 176)
 (intervals 56 723 0)
 (buffers 960 29)
 (heap 1024 75866 4471))




#0  0x00007ffff25b912d in poll () at ../sysdeps/unix/syscall-template.S:81
No locals.
#1  0x00007fffeee7ab72 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
No symbol table info available.
#2  0x00007fffeee7c64f in xcb_wait_for_event () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
No symbol table info available.
#3  0x00007ffff4c9a198 in _XReadEvents () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#4  0x00007ffff4c82751 in XIfEvent () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#5  0x00007ffff4cc8f24 in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#6  0x00007ffff4cc9b80 in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#7  0x00007ffff4cc9e71 in _XimRead () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#8  0x00007ffff4cb88a6 in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#9  0x00007ffff4ca6b3d in XSetICValues () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#10 0x00000000004bd419 in xic_set_preeditarea (w=w@entry=0x6bfb7f8, x=x@entry=531, y=y@entry=741) at xfns.c:2107
        attr = 0x884c270
        spot = {x = 540, y = 2022}
#11 0x00000000004ac4c8 in x_draw_window_cursor (w=0x6bfb7f8, glyph_row=<optimized out>, x=531, y=741, cursor_type=<optimized out>, 
    cursor_width=<optimized out>, on_p=<optimized out>, active_p=<optimized out>) at xterm.c:7331
No locals.
#12 0x00000000004544a4 in display_and_set_cursor (w=w@entry=0x6bfb7f8, on=on@entry=true, hpos=59, vpos=39, x=531, y=741) at xdisp.c:27572
        new_cursor_type = 0
        new_cursor_width = 1
        active_cursor = 1
        glyph_row = 0xa489160
        glyph = <optimized out>
#13 0x00000000004adc53 in x_update_window_end (w=0x6bfb7f8, cursor_on_p=<optimized out>, mouse_face_overwritten_p=<optimized out>) at xterm.c:582
No locals.
#14 0x000000000041a8da in update_window (w=w@entry=0x6bfb7f8, force_p=force_p@entry=true) at dispnew.c:3535
        end = 0x44d8510
        mode_line_row = 0x44d8510
        header_line_row = <optimized out>
        changed_p = <optimized out>
        mouse_face_overwritten_p = false
        row = <optimized out>
        yb = <optimized out>
        n_updated = <optimized out>
        desired_matrix = <optimized out>
        paused_p = false
        preempt_count = <optimized out>
        rif = <optimized out>
#15 0x000000000041a96d in update_window_tree (w=0x6bfb7f8, force_p=force_p@entry=true) at dispnew.c:3210
        paused_p = false
#16 0x000000000041a955 in update_window_tree (w=w@entry=0x4e08f90, force_p=force_p@entry=true) at dispnew.c:3208
        paused_p = false
#17 0x000000000041c259 in update_frame (f=f@entry=0x5065b50, force_p=true, force_p@entry=false, inhibit_hairy_id_p=inhibit_hairy_id_p@entry=false)
    at dispnew.c:3099
        paused_p = <optimized out>
#18 0x000000000044bfd0 in redisplay_internal () at xdisp.c:14030
        mini_window = <optimized out>
        w = 0x6bfb7f8
        sw = <optimized out>
        pending = 0
        must_finish = <optimized out>
        match_p = <optimized out>
        tlbufpos = {charpos = 7827, bytepos = 7829}
        tlendpos = {charpos = 390, bytepos = 390}
        number_of_visible_frames = <optimized out>
        sf = 0x5065b50
        polling_stopped_here = 1
        tail = <optimized out>
        consider_all_windows_p = <optimized out>
        update_miniwindow_p = <optimized out>
#19 0x000000000044cd0e in redisplay () at xdisp.c:13207
No locals.
#20 0x00000000004e1cfe in read_char (commandflag=1, map=map@entry=50004598, prev_event=12005682, used_mouse_menu=used_mouse_menu@entry=0x7fffffffdbab, 
    end_time=end_time@entry=0x0) at keyboard.c:2570
        c = <optimized out>
        local_getcjmp = {{__jmpbuf = {0, -1, 4294967297, 32, 0, 0, 1, 5773536}, __mask_was_saved = 0, __saved_mask = {__val = {7884, 7885, 5777369, 0, 
                140737488345576, 55014536, 5789699, 7886, 5453221, 12193058, 21945392, 2, 0, 31544, 16038560, 16127458}}}}
        save_jump = {{__jmpbuf = {16207184, 5153361, 12005682, 8, 12038258, 21945397, 8283, 0}, __mask_was_saved = -9560, __saved_mask = {__val = {12005682, 
                12005682, 117046758, 21945392, 50004630, 4294967295, 12005682, 12005730, 2, 12005682, 5154634, 39574262, 12005682, 354443, 39919024, 1}}}}
        tem = <optimized out>
        save = <optimized out>
        previous_echo_area_message = 12005682
        also_record = 12005682
        reread = false
        polling_stopped_here = false
        orig_kboard = 0xccef60
#21 0x00000000004e3302 in read_key_sequence (keybuf=keybuf@entry=0x7fffffffdc70, bufsize=bufsize@entry=30, prompt=12005682, 
    dont_downcase_last=dont_downcase_last@entry=false, can_return_switch_frame=can_return_switch_frame@entry=true, 
    fix_current_buffer=fix_current_buffer@entry=true, prevent_redisplay=prevent_redisplay@entry=false) at keyboard.c:9088
        interrupted_kboard = 0xccef60
        interrupted_frame = 0x5065b50
        key = <optimized out>
        used_mouse_menu = false
        echo_local_start = 0
        last_real_key_start = <optimized out>
        keys_local_start = <optimized out>
        new_binding = <optimized out>
        t = <optimized out>
        echo_start = 0
        keys_start = 0
        current_binding = 50004598
        first_event = 12005682
        first_unbound = 31
        mock_input = 0
        fkey = {parent = 15799430, map = 15799430, start = 0, end = 0}
        keytran = {parent = 11985478, map = 11985478, start = 0, end = 0}
        indec = {parent = 15799462, map = 15799462, start = 0, end = 0}
        shift_translated = false
        delayed_switch_frame = 12005682
        original_uppercase = -630343639519895552
        original_uppercase_position = -1
        dummyflag = false
        starting_buffer = 0x14edc30
        fake_prefixed_keys = 12005682
#22 0x00000000004e48bb in command_loop_1 () at keyboard.c:1452
        cmd = <optimized out>
        keybuf = {12182530, 15355634, 424, 2, 21945392, -630343639519895552, 390842032865, 106413414, 106413414, 140737488346676, 0, 0, 12005682, 5508093, 
          12053138, 106413414, 8513249, 12005682, 12005682, 5098287, 64, 12005682, 12005682, 5098583, 12253952, 4000, 140737488346676, 0, 0, 5511372}
        i = <optimized out>
        prev_modiff = 354443
        prev_buffer = 0x14edc30
#23 0x000000000053dbea in internal_condition_case (bfun=bfun@entry=0x4e45c4 <command_loop_1>, handlers=12057250, hfun=hfun@entry=0x4dcb44 <cmd_error>)
    at eval.c:1348
        val = <optimized out>
        c = <optimized out>
#24 0x00000000004d7eff in command_loop_2 (ignore=ignore@entry=12005682) at keyboard.c:1177
        val = <optimized out>
#25 0x000000000053dacb in internal_catch (tag=12053186, func=func@entry=0x4d7ee5 <command_loop_2>, arg=12005682) at eval.c:1112
        val = <optimized out>
        c = <optimized out>
#26 0x00000000004d7e97 in command_loop () at keyboard.c:1156
No locals.
#27 0x00000000004dc7ba in recursive_edit_1 () at keyboard.c:777
        val = <optimized out>
#28 0x00000000004dca8a in Frecursive_edit () at keyboard.c:848
        buffer = <optimized out>
#29 0x00000000004d7924 in main (argc=<optimized out>, argv=0x7fffffffdf88) at emacs.c:1646
        dummy = 0
        stack_bottom_variable = -1 '\377'
        do_initial_setlocale = <optimized out>
        dumping = false
        skip_args = 0
        rlim = {rlim_cur = 8720000, rlim_max = 18446744073709551615}
        no_loadup = false
        junk = 0x0
        dname_arg = 0x0
        ch_to_dir = 0x1353dd0 "\220\230\063\001"
        original_pwd = 0x0




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20036; Package emacs. Full text available.

Message received at 20036 <at> debbugs.gnu.org:


Received: (at 20036) by debbugs.gnu.org; 16 Mar 2015 01:03:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 15 21:03:33 2015
Received: from localhost ([127.0.0.1]:47795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YXJRM-0001ms-Pw
	for submit <at> debbugs.gnu.org; Sun, 15 Mar 2015 21:03:33 -0400
Received: from mail-qc0-f179.google.com ([209.85.216.179]:34158)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <justinkirby@HIDDEN>) id 1YXJRJ-0001mi-9X
 for 20036 <at> debbugs.gnu.org; Sun, 15 Mar 2015 21:03:29 -0400
Received: by qcaz10 with SMTP id z10so31752949qca.1
 for <20036 <at> debbugs.gnu.org>; Sun, 15 Mar 2015 18:03:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:jabber-id:date:in-reply-to:message-id
 :user-agent:mime-version:content-type:content-transfer-encoding;
 bh=DwKsngVW9oxTIaH/ck067Ud1vt9YLX+mvWcTfPm6FiQ=;
 b=YB5DEGkVDIxbqP6809BB/60eBtGLNMvL1Z7ABpaN/pLgRZ6GSV08kIGVOT1ak6Qss/
 mQvL34OMpBvLVdL87Zya8aWCUKNdVB/vyjo4+SxxQESX/yjVmEc633nJYVFhmh/FiBr5
 LuZUO0ra/cQmRabLO79ZxRUJff70BtjjIjOnmAT2Qh4HfoZyzYam5MnvXyVg1Wzs4P++
 U/eV8apcL6CspohXgPvpev/Pm3Cdm743lnIvkXF1nC0EF7jgJkAYkDcRLaOAon+KUYF4
 jDUwyW8A9VmhONJF9vy65JhDqqoz49B67KKxwQR31iYfzpJdG0stWnlip8cDM3JVh4p3
 ViPg==
X-Received: by 10.55.20.40 with SMTP id e40mr109913192qkh.33.1426467808857;
 Sun, 15 Mar 2015 18:03:28 -0700 (PDT)
Received: from ethiopia.gmail.com (cpe-66-66-115-41.rochester.res.rr.com.
 [66.66.115.41])
 by mx.google.com with ESMTPSA id q129sm6450863qha.4.2015.03.15.18.03.26
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Sun, 15 Mar 2015 18:03:27 -0700 (PDT)
From: Justin Kirby <justinkirby@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20036: 24.4.90; Emacs hangs/freezes
References: <87k2ysb0bz.fsf@HIDDEN> <54FC1E9B.7020206@HIDDEN>
 <87k2yqn65w.fsf@HIDDEN> <54FD7806.1070203@HIDDEN>
 <83side5fby.fsf@HIDDEN> <87bnk2m40k.fsf@HIDDEN>
 <83fv9e5749.fsf@HIDDEN>
Jabber-ID: zion@HIDDEN
Date: Sun, 15 Mar 2015 21:03:25 -0400
In-Reply-To: <83fv9e5749.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 09 Mar
 2015 21:00:06 +0200")
Message-ID: <8761a1ah42.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Debbugs-Envelope-To: 20036
Cc: rudalics@HIDDEN, 20036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Justin Kirby <justinkirby@HIDDEN>
>> Cc: martin rudalics <rudalics@HIDDEN>, 20036 <at> debbugs.gnu.org
>> Date: Mon, 09 Mar 2015 14:15:07 -0400
>>=20
>> > Justin, can you tell when this started happening?  Is this problem new
>> > with Emacs 24.4.90, or did it happen before?
>>=20
>> This is happening on a build from git branch emacs-24 on an Ubuntu 14.04
>> LTS. The problem has been occurring for all of the builds I have done. I
>> first did a git clone a few weeks ago. Sorry, I can't give an exact
>> date.
>>=20
>> The default emacs24 package does not have this problem.
>
> Did you build the emacs24 package?  If not, could you please build
> Emacs 24.4 or 24.3 from the official source tarball on ftp.gnu.org,
> and do it in the same way as you build the emacs-24 branch of the git
> repo?  It is important to know whether there's a regression, or the
> problem is somehow triggered by some particular configuration.

The current binary is built from git. I will do a build from the tarball
now.

>
> Fir that matter, can you show the details of the build of the "default
> emacs24 package"?  The command "M-x report-emacs-bug RET" will insert
> the description into a buffer that you can then copy.

Ubuntu's emacs is configured with:

Configured using:
 `configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'
 '--prefix=3D/usr' '--sharedstatedir=3D/var/lib' '--libexecdir=3D/usr/lib'
 '--localstatedir=3D/var/lib' '--infodir=3D/usr/share/info'
 '--mandir=3D/usr/share/man' '--with-pop=3Dyes'
 '--enable-locallisppath=3D/etc/emacs24:/etc/emacs:/usr/local/share/emacs/2=
4.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/site-l=
isp:/usr/share/emacs/site-lisp'
 '--with-crt-dir=3D/usr/lib/x86_64-linux-gnu' '--with-x=3Dyes'
 '--with-x-toolkit=3Dgtk3' '--with-toolkit-scroll-bars'
 'build_alias=3Dx86_64-linux-gnu' 'CFLAGS=3D-g -O2 -fstack-protector
 --param=3Dssp-buffer-size=3D4 -Wformat -Werror=3Dformat-security -Wall'
 'LDFLAGS=3D-Wl,-Bsymbolic-functions -Wl,-z,relro'
 'CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2''

emacs-version -> GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.7=
) of 2014-03-07 on lamiak, modified by Debian

>
>> I read that if emacs freezes to use the lucid toolkit, which I did after
>> the first occurrence. I will try using another --with-x-toolkit value
>> and see if that works.
>
> Yes, that could also help, thanks.

I rebuilt with gtk3 support on git=20
69204d5a8ad8c3ea8f99880fdfb634b6109a59fb

It just hung, here is the bt full. I get here by doing C-z in gdb when
emacs hangs

#0  0x00007ffff25b912d in poll () at ../sysdeps/unix/syscall-template.S:81
No locals.
#1  0x00007fffeee7ab72 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
No symbol table info available.
#2  0x00007fffeee7c64f in xcb_wait_for_event () from /usr/lib/x86_64-linux-=
gnu/libxcb.so.1
No symbol table info available.
#3  0x00007ffff4c9a198 in _XReadEvents () from /usr/lib/x86_64-linux-gnu/li=
bX11.so.6
No symbol table info available.
#4  0x00007ffff4c82751 in XIfEvent () from /usr/lib/x86_64-linux-gnu/libX11=
.so.6
No symbol table info available.
#5  0x00007ffff4cc8f24 in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#6  0x00007ffff4cc9b80 in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#7  0x00007ffff4cc9e71 in _XimRead () from /usr/lib/x86_64-linux-gnu/libX11=
.so.6
No symbol table info available.
#8  0x00007ffff4cb88a6 in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#9  0x00007ffff4ca6b3d in XSetICValues () from /usr/lib/x86_64-linux-gnu/li=
bX11.so.6
No symbol table info available.
#10 0x00000000004bdb29 in xic_set_preeditarea (w=3Dw@entry=3D0x5e50b10, x=
=3Dx@entry=3D63, y=3Dy@entry=3D0) at xfns.c:2107
        attr =3D 0x6b3c7d0
        spot =3D {x =3D 72, y =3D 2554}
#11 0x00000000004acbf8 in x_draw_window_cursor (w=3D0x5e50b10, glyph_row=3D=
<optimized out>, x=3D63, y=3D0, cursor_type=3D<optimized out>, cursor_width=
=3D<optimized out>,=20
    on_p=3D<optimized out>, active_p=3D<optimized out>) at xterm.c:7331
No locals.
#12 0x00000000004549c1 in display_and_set_cursor (w=3Dw@entry=3D0x5e50b10, =
on=3Don@entry=3Dtrue, hpos=3D7, vpos=3D0, x=3D63, y=3D0) at xdisp.c:27662
        new_cursor_type =3D 0
        new_cursor_width =3D 1
        active_cursor =3D 1
        glyph_row =3D 0x832e010
        glyph =3D <optimized out>
#13 0x00000000004ae383 in x_update_window_end (w=3D0x5e50b10, cursor_on_p=
=3D<optimized out>, mouse_face_overwritten_p=3D<optimized out>) at xterm.c:=
582
No locals.
#14 0x000000000041a9ba in update_window (w=3Dw@entry=3D0x5e50b10, force_p=
=3Dforce_p@entry=3Dtrue) at dispnew.c:3541
        end =3D 0x83310d0
        mode_line_row =3D 0x83310d0
        header_line_row =3D <optimized out>
        changed_p =3D <optimized out>
        mouse_face_overwritten_p =3D false
        row =3D <optimized out>
        yb =3D <optimized out>
        n_updated =3D <optimized out>
        desired_matrix =3D <optimized out>
        paused_p =3D false
        preempt_count =3D <optimized out>
        rif =3D <optimized out>
#15 0x000000000041aa4d in update_window_tree (w=3D0x5e50b10, w@entry=3D0x48=
321e0, force_p=3Dforce_p@entry=3Dtrue) at dispnew.c:3216
        paused_p =3D false
#16 0x000000000041c339 in update_frame (f=3Df@entry=3D0x5e4fac8, force_p=3D=
true, force_p@entry=3Dfalse, inhibit_hairy_id_p=3Dinhibit_hairy_id_p@entry=
=3Dfalse)
    at dispnew.c:3105
        paused_p =3D <optimized out>
#17 0x000000000044c460 in redisplay_internal () at xdisp.c:14052
        mini_window =3D <optimized out>
        w =3D 0x5e50b10
        sw =3D <optimized out>
        pending =3D 0
        must_finish =3D <optimized out>
        match_p =3D <optimized out>
        tlbufpos =3D {charpos =3D 1, bytepos =3D 1}
        tlendpos =3D {charpos =3D 0, bytepos =3D 0}
        number_of_visible_frames =3D <optimized out>
        sf =3D 0x5e4fac8
        polling_stopped_here =3D 1
        tail =3D <optimized out>
        consider_all_windows_p =3D <optimized out>
        update_miniwindow_p =3D <optimized out>
#18 0x000000000044d1d1 in redisplay_preserve_echo_area (from_where=3Dfrom_w=
here@entry=3D8) at xdisp.c:14210
No locals.
#19 0x00000000004e0979 in detect_input_pending_run_timers (do_display=3Ddo_=
display@entry=3Dtrue) at keyboard.c:9898
        old_timers_run =3D 642062
#20 0x0000000000579661 in wait_reading_process_output (time_limit=3D<optimi=
zed out>, time_limit@entry=3D30, nsecs=3Dnsecs@entry=3D0, read_kbd=3Dread_k=
bd@entry=3D-1,=20
    do_display=3Ddo_display@entry=3Dtrue, wait_for_cell=3D12009778, wait_pr=
oc=3Dwait_proc@entry=3D0x0, just_wait_proc=3Djust_wait_proc@entry=3D0) at p=
rocess.c:4702
        old_timers_run =3D 642062
        old_buffer =3D 0x15d8430
        old_window =3D 98896661
        leave =3D false
        timeout_reduced_for_timers =3D <optimized out>
        channel =3D <optimized out>
        nfds =3D 0
        Available =3D {fds_bits =3D {1291377680, 0 <repeats 15 times>}}
        Writeok =3D {fds_bits =3D {0 <repeats 16 times>}}
        check_write =3D <optimized out>
        check_delay =3D <optimized out>
        no_avail =3D false
        xerrno =3D 11
        proc =3D <optimized out>
        timeout =3D {tv_sec =3D 0, tv_nsec =3D 80536307}
        wait_channel =3D -1
        got_some_input =3D true
#21 0x000000000041d26f in sit_for (timeout=3Dtimeout@entry=3D120, reading=
=3Dreading@entry=3Dtrue, display_option=3Ddisplay_option@entry=3D1) at disp=
new.c:5867
        sec =3D 30
        nsec =3D 0
        do_display =3D true
#22 0x00000000004e2986 in read_char (commandflag=3D1, map=3Dmap@entry=3D142=
618918, prev_event=3D12009778, used_mouse_menu=3Dused_mouse_menu@entry=3D0x=
7fffffffb1db,=20
    end_time=3Dend_time@entry=3D0x0) at keyboard.c:2810
        tem0 =3D <optimized out>
        timeout =3D 30
        delay_level =3D <optimized out>
        buffer_size =3D <optimized out>
        c =3D 12009778
        local_getcjmp =3D {{__jmpbuf =3D {13314049, 6845689441740993159, 12=
009778, 57207574, 22905909, 0, -6845697450591833465, 6845696916274492039},=
=20
            __mask_was_saved =3D 0, __saved_mask =3D {__val =3D {2016, 1200=
9778, 5201313, 94623296, 5499759, 22697013, 140737488334856, 8, 5455189,=20
                140737488334856, 22905904, 61, 5433261, 32, 16111392, 15561=
426}}}}
        save_jump =3D {{__jmpbuf =3D {13314049, 6845689441740993159, 120097=
78, 12103813, 22905909, 0, -6845697450600222073, 6845696916274492039},=20
            __mask_was_saved =3D 0, __saved_mask =3D {__val =3D {1407374883=
34744, 140737488334800, 67, 140737488334960, 8264288361439165696, 101241477=
,=20
                140737488334792, 38, 5455189, 12009778, 22905904, 65, 54332=
61, 152, 16111392, 15561426}}}}
        tem =3D <optimized out>
        save =3D <optimized out>
        previous_echo_area_message =3D 12009778
        also_record =3D 12009778
        reread =3D false
        polling_stopped_here =3D false
        orig_kboard =3D 0xcb28f0
#23 0x00000000004e3a22 in read_key_sequence (keybuf=3Dkeybuf@entry=3D0x7fff=
ffffb2a0, bufsize=3Dbufsize@entry=3D30, prompt=3D12009778,=20
    dont_downcase_last=3Ddont_downcase_last@entry=3Dfalse, can_return_switc=
h_frame=3Dcan_return_switch_frame@entry=3Dtrue,=20
    fix_current_buffer=3Dfix_current_buffer@entry=3Dtrue, prevent_redisplay=
=3Dprevent_redisplay@entry=3Dfalse) at keyboard.c:9089
        interrupted_kboard =3D 0xcb28f0
        interrupted_frame =3D 0x5e4fac8
        key =3D <optimized out>
        used_mouse_menu =3D false
        echo_local_start =3D 0
        last_real_key_start =3D <optimized out>
        keys_local_start =3D <optimized out>
        new_binding =3D <optimized out>
        t =3D <optimized out>
        echo_start =3D 0
        keys_start =3D 0
        current_binding =3D 142618918
        first_event =3D 12009778
        first_unbound =3D 31
        mock_input =3D 0
        fkey =3D {parent =3D 15803814, map =3D 15803814, start =3D 0, end =
=3D 0}
        keytran =3D {parent =3D 11989574, map =3D 11989574, start =3D 0, en=
d =3D 0}
        indec =3D {parent =3D 15803830, map =3D 15803830, start =3D 0, end =
=3D 0}
        shift_translated =3D false
        delayed_switch_frame =3D 12009778
        original_uppercase =3D 12009778
        original_uppercase_position =3D -1
        dummyflag =3D false
        starting_buffer =3D 0x15d8430
        fake_prefixed_keys =3D 12009778
#24 0x00000000004e4fdb in command_loop_1 () at keyboard.c:1453
        cmd =3D <optimized out>
        keybuf =3D {12051634, 4611686018595160064, 9435232, 5502745, 988966=
56, 12009778, 140737488335896, 98328760, 9435237, 61, 12009778, 16813538,=20
          140737488335776, 2, 4611686019484352512, 0, 4611686018595160064, =
5504409, 4294967294, 0, 0, 0, 140737488335896, 60, 0, 5427611, 22905909, 12=
009778,=20
          12233504, 11416384}
        i =3D <optimized out>
        prev_modiff =3D 6654
        prev_buffer =3D 0x15d8430
#25 0x000000000053e39a in internal_condition_case (bfun=3Dbfun@entry=3D0x4e=
4ce4 <command_loop_1>, handlers=3D12061346, hfun=3Dhfun@entry=3D0x4dd264 <c=
md_error>)
    at eval.c:1348
        val =3D <optimized out>
        c =3D <optimized out>
#26 0x00000000004d861f in command_loop_2 (ignore=3Dignore@entry=3D12009778)=
 at keyboard.c:1178
        val =3D <optimized out>
#27 0x000000000053e27b in internal_catch (tag=3D12132994, func=3Dfunc@entry=
=3D0x4d8605 <command_loop_2>, arg=3D12009778) at eval.c:1112
        val =3D <optimized out>
        c =3D <optimized out>
#28 0x00000000004d85f2 in command_loop () at keyboard.c:1149
        val =3D -516
#29 0x00000000004dceda in recursive_edit_1 () at keyboard.c:778
        val =3D <optimized out>
#30 0x0000000000501efd in read_minibuf (map=3Dmap@entry=3D65889222, initial=
=3Dinitial@entry=3D12009778, prompt=3D<optimized out>, prompt@entry=3D74161=
073,=20
    expflag=3D<optimized out>, histvar=3Dhistvar@entry=3D16813154, histpos=
=3D<optimized out>, defalt=3Ddefalt@entry=3D8517377, allow_props=3Dfalse,=20
    inherit_input_method=3Dtrue) at minibuf.c:674
        val =3D <optimized out>
        mini_frame =3D <optimized out>
        ambient_dir =3D 12333521
        minibuffer =3D 22905909
        input_method =3D 12009778
        enable_multibyte =3D <optimized out>
        pos =3D 0
        histstring =3D <optimized out>
        histval =3D 159568742
        empty_minibuf =3D 12103813
        dummy =3D <optimized out>
#31 0x00000000005021fd in Fread_from_minibuffer (prompt=3D74161073, initial=
_contents=3D12009778, keymap=3D65889222, read=3D12009778, hist=3D16813154,=
=20
    default_value=3D8517377, inherit_input_method=3D12009826) at minibuf.c:=
957
        histvar =3D 16813154
        histpos =3D <optimized out>
        val =3D -516
#32 0x000000000053fc6e in Ffuncall (nargs=3Dnargs@entry=3D8, args=3Dargs@en=
try=3D0x7fffffffb630) at eval.c:2837
        fun =3D <optimized out>
        original_fun =3D <optimized out>
        numargs =3D 7
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
        count =3D <optimized out>
#33 0x000000000056f591 in exec_byte_code (bytestr=3D<optimized out>, vector=
=3D42982549, maxdepth=3D<optimized out>, args_template=3Dargs_template@entr=
y=3D7196,=20
    nargs=3Dnargs@entry=3D7, args=3D<optimized out>, args@entry=3D0x7ffffff=
fb818) at bytecode.c:916
        targets =3D {0x571826 <exec_byte_code+10660>, 0x571871 <exec_byte_c=
ode+10735>, 0x571873 <exec_byte_code+10737>, 0x571875 <exec_byte_code+10739=
>,=20
          0x571882 <exec_byte_code+10752>, 0x571882 <exec_byte_code+10752>,=
 0x5718b9 <exec_byte_code+10807>, 0x5718f9 <exec_byte_code+10871>,=20
          0x56f13f <exec_byte_code+701>, 0x56f141 <exec_byte_code+703>, 0x5=
6f143 <exec_byte_code+705>, 0x56f145 <exec_byte_code+707>,=20
          0x56f152 <exec_byte_code+720>, 0x56f152 <exec_byte_code+720>, 0x5=
6f158 <exec_byte_code+726>, 0x56f11a <exec_byte_code+664>,=20
          0x56f3d0 <exec_byte_code+1358>, 0x56f3d2 <exec_byte_code+1360>, 0=
x56f3d4 <exec_byte_code+1362>, 0x56f3d6 <exec_byte_code+1364>,=20
          0x56f3e2 <exec_byte_code+1376>, 0x56f3e2 <exec_byte_code+1376>, 0=
x56f40d <exec_byte_code+1419>, 0x56f3e8 <exec_byte_code+1382>,=20
          0x56f4e6 <exec_byte_code+1636>, 0x56f4e8 <exec_byte_code+1638>, 0=
x56f4ea <exec_byte_code+1640>, 0x56f4f2 <exec_byte_code+1648>,=20
          0x56f4f4 <exec_byte_code+1650>, 0x56f4f4 <exec_byte_code+1650>, 0=
x56f4af <exec_byte_code+1581>, 0x56f4c1 <exec_byte_code+1599>,=20
          0x56f569 <exec_byte_code+1767>, 0x56f56b <exec_byte_code+1769>, 0=
x56f56d <exec_byte_code+1771>, 0x56f572 <exec_byte_code+1776>,=20
          0x56f574 <exec_byte_code+1778>, 0x56f574 <exec_byte_code+1778>, 0=
x56f532 <exec_byte_code+1712>, 0x56f544 <exec_byte_code+1730>,=20
          0x56f5eb <exec_byte_code+1897>, 0x56f5ed <exec_byte_code+1899>, 0=
x56f5ef <exec_byte_code+1901>, 0x56f5f2 <exec_byte_code+1904>,=20
          0x56f5f4 <exec_byte_code+1906>, 0x56f5f4 <exec_byte_code+1906>, 0=
x56f5b4 <exec_byte_code+1842>, 0x56f5c6 <exec_byte_code+1860>,=20
          0x57012c <exec_byte_code+4778>, 0x56ffdb <exec_byte_code+4441>, 0=
x56ffd3 <exec_byte_code+4433>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x57028d <exec_byte_code+5131>, 0x570325 <exec_byte_code+5283>, 0=
x57035f <exec_byte_code+5341>, 0x570399 <exec_byte_code+5399>,=20
          0x5703d3 <exec_byte_code+5457>, 0x56f308 <exec_byte_code+1158>, 0=
x56f346 <exec_byte_code+1220>, 0x570419 <exec_byte_code+5527>,=20
          0x56f2b5 <exec_byte_code+1075>, 0x56f37d <exec_byte_code+1275>, 0=
x57044e <exec_byte_code+5580>, 0x570485 <exec_byte_code+5635>,=20
          0x5704b0 <exec_byte_code+5678>, 0x5704e7 <exec_byte_code+5733>, 0=
x57051b <exec_byte_code+5785>, 0x570594 <exec_byte_code+5906>,=20
          0x5705bf <exec_byte_code+5949>, 0x5705f6 <exec_byte_code+6004>, 0=
x570631 <exec_byte_code+6063>, 0x57065c <exec_byte_code+6106>,=20
          0x570687 <exec_byte_code+6149>, 0x5706be <exec_byte_code+6204>, 0=
x5706f5 <exec_byte_code+6259>, 0x57072c <exec_byte_code+6314>,=20
          0x570767 <exec_byte_code+6373>, 0x57079b <exec_byte_code+6425>, 0=
x5707cf <exec_byte_code+6477>, 0x570848 <exec_byte_code+6598>,=20
          0x57088a <exec_byte_code+6664>, 0x5708cc <exec_byte_code+6730>, 0=
x570a36 <exec_byte_code+7092>, 0x570a72 <exec_byte_code+7152>,=20
          0x570aae <exec_byte_code+7212>, 0x570aea <exec_byte_code+7272>, 0=
x570b26 <exec_byte_code+7332>, 0x570b5a <exec_byte_code+7384>,=20
          0x570b9d <exec_byte_code+7451>, 0x570bd1 <exec_byte_code+7503>, 0=
x570c05 <exec_byte_code+7555>, 0x570c39 <exec_byte_code+7607>,=20
          0x570cd8 <exec_byte_code+7766>, 0x56fed2 <exec_byte_code+4176>, 0=
x570d11 <exec_byte_code+7823>, 0x570d3c <exec_byte_code+7866>,=20
          0x570db1 <exec_byte_code+7983>, 0x570dea <exec_byte_code+8040>, 0=
x570e23 <exec_byte_code+8097>, 0x570e4e <exec_byte_code+8140>,=20
          0x570e7a <exec_byte_code+8184>, 0x570ea6 <exec_byte_code+8228>, 0=
x570ed6 <exec_byte_code+8276>, 0x571826 <exec_byte_code+10660>,=20
          0x570f08 <exec_byte_code+8326>, 0x570f34 <exec_byte_code+8370>, 0=
x570f60 <exec_byte_code+8414>, 0x570f8c <exec_byte_code+8458>,=20
          0x570fb8 <exec_byte_code+8502>, 0x570fe4 <exec_byte_code+8546>, 0=
x56fed2 <exec_byte_code+4176>, 0x571826 <exec_byte_code+10660>,=20
          0x57100f <exec_byte_code+8589>, 0x57104d <exec_byte_code+8651>, 0=
x571078 <exec_byte_code+8694>, 0x5710a3 <exec_byte_code+8737>,=20
          0x5710da <exec_byte_code+8792>, 0x571111 <exec_byte_code+8847>, 0=
x57113c <exec_byte_code+8890>, 0x57127a <exec_byte_code+9208>,=20
          0x5712b1 <exec_byte_code+9263>, 0x5712e8 <exec_byte_code+9318>, 0=
x57131f <exec_byte_code+9373>, 0x57134b <exec_byte_code+9417>,=20
          0x571826 <exec_byte_code+10660>, 0x56fe51 <exec_byte_code+4047>, =
0x56f66c <exec_byte_code+2026>, 0x56f1cc <exec_byte_code+842>,=20
          0x56f73e <exec_byte_code+2236>, 0x56f827 <exec_byte_code+2469>, 0=
x56f90f <exec_byte_code+2701>, 0x56fdf7 <exec_byte_code+3957>,=20
          0x56fe2d <exec_byte_code+4011>, 0x56f485 <exec_byte_code+1539>, 0=
x56fea0 <exec_byte_code+4126>, 0x56ff04 <exec_byte_code+4226>,=20
          0x56ff65 <exec_byte_code+4323>, 0x56ff97 <exec_byte_code+4373>, 0=
x57015e <exec_byte_code+4828>, 0x5701ad <exec_byte_code+4907>,=20
          0x5701e8 <exec_byte_code+4966>, 0x570234 <exec_byte_code+5042>, 0=
x56f63c <exec_byte_code+1978>, 0x571376 <exec_byte_code+9460>,=20
          0x5713b1 <exec_byte_code+9519>, 0x5713dc <exec_byte_code+9562>, 0=
x571407 <exec_byte_code+9605>, 0x571432 <exec_byte_code+9648>,=20
          0x57145d <exec_byte_code+9691>, 0x571494 <exec_byte_code+9746>, 0=
x5714cb <exec_byte_code+9801>, 0x571502 <exec_byte_code+9856>,=20
          0x571539 <exec_byte_code+9911>, 0x5715f3 <exec_byte_code+10097>, =
0x57162a <exec_byte_code+10152>, 0x571661 <exec_byte_code+10207>,=20
          0x57168c <exec_byte_code+10250>, 0x5716c3 <exec_byte_code+10305>,=
 0x5716fa <exec_byte_code+10360>, 0x571735 <exec_byte_code+10419>,=20
          0x571770 <exec_byte_code+10478>, 0x570c6d <exec_byte_code+7659>, =
0x570ca1 <exec_byte_code+7711>, 0x5717a4 <exec_byte_code+10530>,=20
          0x5717f1 <exec_byte_code+10607>, 0x571826 <exec_byte_code+10660>,=
 0x56f9f7 <exec_byte_code+2933>, 0x56faaf <exec_byte_code+3117>,=20
          0x56fb7c <exec_byte_code+3322>, 0x56fc49 <exec_byte_code+3527>, 0=
x56fd20 <exec_byte_code+3742>, 0x57054f <exec_byte_code+5837>,=20
          0x570803 <exec_byte_code+6529>, 0x570d6c <exec_byte_code+7914>, 0=
x57194d <exec_byte_code+10955>, 0x571990 <exec_byte_code+11022>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x5719e6 <exec_byte_code+11108>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571a38 <exec_byte_code+11190> <repeats 64 times>}
        op =3D 7
        vectorp =3D 0x28fdc98
        stack =3D {pc =3D 0x2a37c17 ")\262\001)\262\001)\266\206)\207", byt=
e_string =3D 25773857, byte_string_start =3D 0x2a37af0 "\306\004!\203\022",=
=20
          next =3D 0x7fffffffb880}
        top =3D 0x7fffffffb630
        result =3D <optimized out>
        type =3D <optimized out>
#34 0x000000000053f719 in funcall_lambda (fun=3D42983005, nargs=3Dnargs@ent=
ry=3D7, arg_vector=3Darg_vector@entry=3D0x7fffffffb818) at eval.c:2978
        val =3D <optimized out>
        syms_left =3D <optimized out>
        lexenv =3D <optimized out>
        i =3D <optimized out>
        optional =3D <optimized out>
        rest =3D <optimized out>
#35 0x000000000053fce1 in Ffuncall (nargs=3Dnargs@entry=3D8, args=3Dargs@en=
try=3D0x7fffffffb810) at eval.c:2860
        fun =3D <optimized out>
        original_fun =3D 22233026
        numargs =3D 7
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
        count =3D 45
#36 0x000000000056f591 in exec_byte_code (bytestr=3D<optimized out>, vector=
=3D97514877, maxdepth=3D<optimized out>, args_template=3Dargs_template@entr=
y=3D0,=20
    nargs=3Dnargs@entry=3D0, args=3D<optimized out>, args@entry=3D0x7ffffff=
fb9f8) at bytecode.c:916
        targets =3D {0x571826 <exec_byte_code+10660>, 0x571871 <exec_byte_c=
ode+10735>, 0x571873 <exec_byte_code+10737>, 0x571875 <exec_byte_code+10739=
>,=20
          0x571882 <exec_byte_code+10752>, 0x571882 <exec_byte_code+10752>,=
 0x5718b9 <exec_byte_code+10807>, 0x5718f9 <exec_byte_code+10871>,=20
          0x56f13f <exec_byte_code+701>, 0x56f141 <exec_byte_code+703>, 0x5=
6f143 <exec_byte_code+705>, 0x56f145 <exec_byte_code+707>,=20
          0x56f152 <exec_byte_code+720>, 0x56f152 <exec_byte_code+720>, 0x5=
6f158 <exec_byte_code+726>, 0x56f11a <exec_byte_code+664>,=20
          0x56f3d0 <exec_byte_code+1358>, 0x56f3d2 <exec_byte_code+1360>, 0=
x56f3d4 <exec_byte_code+1362>, 0x56f3d6 <exec_byte_code+1364>,=20
          0x56f3e2 <exec_byte_code+1376>, 0x56f3e2 <exec_byte_code+1376>, 0=
x56f40d <exec_byte_code+1419>, 0x56f3e8 <exec_byte_code+1382>,=20
          0x56f4e6 <exec_byte_code+1636>, 0x56f4e8 <exec_byte_code+1638>, 0=
x56f4ea <exec_byte_code+1640>, 0x56f4f2 <exec_byte_code+1648>,=20
          0x56f4f4 <exec_byte_code+1650>, 0x56f4f4 <exec_byte_code+1650>, 0=
x56f4af <exec_byte_code+1581>, 0x56f4c1 <exec_byte_code+1599>,=20
          0x56f569 <exec_byte_code+1767>, 0x56f56b <exec_byte_code+1769>, 0=
x56f56d <exec_byte_code+1771>, 0x56f572 <exec_byte_code+1776>,=20
          0x56f574 <exec_byte_code+1778>, 0x56f574 <exec_byte_code+1778>, 0=
x56f532 <exec_byte_code+1712>, 0x56f544 <exec_byte_code+1730>,=20
          0x56f5eb <exec_byte_code+1897>, 0x56f5ed <exec_byte_code+1899>, 0=
x56f5ef <exec_byte_code+1901>, 0x56f5f2 <exec_byte_code+1904>,=20
          0x56f5f4 <exec_byte_code+1906>, 0x56f5f4 <exec_byte_code+1906>, 0=
x56f5b4 <exec_byte_code+1842>, 0x56f5c6 <exec_byte_code+1860>,=20
          0x57012c <exec_byte_code+4778>, 0x56ffdb <exec_byte_code+4441>, 0=
x56ffd3 <exec_byte_code+4433>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x57028d <exec_byte_code+5131>, 0x570325 <exec_byte_code+5283>, 0=
x57035f <exec_byte_code+5341>, 0x570399 <exec_byte_code+5399>,=20
          0x5703d3 <exec_byte_code+5457>, 0x56f308 <exec_byte_code+1158>, 0=
x56f346 <exec_byte_code+1220>, 0x570419 <exec_byte_code+5527>,=20
          0x56f2b5 <exec_byte_code+1075>, 0x56f37d <exec_byte_code+1275>, 0=
x57044e <exec_byte_code+5580>, 0x570485 <exec_byte_code+5635>,=20

 0x5704b0 <exec_byte_code+5678>, 0x5704e7 <exec_byte_code+5733>, 0x57051b <=
exec_byte_code+5785>, 0x570594 <exec_byte_code+5906>,=20
          0x5705bf <exec_byte_code+5949>, 0x5705f6 <exec_byte_code+6004>, 0=
x570631 <exec_byte_code+6063>, 0x57065c <exec_byte_code+6106>,=20
          0x570687 <exec_byte_code+6149>, 0x5706be <exec_byte_code+6204>, 0=
x5706f5 <exec_byte_code+6259>, 0x57072c <exec_byte_code+6314>,=20
          0x570767 <exec_byte_code+6373>, 0x57079b <exec_byte_code+6425>, 0=
x5707cf <exec_byte_code+6477>, 0x570848 <exec_byte_code+6598>,=20
          0x57088a <exec_byte_code+6664>, 0x5708cc <exec_byte_code+6730>, 0=
x570a36 <exec_byte_code+7092>, 0x570a72 <exec_byte_code+7152>,=20
          0x570aae <exec_byte_code+7212>, 0x570aea <exec_byte_code+7272>, 0=
x570b26 <exec_byte_code+7332>, 0x570b5a <exec_byte_code+7384>,=20
          0x570b9d <exec_byte_code+7451>, 0x570bd1 <exec_byte_code+7503>, 0=
x570c05 <exec_byte_code+7555>, 0x570c39 <exec_byte_code+7607>,=20
          0x570cd8 <exec_byte_code+7766>, 0x56fed2 <exec_byte_code+4176>, 0=
x570d11 <exec_byte_code+7823>, 0x570d3c <exec_byte_code+7866>,=20
          0x570db1 <exec_byte_code+7983>, 0x570dea <exec_byte_code+8040>, 0=
x570e23 <exec_byte_code+8097>, 0x570e4e <exec_byte_code+8140>,=20
          0x570e7a <exec_byte_code+8184>, 0x570ea6 <exec_byte_code+8228>, 0=
x570ed6 <exec_byte_code+8276>, 0x571826 <exec_byte_code+10660>,=20
          0x570f08 <exec_byte_code+8326>, 0x570f34 <exec_byte_code+8370>, 0=
x570f60 <exec_byte_code+8414>, 0x570f8c <exec_byte_code+8458>,=20
          0x570fb8 <exec_byte_code+8502>, 0x570fe4 <exec_byte_code+8546>, 0=
x56fed2 <exec_byte_code+4176>, 0x571826 <exec_byte_code+10660>,=20
          0x57100f <exec_byte_code+8589>, 0x57104d <exec_byte_code+8651>, 0=
x571078 <exec_byte_code+8694>, 0x5710a3 <exec_byte_code+8737>,=20
          0x5710da <exec_byte_code+8792>, 0x571111 <exec_byte_code+8847>, 0=
x57113c <exec_byte_code+8890>, 0x57127a <exec_byte_code+9208>,=20
          0x5712b1 <exec_byte_code+9263>, 0x5712e8 <exec_byte_code+9318>, 0=
x57131f <exec_byte_code+9373>, 0x57134b <exec_byte_code+9417>,=20
          0x571826 <exec_byte_code+10660>, 0x56fe51 <exec_byte_code+4047>, =
0x56f66c <exec_byte_code+2026>, 0x56f1cc <exec_byte_code+842>,=20
          0x56f73e <exec_byte_code+2236>, 0x56f827 <exec_byte_code+2469>, 0=
x56f90f <exec_byte_code+2701>, 0x56fdf7 <exec_byte_code+3957>,=20
          0x56fe2d <exec_byte_code+4011>, 0x56f485 <exec_byte_code+1539>, 0=
x56fea0 <exec_byte_code+4126>, 0x56ff04 <exec_byte_code+4226>,=20
          0x56ff65 <exec_byte_code+4323>, 0x56ff97 <exec_byte_code+4373>, 0=
x57015e <exec_byte_code+4828>, 0x5701ad <exec_byte_code+4907>,=20
          0x5701e8 <exec_byte_code+4966>, 0x570234 <exec_byte_code+5042>, 0=
x56f63c <exec_byte_code+1978>, 0x571376 <exec_byte_code+9460>,=20
          0x5713b1 <exec_byte_code+9519>, 0x5713dc <exec_byte_code+9562>, 0=
x571407 <exec_byte_code+9605>, 0x571432 <exec_byte_code+9648>,=20
          0x57145d <exec_byte_code+9691>, 0x571494 <exec_byte_code+9746>, 0=
x5714cb <exec_byte_code+9801>, 0x571502 <exec_byte_code+9856>,=20
          0x571539 <exec_byte_code+9911>, 0x5715f3 <exec_byte_code+10097>, =
0x57162a <exec_byte_code+10152>, 0x571661 <exec_byte_code+10207>,=20
          0x57168c <exec_byte_code+10250>, 0x5716c3 <exec_byte_code+10305>,=
 0x5716fa <exec_byte_code+10360>, 0x571735 <exec_byte_code+10419>,=20
          0x571770 <exec_byte_code+10478>, 0x570c6d <exec_byte_code+7659>, =
0x570ca1 <exec_byte_code+7711>, 0x5717a4 <exec_byte_code+10530>,=20
          0x5717f1 <exec_byte_code+10607>, 0x571826 <exec_byte_code+10660>,=
 0x56f9f7 <exec_byte_code+2933>, 0x56faaf <exec_byte_code+3117>,=20
          0x56fb7c <exec_byte_code+3322>, 0x56fc49 <exec_byte_code+3527>, 0=
x56fd20 <exec_byte_code+3742>, 0x57054f <exec_byte_code+5837>,=20
          0x570803 <exec_byte_code+6529>, 0x570d6c <exec_byte_code+7914>, 0=
x57194d <exec_byte_code+10955>, 0x571990 <exec_byte_code+11022>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x5719e6 <exec_byte_code+11108>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571a38 <exec_byte_code+11190> <repeats 64 times>}
        op =3D 7
        vectorp =3D 0x5cff580
        stack =3D {pc =3D 0x2a2604e "\210*\210\016$?\205Y", byte_string =3D=
 25663601, byte_string_start =3D 0x2a26000 "=C9=89\211\211=C5=86\n", next =
=3D 0x7fffffffbc30}
        top =3D 0x7fffffffb810
        result =3D <optimized out>
        type =3D <optimized out>
#37 0x000000000053f719 in funcall_lambda (fun=3D105615501, nargs=3Dnargs@en=
try=3D0, arg_vector=3Darg_vector@entry=3D0x7fffffffb9f8) at eval.c:2978
        val =3D <optimized out>
        syms_left =3D <optimized out>
        lexenv =3D <optimized out>
        i =3D <optimized out>
        optional =3D <optimized out>
        rest =3D <optimized out>
#38 0x000000000053fce1 in Ffuncall (nargs=3D<optimized out>, args=3D<optimi=
zed out>) at eval.c:2860
        fun =3D <optimized out>
        original_fun =3D 105615501
        numargs =3D 0
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
        count =3D 37
#39 0x000000000053f206 in eval_sub (form=3Dform@entry=3D120689094) at eval.=
c:2154
        vals =3D 0x7fffffffb9f0
        argnum =3D <optimized out>
        sa_must_free =3D false
        numargs =3D <optimized out>
        args_left =3D 12009778
        i =3D 0
        maxargs =3D <optimized out>
        argvals =3D {4294967292, 48, 8500560, 5, 4611686018595160064, 14073=
7259042386, 140737488337816, 5}
        fun =3D <optimized out>
        val =3D <optimized out>
        original_args =3D 120689110
        count =3D 36
#40 0x0000000000541fd0 in internal_lisp_condition_case (var=3D<optimized ou=
t>, bodyform=3D120689094, handlers=3D<optimized out>) at eval.c:1317
        val =3D <optimized out>
        c =3D <optimized out>
        oldhandlerlist =3D 0xd49ab0
        clausenb =3D 1
#41 0x00000000005701c1 in exec_byte_code (bytestr=3D<optimized out>, vector=
=3D99349125, maxdepth=3D<optimized out>, args_template=3Dargs_template@entr=
y=3D0,=20
    nargs=3Dnargs@entry=3D0, args=3D<optimized out>, args@entry=3D0x7ffffff=
fbda8) at bytecode.c:1162
        handlers =3D <optimized out>
        body =3D <optimized out>
        targets =3D {0x571826 <exec_byte_code+10660>, 0x571871 <exec_byte_c=
ode+10735>, 0x571873 <exec_byte_code+10737>, 0x571875 <exec_byte_code+10739=
>,=20
          0x571882 <exec_byte_code+10752>, 0x571882 <exec_byte_code+10752>,=
 0x5718b9 <exec_byte_code+10807>, 0x5718f9 <exec_byte_code+10871>,=20
          0x56f13f <exec_byte_code+701>, 0x56f141 <exec_byte_code+703>, 0x5=
6f143 <exec_byte_code+705>, 0x56f145 <exec_byte_code+707>,=20
          0x56f152 <exec_byte_code+720>, 0x56f152 <exec_byte_code+720>, 0x5=
6f158 <exec_byte_code+726>, 0x56f11a <exec_byte_code+664>,=20
          0x56f3d0 <exec_byte_code+1358>, 0x56f3d2 <exec_byte_code+1360>, 0=
x56f3d4 <exec_byte_code+1362>, 0x56f3d6 <exec_byte_code+1364>,=20
          0x56f3e2 <exec_byte_code+1376>, 0x56f3e2 <exec_byte_code+1376>, 0=
x56f40d <exec_byte_code+1419>, 0x56f3e8 <exec_byte_code+1382>,=20
          0x56f4e6 <exec_byte_code+1636>, 0x56f4e8 <exec_byte_code+1638>, 0=
x56f4ea <exec_byte_code+1640>, 0x56f4f2 <exec_byte_code+1648>,=20
          0x56f4f4 <exec_byte_code+1650>, 0x56f4f4 <exec_byte_code+1650>, 0=
x56f4af <exec_byte_code+1581>, 0x56f4c1 <exec_byte_code+1599>,=20
          0x56f569 <exec_byte_code+1767>, 0x56f56b <exec_byte_code+1769>, 0=
x56f56d <exec_byte_code+1771>, 0x56f572 <exec_byte_code+1776>,=20
          0x56f574 <exec_byte_code+1778>, 0x56f574 <exec_byte_code+1778>, 0=
x56f532 <exec_byte_code+1712>, 0x56f544 <exec_byte_code+1730>,=20
          0x56f5eb <exec_byte_code+1897>, 0x56f5ed <exec_byte_code+1899>, 0=
x56f5ef <exec_byte_code+1901>, 0x56f5f2 <exec_byte_code+1904>,=20
          0x56f5f4 <exec_byte_code+1906>, 0x56f5f4 <exec_byte_code+1906>, 0=
x56f5b4 <exec_byte_code+1842>, 0x56f5c6 <exec_byte_code+1860>,=20
          0x57012c <exec_byte_code+4778>, 0x56ffdb <exec_byte_code+4441>, 0=
x56ffd3 <exec_byte_code+4433>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x57028d <exec_byte_code+5131>, 0x570325 <exec_byte_code+5283>, 0=
x57035f <exec_byte_code+5341>, 0x570399 <exec_byte_code+5399>,=20
          0x5703d3 <exec_byte_code+5457>, 0x56f308 <exec_byte_code+1158>, 0=
x56f346 <exec_byte_code+1220>, 0x570419 <exec_byte_code+5527>,=20
          0x56f2b5 <exec_byte_code+1075>, 0x56f37d <exec_byte_code+1275>, 0=
x57044e <exec_byte_code+5580>, 0x570485 <exec_byte_code+5635>,=20
          0x5704b0 <exec_byte_code+5678>, 0x5704e7 <exec_byte_code+5733>, 0=
x57051b <exec_byte_code+5785>, 0x570594 <exec_byte_code+5906>,=20
          0x5705bf <exec_byte_code+5949>, 0x5705f6 <exec_byte_code+6004>, 0=
x570631 <exec_byte_code+6063>, 0x57065c <exec_byte_code+6106>,=20
          0x570687 <exec_byte_code+6149>, 0x5706be <exec_byte_code+6204>, 0=
x5706f5 <exec_byte_code+6259>, 0x57072c <exec_byte_code+6314>,=20
          0x570767 <exec_byte_code+6373>, 0x57079b <exec_byte_code+6425>, 0=
x5707cf <exec_byte_code+6477>, 0x570848 <exec_byte_code+6598>,=20
          0x57088a <exec_byte_code+6664>, 0x5708cc <exec_byte_code+6730>, 0=
x570a36 <exec_byte_code+7092>, 0x570a72 <exec_byte_code+7152>,=20
          0x570aae <exec_byte_code+7212>, 0x570aea <exec_byte_code+7272>, 0=
x570b26 <exec_byte_code+7332>, 0x570b5a <exec_byte_code+7384>,=20
          0x570b9d <exec_byte_code+7451>, 0x570bd1 <exec_byte_code+7503>, 0=
x570c05 <exec_byte_code+7555>, 0x570c39 <exec_byte_code+7607>,=20
          0x570cd8 <exec_byte_code+7766>, 0x56fed2 <exec_byte_code+4176>, 0=
x570d11 <exec_byte_code+7823>, 0x570d3c <exec_byte_code+7866>,=20
          0x570db1 <exec_byte_code+7983>, 0x570dea <exec_byte_code+8040>, 0=
x570e23 <exec_byte_code+8097>, 0x570e4e <exec_byte_code+8140>,=20
          0x570e7a <exec_byte_code+8184>, 0x570ea6 <exec_byte_code+8228>, 0=
x570ed6 <exec_byte_code+8276>, 0x571826 <exec_byte_code+10660>,=20
          0x570f08 <exec_byte_code+8326>, 0x570f34 <exec_byte_code+8370>, 0=
x570f60 <exec_byte_code+8414>, 0x570f8c <exec_byte_code+8458>,=20
          0x570fb8 <exec_byte_code+8502>, 0x570fe4 <exec_byte_code+8546>, 0=
x56fed2 <exec_byte_code+4176>, 0x571826 <exec_byte_code+10660>,=20
          0x57100f <exec_byte_code+8589>, 0x57104d <exec_byte_code+8651>, 0=
x571078 <exec_byte_code+8694>, 0x5710a3 <exec_byte_code+8737>,=20
          0x5710da <exec_byte_code+8792>, 0x571111 <exec_byte_code+8847>, 0=
x57113c <exec_byte_code+8890>, 0x57127a <exec_byte_code+9208>,=20
          0x5712b1 <exec_byte_code+9263>, 0x5712e8 <exec_byte_code+9318>, 0=
x57131f <exec_byte_code+9373>, 0x57134b <exec_byte_code+9417>,=20
          0x571826 <exec_byte_code+10660>, 0x56fe51 <exec_byte_code+4047>, =
0x56f66c <exec_byte_code+2026>, 0x56f1cc <exec_byte_code+842>,=20
          0x56f73e <exec_byte_code+2236>, 0x56f827 <exec_byte_code+2469>, 0=
x56f90f <exec_byte_code+2701>, 0x56fdf7 <exec_byte_code+3957>,=20
          0x56fe2d <exec_byte_code+4011>, 0x56f485 <exec_byte_code+1539>, 0=
x56fea0 <exec_byte_code+4126>, 0x56ff04 <exec_byte_code+4226>,=20
          0x56ff65 <exec_byte_code+4323>, 0x56ff97 <exec_byte_code+4373>, 0=
x57015e <exec_byte_code+4828>, 0x5701ad <exec_byte_code+4907>,=20
          0x5701e8 <exec_byte_code+4966>, 0x570234 <exec_byte_code+5042>, 0=
x56f63c <exec_byte_code+1978>, 0x571376 <exec_byte_code+9460>,=20
          0x5713b1 <exec_byte_code+9519>, 0x5713dc <exec_byte_code+9562>, 0=
x571407 <exec_byte_code+9605>, 0x571432 <exec_byte_code+9648>,=20
          0x57145d <exec_byte_code+9691>, 0x571494 <exec_byte_code+9746>, 0=
x5714cb <exec_byte_code+9801>, 0x571502 <exec_byte_code+9856>,=20
          0x571539 <exec_byte_code+9911>, 0x5715f3 <exec_byte_code+10097>, =
0x57162a <exec_byte_code+10152>, 0x571661 <exec_byte_code+10207>,=20
          0x57168c <exec_byte_code+10250>, 0x5716c3 <exec_byte_code+10305>,=
 0x5716fa <exec_byte_code+10360>, 0x571735 <exec_byte_code+10419>,=20
          0x571770 <exec_byte_code+10478>, 0x570c6d <exec_byte_code+7659>, =
0x570ca1 <exec_byte_code+7711>, 0x5717a4 <exec_byte_code+10530>,=20
          0x5717f1 <exec_byte_code+10607>, 0x571826 <exec_byte_code+10660>,=
 0x56f9f7 <exec_byte_code+2933>, 0x56faaf <exec_byte_code+3117>,=20
          0x56fb7c <exec_byte_code+3322>, 0x56fc49 <exec_byte_code+3527>, 0=
x56fd20 <exec_byte_code+3742>, 0x57054f <exec_byte_code+5837>,=20
          0x570803 <exec_byte_code+6529>, 0x570d6c <exec_byte_code+7914>, 0=
x57194d <exec_byte_code+10955>, 0x571990 <exec_byte_code+11022>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x5719e6 <exec_byte_code+11108>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571a38 <exec_byte_code+11190> <repeats 64 times>}
        op =3D 143
        vectorp =3D 0x5ebf288
        stack =3D {pc =3D 0x2a25e8b "+\207", byte_string =3D 25657585,=20
          byte_string_start =3D 0x2a25df0 "\311\312\313\314\315\"P!\210\311=
\316\302\"\210\311\317\304\"\210\311\320\305\"\210\311\321\306\"\210\311\32=
2\307\"\210\311\323\310\"\210\016(\324\016\027\016)\206W", next =3D 0x7ffff=
fffbfa0}
        top =3D 0x7fffffffbb80
        result =3D <optimized out>
        type =3D <optimized out>
#42 0x000000000053f719 in funcall_lambda (fun=3D126447933, nargs=3Dnargs@en=
try=3D0, arg_vector=3Darg_vector@entry=3D0x7fffffffbda8) at eval.c:2978
        val =3D <optimized out>
        syms_left =3D <optimized out>
        lexenv =3D <optimized out>
        i =3D <optimized out>
        optional =3D <optimized out>
        rest =3D <optimized out>
#43 0x000000000053fce1 in Ffuncall (nargs=3D<optimized out>, args=3D<optimi=
zed out>) at eval.c:2860
        fun =3D <optimized out>
        original_fun =3D 126447933
        numargs =3D 0
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
        count =3D 32
#44 0x000000000053f206 in eval_sub (form=3Dform@entry=3D62878854) at eval.c=
:2154
        vals =3D 0x7fffffffbda0
        argnum =3D <optimized out>
        sa_must_free =3D false
        numargs =3D <optimized out>
        args_left =3D 12009778
        i =3D 0
        maxargs =3D <optimized out>
        argvals =3D {5, 5411192, 12081298, 140737488338576, 65534, 5504409,=
 3, 12009778}
        fun =3D <optimized out>
        val =3D <optimized out>
        original_args =3D 62878870
        count =3D 31
#45 0x000000000053e27b in internal_catch (tag=3D12132994, func=3D0x53eea2 <=
eval_sub>, arg=3D62878854) at eval.c:1112
        val =3D <optimized out>
        c =3D <optimized out>
#46 0x000000000056ffac in exec_byte_code (bytestr=3D<optimized out>, vector=
=3D23847077, maxdepth=3D<optimized out>, args_template=3Dargs_template@entr=
y=3D9216,=20
    nargs=3Dnargs@entry=3D9, args=3D<optimized out>, args@entry=3D0x7ffffff=
fc108) at bytecode.c:1097
        v1 =3D <optimized out>
        targets =3D {0x571826 <exec_byte_code+10660>, 0x571871 <exec_byte_c=
ode+10735>, 0x571873 <exec_byte_code+10737>, 0x571875 <exec_byte_code+10739=
>,=20
          0x571882 <exec_byte_code+10752>, 0x571882 <exec_byte_code+10752>,=
 0x5718b9 <exec_byte_code+10807>, 0x5718f9 <exec_byte_code+10871>,=20
          0x56f13f <exec_byte_code+701>, 0x56f141 <exec_byte_code+703>, 0x5=
6f143 <exec_byte_code+705>, 0x56f145 <exec_byte_code+707>,=20
          0x56f152 <exec_byte_code+720>, 0x56f152 <exec_byte_code+720>, 0x5=
6f158 <exec_byte_code+726>, 0x56f11a <exec_byte_code+664>,=20
          0x56f3d0 <exec_byte_code+1358>, 0x56f3d2 <exec_byte_code+1360>, 0=
x56f3d4 <exec_byte_code+1362>, 0x56f3d6 <exec_byte_code+1364>,=20
          0x56f3e2 <exec_byte_code+1376>, 0x56f3e2 <exec_byte_code+1376>, 0=
x56f40d <exec_byte_code+1419>, 0x56f3e8 <exec_byte_code+1382>,=20
          0x56f4e6 <exec_byte_code+1636>, 0x56f4e8 <exec_byte_code+1638>, 0=
x56f4ea <exec_byte_code+1640>, 0x56f4f2 <exec_byte_code+1648>,=20
          0x56f4f4 <exec_byte_code+1650>, 0x56f4f4 <exec_byte_code+1650>, 0=
x56f4af <exec_byte_code+1581>, 0x56f4c1 <exec_byte_code+1599>,=20
          0x56f569 <exec_byte_code+1767>, 0x56f56b <exec_byte_code+1769>, 0=
x56f56d <exec_byte_code+1771>, 0x56f572 <exec_byte_code+1776>,=20
          0x56f574 <exec_byte_code+1778>, 0x56f574 <exec_byte_code+1778>, 0=
x56f532 <exec_byte_code+1712>, 0x56f544 <exec_byte_code+1730>,=20
          0x56f5eb <exec_byte_code+1897>, 0x56f5ed <exec_byte_code+1899>, 0=
x56f5ef <exec_byte_code+1901>, 0x56f5f2 <exec_byte_code+1904>,=20
          0x56f5f4 <exec_byte_code+1906>, 0x56f5f4 <exec_byte_code+1906>, 0=
x56f5b4 <exec_byte_code+1842>, 0x56f5c6 <exec_byte_code+1860>,=20
          0x57012c <exec_byte_code+4778>, 0x56ffdb <exec_byte_code+4441>, 0=
x56ffd3 <exec_byte_code+4433>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x57028d <exec_byte_code+5131>, 0x570325 <exec_byte_code+5283>, 0=
x57035f <exec_byte_code+5341>, 0x570399 <exec_byte_code+5399>,=20
          0x5703d3 <exec_byte_code+5457>, 0x56f308 <exec_byte_code+1158>, 0=
x56f346 <exec_byte_code+1220>, 0x570419 <exec_byte_code+5527>,=20
          0x56f2b5 <exec_byte_code+1075>, 0x56f37d <exec_byte_code+1275>, 0=
x57044e <exec_byte_code+5580>, 0x570485 <exec_byte_code+5635>,=20
          0x5704b0 <exec_byte_code+5678>, 0x5704e7 <exec_byte_code+5733>, 0=
x57051b <exec_byte_code+5785>, 0x570594 <exec_byte_code+5906>,=20
          0x5705bf <exec_byte_code+5949>, 0x5705f6 <exec_byte_code+6004>, 0=
x570631 <exec_byte_code+6063>, 0x57065c <exec_byte_code+6106>,=20
          0x570687 <exec_byte_code+6149>, 0x5706be <exec_byte_code+6204>, 0=
x5706f5 <exec_byte_code+6259>, 0x57072c <exec_byte_code+6314>,=20
          0x570767 <exec_byte_code+6373>, 0x57079b <exec_byte_code+6425>, 0=
x5707cf <exec_byte_code+6477>, 0x570848 <exec_byte_code+6598>,=20
          0x57088a <exec_byte_code+6664>, 0x5708cc <exec_byte_code+6730>, 0=
x570a36 <exec_byte_code+7092>, 0x570a72 <exec_byte_code+7152>,=20
          0x570aae <exec_byte_code+7212>, 0x570aea <exec_byte_code+7272>, 0=
x570b26 <exec_byte_code+7332>, 0x570b5a <exec_byte_code+7384>,=20
          0x570b9d <exec_byte_code+7451>, 0x570bd1 <exec_byte_code+7503>, 0=
x570c05 <exec_byte_code+7555>, 0x570c39 <exec_byte_code+7607>,=20
          0x570cd8 <exec_byte_code+7766>, 0x56fed2 <exec_byte_code+4176>, 0=
x570d11 <exec_byte_code+7823>, 0x570d3c <exec_byte_code+7866>,=20
          0x570db1 <exec_byte_code+7983>, 0x570dea <exec_byte_code+8040>, 0=
x570e23 <exec_byte_code+8097>, 0x570e4e <exec_byte_code+8140>,=20
          0x570e7a <exec_byte_code+8184>, 0x570ea6 <exec_byte_code+8228>, 0=
x570ed6 <exec_byte_code+8276>, 0x571826 <exec_byte_code+10660>,=20
          0x570f08 <exec_byte_code+8326>, 0x570f34 <exec_byte_code+8370>, 0=
x570f60 <exec_byte_code+8414>, 0x570f8c <exec_byte_code+8458>,=20
          0x570fb8 <exec_byte_code+8502>, 0x570fe4 <exec_byte_code+8546>, 0=
x56fed2 <exec_byte_code+4176>, 0x571826 <exec_byte_code+10660>,=20
          0x57100f <exec_byte_code+8589>, 0x57104d <exec_byte_code+8651>, 0=
x571078 <exec_byte_code+8694>, 0x5710a3 <exec_byte_code+8737>,=20
          0x5710da <exec_byte_code+8792>, 0x571111 <exec_byte_code+8847>, 0=
x57113c <exec_byte_code+8890>, 0x57127a <exec_byte_code+9208>,=20
          0x5712b1 <exec_byte_code+9263>, 0x5712e8 <exec_byte_code+9318>, 0=
x57131f <exec_byte_code+9373>, 0x57134b <exec_byte_code+9417>,=20
          0x571826 <exec_byte_code+10660>, 0x56fe51 <exec_byte_code+4047>, =
0x56f66c <exec_byte_code+2026>, 0x56f1cc <exec_byte_code+842>,=20
          0x56f73e <exec_byte_code+2236>, 0x56f827 <exec_byte_code+2469>, 0=
x56f90f <exec_byte_code+2701>, 0x56fdf7 <exec_byte_code+3957>,=20
          0x56fe2d <exec_byte_code+4011>, 0x56f485 <exec_byte_code+1539>, 0=
x56fea0 <exec_byte_code+4126>, 0x56ff04 <exec_byte_code+4226>,=20
          0x56ff65 <exec_byte_code+4323>, 0x56ff97 <exec_byte_code+4373>, 0=
x57015e <exec_byte_code+4828>, 0x5701ad <exec_byte_code+4907>,=20
          0x5701e8 <exec_byte_code+4966>, 0x570234 <exec_byte_code+5042>, 0=
x56f63c <exec_byte_code+1978>, 0x571376 <exec_byte_code+9460>,=20
          0x5713b1 <exec_byte_code+9519>, 0x5713dc <exec_byte_code+9562>, 0=
x571407 <exec_byte_code+9605>, 0x571432 <exec_byte_code+9648>,=20
          0x57145d <exec_byte_code+9691>, 0x571494 <exec_byte_code+9746>, 0=
x5714cb <exec_byte_code+9801>, 0x571502 <exec_byte_code+9856>,=20
          0x571539 <exec_byte_code+9911>, 0x5715f3 <exec_byte_code+10097>, =
0x57162a <exec_byte_code+10152>, 0x571661 <exec_byte_code+10207>,=20
          0x57168c <exec_byte_code+10250>, 0x5716c3 <exec_byte_code+10305>,=
 0x5716fa <exec_byte_code+10360>, 0x571735 <exec_byte_code+10419>,=20
          0x571770 <exec_byte_code+10478>, 0x570c6d <exec_byte_code+7659>, =
0x570ca1 <exec_byte_code+7711>, 0x5717a4 <exec_byte_code+10530>,=20
          0x5717f1 <exec_byte_code+10607>, 0x571826 <exec_byte_code+10660>,=
 0x56f9f7 <exec_byte_code+2933>, 0x56faaf <exec_byte_code+3117>,=20
          0x56fb7c <exec_byte_code+3322>, 0x56fc49 <exec_byte_code+3527>, 0=
x56fd20 <exec_byte_code+3742>, 0x57054f <exec_byte_code+5837>,=20
          0x570803 <exec_byte_code+6529>, 0x570d6c <exec_byte_code+7914>, 0=
x57194d <exec_byte_code+10955>, 0x571990 <exec_byte_code+11022>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x5719e6 <exec_byte_code+11108>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571a38 <exec_byte_code+11190> <repeats 64 times>}
        op =3D 141
        vectorp =3D 0x16be0a8
        stack =3D {pc =3D 0x2a25dbd "\207", byte_string =3D 25657969, byte_=
string_start =3D 0x2a25d88 "\300\301!\203\017", next =3D 0x7fffffffc2f0}
        top =3D 0x7fffffffbef0
        result =3D <optimized out>
        type =3D <optimized out>
#47 0x000000000053f719 in funcall_lambda (fun=3D23847213, nargs=3Dnargs@ent=
ry=3D9, arg_vector=3Darg_vector@entry=3D0x7fffffffc108) at eval.c:2978
        val =3D <optimized out>
        syms_left =3D <optimized out>
        lexenv =3D <optimized out>
        i =3D <optimized out>
        optional =3D <optimized out>
        rest =3D <optimized out>
#48 0x000000000053fce1 in Ffuncall (nargs=3Dnargs@entry=3D10, args=3Dargs@e=
ntry=3D0x7fffffffc100) at eval.c:2860
        fun =3D <optimized out>
        original_fun =3D 22232642
        numargs =3D 9
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
        count =3D 30
#49 0x0000000000540d70 in Fapply (nargs=3D<optimized out>, args=3D0x7ffffff=
fc280) at eval.c:2350
        i =3D 10
        numargs =3D <optimized out>
        spread_arg =3D 12009778
        funcall_args =3D 0x7fffffffc100
        fun =3D <optimized out>
        retval =3D <optimized out>
        gcpro1 =3D {next =3D 0x0, var =3D 0x0, nvars =3D 10}
        sa_must_free =3D false
#50 0x000000000053fb12 in Ffuncall (nargs=3Dnargs@entry=3D3, args=3Dargs@en=
try=3D0x7fffffffc278) at eval.c:2792
        fun =3D <optimized out>
        original_fun =3D 12135170
        numargs =3D 2
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
        count =3D 29
#51 0x000000000056f591 in exec_byte_code (bytestr=3D<optimized out>, vector=
=3D23845613, maxdepth=3D<optimized out>, args_template=3Dargs_template@entr=
y=3D512,=20
    nargs=3Dnargs@entry=3D9, args=3D<optimized out>, args@entry=3D0x7ffffff=
fc458) at bytecode.c:916
        targets =3D {0x571826 <exec_byte_code+10660>, 0x571871 <exec_byte_c=
ode+10735>, 0x571873 <exec_byte_code+10737>, 0x571875 <exec_byte_code+10739=
>,=20
          0x571882 <exec_byte_code+10752>, 0x571882 <exec_byte_code+10752>,=
 0x5718b9 <exec_byte_code+10807>, 0x5718f9 <exec_byte_code+10871>,=20
          0x56f13f <exec_byte_code+701>, 0x56f141 <exec_byte_code+703>, 0x5=
6f143 <exec_byte_code+705>, 0x56f145 <exec_byte_code+707>,=20
          0x56f152 <exec_byte_code+720>, 0x56f152 <exec_byte_code+720>, 0x5=
6f158 <exec_byte_code+726>, 0x56f11a <exec_byte_code+664>,=20
          0x56f3d0 <exec_byte_code+1358>, 0x56f3d2 <exec_byte_code+1360>, 0=
x56f3d4 <exec_byte_code+1362>, 0x56f3d6 <exec_byte_code+1364>,=20
          0x56f3e2 <exec_byte_code+1376>, 0x56f3e2 <exec_byte_code+1376>, 0=
x56f40d <exec_byte_code+1419>, 0x56f3e8 <exec_byte_code+1382>,=20
          0x56f4e6 <exec_byte_code+1636>, 0x56f4e8 <exec_byte_code+1638>, 0=
x56f4ea <exec_byte_code+1640>, 0x56f4f2 <exec_byte_code+1648>,=20
          0x56f4f4 <exec_byte_code+1650>, 0x56f4f4 <exec_byte_code+1650>, 0=
x56f4af <exec_byte_code+1581>, 0x56f4c1 <exec_byte_code+1599>,=20
          0x56f569 <exec_byte_code+1767>, 0x56f56b <exec_byte_code+1769>, 0=
x56f56d <exec_byte_code+1771>, 0x56f572 <exec_byte_code+1776>,=20
          0x56f574 <exec_byte_code+1778>, 0x56f574 <exec_byte_code+1778>, 0=
x56f532 <exec_byte_code+1712>, 0x56f544 <exec_byte_code+1730>,=20
          0x56f5eb <exec_byte_code+1897>, 0x56f5ed <exec_byte_code+1899>, 0=
x56f5ef <exec_byte_code+1901>, 0x56f5f2 <exec_byte_code+1904>,=20
          0x56f5f4 <exec_byte_code+1906>, 0x56f5f4 <exec_byte_code+1906>, 0=
x56f5b4 <exec_byte_code+1842>, 0x56f5c6 <exec_byte_code+1860>,=20
          0x57012c <exec_byte_code+4778>, 0x56ffdb <exec_byte_code+4441>, 0=
x56ffd3 <exec_byte_code+4433>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x57028d <exec_byte_code+5131>, 0x570325 <exec_byte_code+5283>, 0=
x57035f <exec_byte_code+5341>, 0x570399 <exec_byte_code+5399>,=20
          0x5703d3 <exec_byte_code+5457>, 0x56f308 <exec_byte_code+1158>, 0=
x56f346 <exec_byte_code+1220>, 0x570419 <exec_byte_code+5527>,=20
          0x56f2b5 <exec_byte_code+1075>, 0x56f37d <exec_byte_code+1275>, 0=
x57044e <exec_byte_code+5580>, 0x570485 <exec_byte_code+5635>,=20
          0x5704b0 <exec_byte_code+5678>, 0x5704e7 <exec_byte_code+5733>, 0=
x57051b <exec_byte_code+5785>, 0x570594 <exec_byte_code+5906>,=20
          0x5705bf <exec_byte_code+5949>, 0x5705f6 <exec_byte_code+6004>, 0=
x570631 <exec_byte_code+6063>, 0x57065c <exec_byte_code+6106>,=20
          0x570687 <exec_byte_code+6149>, 0x5706be <exec_byte_code+6204>, 0=
x5706f5 <exec_byte_code+6259>, 0x57072c <exec_byte_code+6314>,=20
          0x570767 <exec_byte_code+6373>, 0x57079b <exec_byte_code+6425>, 0=
x5707cf <exec_byte_code+6477>, 0x570848 <exec_byte_code+6598>,=20
          0x57088a <exec_byte_code+6664>, 0x5708cc <exec_byte_code+6730>, 0=
x570a36 <exec_byte_code+7092>, 0x570a72 <exec_byte_code+7152>,=20
          0x570aae <exec_byte_code+7212>, 0x570aea <exec_byte_code+7272>, 0=
x570b26 <exec_byte_code+7332>, 0x570b5a <exec_byte_code+7384>,=20
          0x570b9d <exec_byte_code+7451>, 0x570bd1 <exec_byte_code+7503>, 0=
x570c05 <exec_byte_code+7555>, 0x570c39 <exec_byte_code+7607>,=20
          0x570cd8 <exec_byte_code+7766>, 0x56fed2 <exec_byte_code+4176>, 0=
x570d11 <exec_byte_code+7823>, 0x570d3c <exec_byte_code+7866>,=20
          0x570db1 <exec_byte_code+7983>, 0x570dea <exec_byte_code+8040>, 0=
x570e23 <exec_byte_code+8097>, 0x570e4e <exec_byte_code+8140>,=20
          0x570e7a <exec_byte_code+8184>, 0x570ea6 <exec_byte_code+8228>, 0=
x570ed6 <exec_byte_code+8276>, 0x571826 <exec_byte_code+10660>,
          0x570f08 <exec_byte_code+8326>, 0x570f34 <exec_byte_code+8370>, 0=
x570f60 <exec_byte_code+8414>, 0x570f8c <exec_byte_code+8458>,=20
          0x570fb8 <exec_byte_code+8502>, 0x570fe4 <exec_byte_code+8546>, 0=
x56fed2 <exec_byte_code+4176>, 0x571826 <exec_byte_code+10660>,=20
          0x57100f <exec_byte_code+8589>, 0x57104d <exec_byte_code+8651>, 0=
x571078 <exec_byte_code+8694>, 0x5710a3 <exec_byte_code+8737>,=20
          0x5710da <exec_byte_code+8792>, 0x571111 <exec_byte_code+8847>, 0=
x57113c <exec_byte_code+8890>, 0x57127a <exec_byte_code+9208>,=20
          0x5712b1 <exec_byte_code+9263>, 0x5712e8 <exec_byte_code+9318>, 0=
x57131f <exec_byte_code+9373>, 0x57134b <exec_byte_code+9417>,=20
          0x571826 <exec_byte_code+10660>, 0x56fe51 <exec_byte_code+4047>, =
0x56f66c <exec_byte_code+2026>, 0x56f1cc <exec_byte_code+842>,=20
          0x56f73e <exec_byte_code+2236>, 0x56f827 <exec_byte_code+2469>, 0=
x56f90f <exec_byte_code+2701>, 0x56fdf7 <exec_byte_code+3957>,=20
          0x56fe2d <exec_byte_code+4011>, 0x56f485 <exec_byte_code+1539>, 0=
x56fea0 <exec_byte_code+4126>, 0x56ff04 <exec_byte_code+4226>,=20
          0x56ff65 <exec_byte_code+4323>, 0x56ff97 <exec_byte_code+4373>, 0=
x57015e <exec_byte_code+4828>, 0x5701ad <exec_byte_code+4907>,=20
          0x5701e8 <exec_byte_code+4966>, 0x570234 <exec_byte_code+5042>, 0=
x56f63c <exec_byte_code+1978>, 0x571376 <exec_byte_code+9460>,=20
          0x5713b1 <exec_byte_code+9519>, 0x5713dc <exec_byte_code+9562>, 0=
x571407 <exec_byte_code+9605>, 0x571432 <exec_byte_code+9648>,=20
          0x57145d <exec_byte_code+9691>, 0x571494 <exec_byte_code+9746>, 0=
x5714cb <exec_byte_code+9801>, 0x571502 <exec_byte_code+9856>,=20
          0x571539 <exec_byte_code+9911>, 0x5715f3 <exec_byte_code+10097>, =
0x57162a <exec_byte_code+10152>, 0x571661 <exec_byte_code+10207>,=20
          0x57168c <exec_byte_code+10250>, 0x5716c3 <exec_byte_code+10305>,=
 0x5716fa <exec_byte_code+10360>, 0x571735 <exec_byte_code+10419>,=20
          0x571770 <exec_byte_code+10478>, 0x570c6d <exec_byte_code+7659>, =
0x570ca1 <exec_byte_code+7711>, 0x5717a4 <exec_byte_code+10530>,=20
          0x5717f1 <exec_byte_code+10607>, 0x571826 <exec_byte_code+10660>,=
 0x56f9f7 <exec_byte_code+2933>, 0x56faaf <exec_byte_code+3117>,=20
          0x56fb7c <exec_byte_code+3322>, 0x56fc49 <exec_byte_code+3527>, 0=
x56fd20 <exec_byte_code+3742>, 0x57054f <exec_byte_code+5837>,=20
          0x570803 <exec_byte_code+6529>, 0x570d6c <exec_byte_code+7914>, 0=
x57194d <exec_byte_code+10955>, 0x571990 <exec_byte_code+11022>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x5719e6 <exec_byte_code+11108>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571a38 <exec_byte_code+11190> <repeats 64 times>}
        op =3D 2
        vectorp =3D 0x16bdaf0
        stack =3D {pc =3D 0x2a25bc1 "\207", byte_string =3D 25644513, byte_=
string_start =3D 0x2a25b50 "\b\203\v", next =3D 0x7fffffffc640}
        top =3D 0x7fffffffc278
        result =3D <optimized out>
        type =3D <optimized out>
#52 0x000000000053f719 in funcall_lambda (fun=3D23845845, nargs=3Dnargs@ent=
ry=3D9, arg_vector=3Darg_vector@entry=3D0x7fffffffc458) at eval.c:2978
        val =3D <optimized out>
        syms_left =3D <optimized out>
        lexenv =3D <optimized out>
        i =3D <optimized out>
        optional =3D <optimized out>
        rest =3D <optimized out>
#53 0x000000000053fce1 in Ffuncall (nargs=3Dnargs@entry=3D10, args=3Dargs@e=
ntry=3D0x7fffffffc450) at eval.c:2860
        fun =3D <optimized out>
        original_fun =3D 24569618
        numargs =3D 9
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
        count =3D 28
#54 0x0000000000540d70 in Fapply (nargs=3D<optimized out>, args=3D0x7ffffff=
fc5d0) at eval.c:2350
        i =3D 10
        numargs =3D <optimized out>
        spread_arg =3D 12009778
        funcall_args =3D 0x7fffffffc450
        fun =3D <optimized out>
        retval =3D <optimized out>
        gcpro1 =3D {next =3D 0x7e52868, var =3D 0x1c, nvars =3D 10}
        sa_must_free =3D false
#55 0x000000000053fb12 in Ffuncall (nargs=3Dnargs@entry=3D3, args=3Dargs@en=
try=3D0x7fffffffc5c8) at eval.c:2792
        fun =3D <optimized out>
        original_fun =3D 12135170
        numargs =3D 2
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
        count =3D 27
#56 0x000000000056f591 in exec_byte_code (bytestr=3D<optimized out>, vector=
=3D23845613, maxdepth=3D<optimized out>, args_template=3Dargs_template@entr=
y=3D512,=20
    nargs=3Dnargs@entry=3D20, args=3D<optimized out>, args@entry=3D0x7fffff=
ffc8f0) at bytecode.c:916
        targets =3D {0x571826 <exec_byte_code+10660>, 0x571871 <exec_byte_c=
ode+10735>, 0x571873 <exec_byte_code+10737>, 0x571875 <exec_byte_code+10739=
>,=20
          0x571882 <exec_byte_code+10752>, 0x571882 <exec_byte_code+10752>,=
 0x5718b9 <exec_byte_code+10807>, 0x5718f9 <exec_byte_code+10871>,=20
          0x56f13f <exec_byte_code+701>, 0x56f141 <exec_byte_code+703>, 0x5=
6f143 <exec_byte_code+705>, 0x56f145 <exec_byte_code+707>,=20
          0x56f152 <exec_byte_code+720>, 0x56f152 <exec_byte_code+720>, 0x5=
6f158 <exec_byte_code+726>, 0x56f11a <exec_byte_code+664>,=20
          0x56f3d0 <exec_byte_code+1358>, 0x56f3d2 <exec_byte_code+1360>, 0=
x56f3d4 <exec_byte_code+1362>, 0x56f3d6 <exec_byte_code+1364>,=20
          0x56f3e2 <exec_byte_code+1376>, 0x56f3e2 <exec_byte_code+1376>, 0=
x56f40d <exec_byte_code+1419>, 0x56f3e8 <exec_byte_code+1382>,=20
          0x56f4e6 <exec_byte_code+1636>, 0x56f4e8 <exec_byte_code+1638>, 0=
x56f4ea <exec_byte_code+1640>, 0x56f4f2 <exec_byte_code+1648>,=20
          0x56f4f4 <exec_byte_code+1650>, 0x56f4f4 <exec_byte_code+1650>, 0=
x56f4af <exec_byte_code+1581>, 0x56f4c1 <exec_byte_code+1599>,=20
          0x56f569 <exec_byte_code+1767>, 0x56f56b <exec_byte_code+1769>, 0=
x56f56d <exec_byte_code+1771>, 0x56f572 <exec_byte_code+1776>,=20
          0x56f574 <exec_byte_code+1778>, 0x56f574 <exec_byte_code+1778>, 0=
x56f532 <exec_byte_code+1712>, 0x56f544 <exec_byte_code+1730>,=20
          0x56f5eb <exec_byte_code+1897>, 0x56f5ed <exec_byte_code+1899>, 0=
x56f5ef <exec_byte_code+1901>, 0x56f5f2 <exec_byte_code+1904>,=20
          0x56f5f4 <exec_byte_code+1906>, 0x56f5f4 <exec_byte_code+1906>, 0=
x56f5b4 <exec_byte_code+1842>, 0x56f5c6 <exec_byte_code+1860>,=20
          0x57012c <exec_byte_code+4778>, 0x56ffdb <exec_byte_code+4441>, 0=
x56ffd3 <exec_byte_code+4433>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x57028d <exec_byte_code+5131>, 0x570325 <exec_byte_code+5283>, 0=
x57035f <exec_byte_code+5341>, 0x570399 <exec_byte_code+5399>,=20
          0x5703d3 <exec_byte_code+5457>, 0x56f308 <exec_byte_code+1158>, 0=
x56f346 <exec_byte_code+1220>, 0x570419 <exec_byte_code+5527>,=20
          0x56f2b5 <exec_byte_code+1075>, 0x56f37d <exec_byte_code+1275>, 0=
x57044e <exec_byte_code+5580>, 0x570485 <exec_byte_code+5635>,=20
          0x5704b0 <exec_byte_code+5678>, 0x5704e7 <exec_byte_code+5733>, 0=
x57051b <exec_byte_code+5785>, 0x570594 <exec_byte_code+5906>,=20
          0x5705bf <exec_byte_code+5949>, 0x5705f6 <exec_byte_code+6004>, 0=
x570631 <exec_byte_code+6063>, 0x57065c <exec_byte_code+6106>,=20
          0x570687 <exec_byte_code+6149>, 0x5706be <exec_byte_code+6204>, 0=
x5706f5 <exec_byte_code+6259>, 0x57072c <exec_byte_code+6314>,=20
          0x570767 <exec_byte_code+6373>, 0x57079b <exec_byte_code+6425>, 0=
x5707cf <exec_byte_code+6477>, 0x570848 <exec_byte_code+6598>,=20
          0x57088a <exec_byte_code+6664>, 0x5708cc <exec_byte_code+6730>, 0=
x570a36 <exec_byte_code+7092>, 0x570a72 <exec_byte_code+7152>,=20
          0x570aae <exec_byte_code+7212>, 0x570aea <exec_byte_code+7272>, 0=
x570b26 <exec_byte_code+7332>, 0x570b5a <exec_byte_code+7384>,=20
          0x570b9d <exec_byte_code+7451>, 0x570bd1 <exec_byte_code+7503>, 0=
x570c05 <exec_byte_code+7555>, 0x570c39 <exec_byte_code+7607>,=20
          0x570cd8 <exec_byte_code+7766>, 0x56fed2 <exec_byte_code+4176>, 0=
x570d11 <exec_byte_code+7823>, 0x570d3c <exec_byte_code+7866>,=20
          0x570db1 <exec_byte_code+7983>, 0x570dea <exec_byte_code+8040>, 0=
x570e23 <exec_byte_code+8097>, 0x570e4e <exec_byte_code+8140>,=20
          0x570e7a <exec_byte_code+8184>, 0x570ea6 <exec_byte_code+8228>, 0=
x570ed6 <exec_byte_code+8276>, 0x571826 <exec_byte_code+10660>,=20
          0x570f08 <exec_byte_code+8326>, 0x570f34 <exec_byte_code+8370>, 0=
x570f60 <exec_byte_code+8414>, 0x570f8c <exec_byte_code+8458>,=20
          0x570fb8 <exec_byte_code+8502>, 0x570fe4 <exec_byte_code+8546>, 0=
x56fed2 <exec_byte_code+4176>, 0x571826 <exec_byte_code+10660>,=20
          0x57100f <exec_byte_code+8589>, 0x57104d <exec_byte_code+8651>, 0=
x571078 <exec_byte_code+8694>, 0x5710a3 <exec_byte_code+8737>,=20
          0x5710da <exec_byte_code+8792>, 0x571111 <exec_byte_code+8847>, 0=
x57113c <exec_byte_code+8890>, 0x57127a <exec_byte_code+9208>,=20
          0x5712b1 <exec_byte_code+9263>, 0x5712e8 <exec_byte_code+9318>, 0=
x57131f <exec_byte_code+9373>, 0x57134b <exec_byte_code+9417>,=20
          0x571826 <exec_byte_code+10660>, 0x56fe51 <exec_byte_code+4047>, =
0x56f66c <exec_byte_code+2026>, 0x56f1cc <exec_byte_code+842>,=20
          0x56f73e <exec_byte_code+2236>, 0x56f827 <exec_byte_code+2469>, 0=
x56f90f <exec_byte_code+2701>, 0x56fdf7 <exec_byte_code+3957>,=20
          0x56fe2d <exec_byte_code+4011>, 0x56f485 <exec_byte_code+1539>, 0=
x56fea0 <exec_byte_code+4126>, 0x56ff04 <exec_byte_code+4226>,=20
          0x56ff65 <exec_byte_code+4323>, 0x56ff97 <exec_byte_code+4373>, 0=
x57015e <exec_byte_code+4828>, 0x5701ad <exec_byte_code+4907>,=20
          0x5701e8 <exec_byte_code+4966>, 0x570234 <exec_byte_code+5042>, 0=
x56f63c <exec_byte_code+1978>, 0x571376 <exec_byte_code+9460>,=20
          0x5713b1 <exec_byte_code+9519>, 0x5713dc <exec_byte_code+9562>, 0=
x571407 <exec_byte_code+9605>, 0x571432 <exec_byte_code+9648>,=20
          0x57145d <exec_byte_code+9691>, 0x571494 <exec_byte_code+9746>, 0=
x5714cb <exec_byte_code+9801>, 0x571502 <exec_byte_code+9856>,=20
          0x571539 <exec_byte_code+9911>, 0x5715f3 <exec_byte_code+10097>, =
0x57162a <exec_byte_code+10152>, 0x571661 <exec_byte_code+10207>,=20
          0x57168c <exec_byte_code+10250>, 0x5716c3 <exec_byte_code+10305>,=
 0x5716fa <exec_byte_code+10360>, 0x571735 <exec_byte_code+10419>,=20
          0x571770 <exec_byte_code+10478>, 0x570c6d <exec_byte_code+7659>, =
0x570ca1 <exec_byte_code+7711>, 0x5717a4 <exec_byte_code+10530>,=20
          0x5717f1 <exec_byte_code+10607>, 0x571826 <exec_byte_code+10660>,=
 0x56f9f7 <exec_byte_code+2933>, 0x56faaf <exec_byte_code+3117>,=20
          0x56fb7c <exec_byte_code+3322>, 0x56fc49 <exec_byte_code+3527>, 0=
x56fd20 <exec_byte_code+3742>, 0x57054f <exec_byte_code+5837>,=20
          0x570803 <exec_byte_code+6529>, 0x570d6c <exec_byte_code+7914>, 0=
x57194d <exec_byte_code+10955>, 0x571990 <exec_byte_code+11022>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x5719e6 <exec_byte_code+11108>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571a38 <exec_byte_code+11190> <repeats 64 times>}
        op =3D 2
        vectorp =3D 0x16bdaf0
        stack =3D {pc =3D 0x2a25bba "\202q", byte_string =3D 25644513, byte=
_string_start =3D 0x2a25b50 "\b\203\v", next =3D 0x7fffffffc9c0}
        top =3D 0x7fffffffc5c8
        result =3D <optimized out>
        type =3D <optimized out>
#57 0x000000000053f719 in funcall_lambda (fun=3D23845845, nargs=3Dnargs@ent=
ry=3D20, arg_vector=3Darg_vector@entry=3D0x7fffffffc8f0) at eval.c:2978
        val =3D <optimized out>
        syms_left =3D <optimized out>
        lexenv =3D <optimized out>
        i =3D <optimized out>
        optional =3D <optimized out>
        rest =3D <optimized out>
#58 0x000000000053fce1 in Ffuncall (nargs=3Dnargs@entry=3D21, args=3Dargs@e=
ntry=3D0x7fffffffc8e8) at eval.c:2860
        fun =3D <optimized out>
        original_fun =3D 24569618
        numargs =3D 20
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
        count =3D 26
#59 0x000000000056f591 in exec_byte_code (bytestr=3D<optimized out>, vector=
=3D23984141, maxdepth=3D<optimized out>, args_template=3Dargs_template@entr=
y=3D2568,=20
    nargs=3Dnargs@entry=3D28, args=3D<optimized out>, args@entry=3D0x7fffff=
ffcb98) at bytecode.c:916
        targets =3D {0x571826 <exec_byte_code+10660>, 0x571871 <exec_byte_c=
ode+10735>, 0x571873 <exec_byte_code+10737>, 0x571875 <exec_byte_code+10739=
>,=20
          0x571882 <exec_byte_code+10752>, 0x571882 <exec_byte_code+10752>,=
 0x5718b9 <exec_byte_code+10807>, 0x5718f9 <exec_byte_code+10871>,=20
          0x56f13f <exec_byte_code+701>, 0x56f141 <exec_byte_code+703>, 0x5=
6f143 <exec_byte_code+705>, 0x56f145 <exec_byte_code+707>,=20
          0x56f152 <exec_byte_code+720>, 0x56f152 <exec_byte_code+720>, 0x5=
6f158 <exec_byte_code+726>, 0x56f11a <exec_byte_code+664>,=20
          0x56f3d0 <exec_byte_code+1358>, 0x56f3d2 <exec_byte_code+1360>, 0=
x56f3d4 <exec_byte_code+1362>, 0x56f3d6 <exec_byte_code+1364>,=20
          0x56f3e2 <exec_byte_code+1376>, 0x56f3e2 <exec_byte_code+1376>, 0=
x56f40d <exec_byte_code+1419>, 0x56f3e8 <exec_byte_code+1382>,=20
          0x56f4e6 <exec_byte_code+1636>, 0x56f4e8 <exec_byte_code+1638>, 0=
x56f4ea <exec_byte_code+1640>, 0x56f4f2 <exec_byte_code+1648>,=20
          0x56f4f4 <exec_byte_code+1650>, 0x56f4f4 <exec_byte_code+1650>, 0=
x56f4af <exec_byte_code+1581>, 0x56f4c1 <exec_byte_code+1599>,=20
          0x56f569 <exec_byte_code+1767>, 0x56f56b <exec_byte_code+1769>, 0=
x56f56d <exec_byte_code+1771>, 0x56f572 <exec_byte_code+1776>,=20
          0x56f574 <exec_byte_code+1778>, 0x56f574 <exec_byte_code+1778>, 0=
x56f532 <exec_byte_code+1712>, 0x56f544 <exec_byte_code+1730>,=20
          0x56f5eb <exec_byte_code+1897>, 0x56f5ed <exec_byte_code+1899>, 0=
x56f5ef <exec_byte_code+1901>, 0x56f5f2 <exec_byte_code+1904>,=20
          0x56f5f4 <exec_byte_code+1906>, 0x56f5f4 <exec_byte_code+1906>, 0=
x56f5b4 <exec_byte_code+1842>, 0x56f5c6 <exec_byte_code+1860>,=20
          0x57012c <exec_byte_code+4778>, 0x56ffdb <exec_byte_code+4441>, 0=
x56ffd3 <exec_byte_code+4433>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x57028d <exec_byte_code+5131>, 0x570325 <exec_byte_code+5283>, 0=
x57035f <exec_byte_code+5341>, 0x570399 <exec_byte_code+5399>,=20
          0x5703d3 <exec_byte_code+5457>, 0x56f308 <exec_byte_code+1158>, 0=
x56f346 <exec_byte_code+1220>, 0x570419 <exec_byte_code+5527>,=20
          0x56f2b5 <exec_byte_code+1075>, 0x56f37d <exec_byte_code+1275>, 0=
x57044e <exec_byte_code+5580>, 0x570485 <exec_byte_code+5635>,=20
          0x5704b0 <exec_byte_code+5678>, 0x5704e7 <exec_byte_code+5733>, 0=
x57051b <exec_byte_code+5785>, 0x570594 <exec_byte_code+5906>,=20
          0x5705bf <exec_byte_code+5949>, 0x5705f6 <exec_byte_code+6004>, 0=
x570631 <exec_byte_code+6063>, 0x57065c <exec_byte_code+6106>,=20
          0x570687 <exec_byte_code+6149>, 0x5706be <exec_byte_code+6204>, 0=
x5706f5 <exec_byte_code+6259>, 0x57072c <exec_byte_code+6314>,=20
          0x570767 <exec_byte_code+6373>, 0x57079b <exec_byte_code+6425>, 0=
x5707cf <exec_byte_code+6477>, 0x570848 <exec_byte_code+6598>,=20
          0x57088a <exec_byte_code+6664>, 0x5708cc <exec_byte_code+6730>, 0=
x570a36 <exec_byte_code+7092>, 0x570a72 <exec_byte_code+7152>,=20
          0x570aae <exec_byte_code+7212>, 0x570aea <exec_byte_code+7272>, 0=
x570b26 <exec_byte_code+7332>, 0x570b5a <exec_byte_code+7384>,=20
          0x570b9d <exec_byte_code+7451>, 0x570bd1 <exec_byte_code+7503>, 0=
x570c05 <exec_byte_code+7555>, 0x570c39 <exec_byte_code+7607>,=20
          0x570cd8 <exec_byte_code+7766>, 0x56fed2 <exec_byte_code+4176>, 0=
x570d11 <exec_byte_code+7823>, 0x570d3c <exec_byte_code+7866>,=20
          0x570db1 <exec_byte_code+7983>, 0x570dea <exec_byte_code+8040>, 0=
x570e23 <exec_byte_code+8097>, 0x570e4e <exec_byte_code+8140>,=20
          0x570e7a <exec_byte_code+8184>, 0x570ea6 <exec_byte_code+8228>, 0=
x570ed6 <exec_byte_code+8276>, 0x571826 <exec_byte_code+10660>,=20
          0x570f08 <exec_byte_code+8326>, 0x570f34 <exec_byte_code+8370>, 0=
x570f60 <exec_byte_code+8414>, 0x570f8c <exec_byte_code+8458>,=20
          0x570fb8 <exec_byte_code+8502>, 0x570fe4 <exec_byte_code+8546>, 0=
x56fed2 <exec_byte_code+4176>, 0x571826 <exec_byte_code+10660>,=20
          0x57100f <exec_byte_code+8589>, 0x57104d <exec_byte_code+8651>, 0=
x571078 <exec_byte_code+8694>, 0x5710a3 <exec_byte_code+8737>,=20
          0x5710da <exec_byte_code+8792>, 0x571111 <exec_byte_code+8847>, 0=
x57113c <exec_byte_code+8890>, 0x57127a <exec_byte_code+9208>,=20
          0x5712b1 <exec_byte_code+9263>, 0x5712e8 <exec_byte_code+9318>, 0=
x57131f <exec_byte_code+9373>, 0x57134b <exec_byte_code+9417>,=20
          0x571826 <exec_byte_code+10660>, 0x56fe51 <exec_byte_code+4047>, =
0x56f66c <exec_byte_code+2026>, 0x56f1cc <exec_byte_code+842>,=20
          0x56f73e <exec_byte_code+2236>, 0x56f827 <exec_byte_code+2469>, 0=
x56f90f <exec_byte_code+2701>, 0x56fdf7 <exec_byte_code+3957>,=20
          0x56fe2d <exec_byte_code+4011>, 0x56f485 <exec_byte_code+1539>, 0=
x56fea0 <exec_byte_code+4126>, 0x56ff04 <exec_byte_code+4226>,=20
          0x56ff65 <exec_byte_code+4323>, 0x56ff97 <exec_byte_code+4373>, 0=
x57015e <exec_byte_code+4828>, 0x5701ad <exec_byte_code+4907>,=20
          0x5701e8 <exec_byte_code+4966>, 0x570234 <exec_byte_code+5042>, 0=
x56f63c <exec_byte_code+1978>, 0x571376 <exec_byte_code+9460>,=20
          0x5713b1 <exec_byte_code+9519>, 0x5713dc <exec_byte_code+9562>, 0=
x571407 <exec_byte_code+9605>, 0x571432 <exec_byte_code+9648>,=20
          0x57145d <exec_byte_code+9691>, 0x571494 <exec_byte_code+9746>, 0=
x5714cb <exec_byte_code+9801>, 0x571502 <exec_byte_code+9856>,=20
          0x571539 <exec_byte_code+9911>, 0x5715f3 <exec_byte_code+10097>, =
0x57162a <exec_byte_code+10152>, 0x571661 <exec_byte_code+10207>,=20
          0x57168c <exec_byte_code+10250>, 0x5716c3 <exec_byte_code+10305>,=
 0x5716fa <exec_byte_code+10360>, 0x571735 <exec_byte_code+10419>,=20
          0x571770 <exec_byte_code+10478>, 0x570c6d <exec_byte_code+7659>, =
0x570ca1 <exec_byte_code+7711>, 0x5717a4 <exec_byte_code+10530>,=20
          0x5717f1 <exec_byte_code+10607>, 0x571826 <exec_byte_code+10660>,=
 0x56f9f7 <exec_byte_code+2933>, 0x56faaf <exec_byte_code+3117>,=20
          0x56fb7c <exec_byte_code+3322>, 0x56fc49 <exec_byte_code+3527>, 0=
x56fd20 <exec_byte_code+3742>, 0x57054f <exec_byte_code+5837>,=20
          0x570803 <exec_byte_code+6529>, 0x570d6c <exec_byte_code+7914>, 0=
x57194d <exec_byte_code+10955>, 0x571990 <exec_byte_code+11022>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x5719e6 <exec_byte_code+11108>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571a38 <exec_byte_code+11190> <repeats 64 times>}
        op =3D 20
        vectorp =3D 0x16df810
        stack =3D {
          pc =3D 0x2acf105 "\262\001\211\203\375\002\006\034\203\375\002\00=
6\031\203\375\002\006\034\071\203\351\002\006\034J9\204\351\002\006\034J\21=
1\203\345\002\211\002\240\210\210\202\375\002\006\034:\203\367\002\006\034\=
001\240\210\202\375\002\006\034\001CL\210\211\206B\003\016E\201G", byte_str=
ing =3D 40844113,=20
          byte_string_start =3D 0x2acee48 "\306\001>A@\307\002>A@\310\003>A=
@\311\004>A@\312\005>\206\033", next =3D 0x7fffffffccb0}
        top =3D 0x7fffffffc8e8
        result =3D <optimized out>
        type =3D <optimized out>
#60 0x000000000053f719 in funcall_lambda (fun=3D23984997, nargs=3Dnargs@ent=
ry=3D28, arg_vector=3Darg_vector@entry=3D0x7fffffffcb98) at eval.c:2978
        val =3D <optimized out>
        syms_left =3D <optimized out>
        lexenv =3D <optimized out>
        i =3D <optimized out>
        optional =3D <optimized out>
        rest =3D <optimized out>
#61 0x000000000053fce1 in Ffuncall (nargs=3Dnargs@entry=3D29, args=3Dargs@e=
ntry=3D0x7fffffffcb90) at eval.c:2860
        fun =3D <optimized out>
        original_fun =3D 27629538
        numargs =3D 28
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
        count =3D 19
#62 0x000000000056f591 in exec_byte_code (bytestr=3D<optimized out>, vector=
=3D23985485, maxdepth=3D<optimized out>, args_template=3Dargs_template@entr=
y=3D12328,=20
    nargs=3Dnargs@entry=3D10, args=3D<optimized out>, args@entry=3D0x7fffff=
ffce60) at bytecode.c:916
        targets =3D {0x571826 <exec_byte_code+10660>, 0x571871 <exec_byte_c=
ode+10735>, 0x571873 <exec_byte_code+10737>, 0x571875 <exec_byte_code+10739=
>,=20
          0x571882 <exec_byte_code+10752>, 0x571882 <exec_byte_code+10752>,=
 0x5718b9 <exec_byte_code+10807>, 0x5718f9 <exec_byte_code+10871>,=20
          0x56f13f <exec_byte_code+701>, 0x56f141 <exec_byte_code+703>, 0x5=
6f143 <exec_byte_code+705>, 0x56f145 <exec_byte_code+707>,=20
          0x56f152 <exec_byte_code+720>, 0x56f152 <exec_byte_code+720>, 0x5=
6f158 <exec_byte_code+726>, 0x56f11a <exec_byte_code+664>,=20
          0x56f3d0 <exec_byte_code+1358>, 0x56f3d2 <exec_byte_code+1360>, 0=
x56f3d4 <exec_byte_code+1362>, 0x56f3d6 <exec_byte_code+1364>,=20
          0x56f3e2 <exec_byte_code+1376>, 0x56f3e2 <exec_byte_code+1376>, 0=
x56f40d <exec_byte_code+1419>, 0x56f3e8 <exec_byte_code+1382>,=20
          0x56f4e6 <exec_byte_code+1636>, 0x56f4e8 <exec_byte_code+1638>, 0=
x56f4ea <exec_byte_code+1640>, 0x56f4f2 <exec_byte_code+1648>,=20
          0x56f4f4 <exec_byte_code+1650>, 0x56f4f4 <exec_byte_code+1650>, 0=
x56f4af <exec_byte_code+1581>, 0x56f4c1 <exec_byte_code+1599>,=20
          0x56f569 <exec_byte_code+1767>, 0x56f56b <exec_byte_code+1769>, 0=
x56f56d <exec_byte_code+1771>, 0x56f572 <exec_byte_code+1776>,=20
          0x56f574 <exec_byte_code+1778>, 0x56f574 <exec_byte_code+1778>, 0=
x56f532 <exec_byte_code+1712>, 0x56f544 <exec_byte_code+1730>,=20
          0x56f5eb <exec_byte_code+1897>, 0x56f5ed <exec_byte_code+1899>, 0=
x56f5ef <exec_byte_code+1901>, 0x56f5f2 <exec_byte_code+1904>,=20
          0x56f5f4 <exec_byte_code+1906>, 0x56f5f4 <exec_byte_code+1906>, 0=
x56f5b4 <exec_byte_code+1842>, 0x56f5c6 <exec_byte_code+1860>,=20
          0x57012c <exec_byte_code+4778>, 0x56ffdb <exec_byte_code+4441>, 0=
x56ffd3 <exec_byte_code+4433>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x57028d <exec_byte_code+5131>, 0x570325 <exec_byte_code+5283>, 0=
x57035f <exec_byte_code+5341>, 0x570399 <exec_byte_code+5399>,=20
          0x5703d3 <exec_byte_code+5457>, 0x56f308 <exec_byte_code+1158>, 0=
x56f346 <exec_byte_code+1220>, 0x570419 <exec_byte_code+5527>,=20
          0x56f2b5 <exec_byte_code+1075>, 0x56f37d <exec_byte_code+1275>, 0=
x57044e <exec_byte_code+5580>, 0x570485 <exec_byte_code+5635>,=20
          0x5704b0 <exec_byte_code+5678>, 0x5704e7 <exec_byte_code+5733>, 0=
x57051b <exec_byte_code+5785>, 0x570594 <exec_byte_code+5906>,=20
          0x5705bf <exec_byte_code+5949>, 0x5705f6 <exec_byte_code+6004>, 0=
x570631 <exec_byte_code+6063>, 0x57065c <exec_byte_code+6106>,=20
          0x570687 <exec_byte_code+6149>, 0x5706be <exec_byte_code+6204>, 0=
x5706f5 <exec_byte_code+6259>, 0x57072c <exec_byte_code+6314>,=20
          0x570767 <exec_byte_code+6373>, 0x57079b <exec_byte_code+6425>, 0=
x5707cf <exec_byte_code+6477>, 0x570848 <exec_byte_code+6598>,=20
          0x57088a <exec_byte_code+6664>, 0x5708cc <exec_byte_code+6730>, 0=
x570a36 <exec_byte_code+7092>, 0x570a72 <exec_byte_code+7152>,=20
          0x570aae <exec_byte_code+7212>, 0x570aea <exec_byte_code+7272>, 0=
x570b26 <exec_byte_code+7332>, 0x570b5a <exec_byte_code+7384>,=20
          0x570b9d <exec_byte_code+7451>, 0x570bd1 <exec_byte_code+7503>, 0=
x570c05 <exec_byte_code+7555>, 0x570c39 <exec_byte_code+7607>,=20
          0x570cd8 <exec_byte_code+7766>, 0x56fed2 <exec_byte_code+4176>, 0=
x570d11 <exec_byte_code+7823>, 0x570d3c <exec_byte_code+7866>,=20
          0x570db1 <exec_byte_code+7983>, 0x570dea <exec_byte_code+8040>, 0=
x570e23 <exec_byte_code+8097>, 0x570e4e <exec_byte_code+8140>,=20
          0x570e7a <exec_byte_code+8184>, 0x570ea6 <exec_byte_code+8228>, 0=
x570ed6 <exec_byte_code+8276>, 0x571826 <exec_byte_code+10660>,=20
          0x570f08 <exec_byte_code+8326>, 0x570f34 <exec_byte_code+8370>, 0=
x570f60 <exec_byte_code+8414>, 0x570f8c <exec_byte_code+8458>,=20
          0x570fb8 <exec_byte_code+8502>, 0x570fe4 <exec_byte_code+8546>, 0=
x56fed2 <exec_byte_code+4176>, 0x571826 <exec_byte_code+10660>,=20
          0x57100f <exec_byte_code+8589>, 0x57104d <exec_byte_code+8651>, 0=
x571078 <exec_byte_code+8694>, 0x5710a3 <exec_byte_code+8737>,=20
          0x5710da <exec_byte_code+8792>, 0x571111 <exec_byte_code+8847>, 0=
x57113c <exec_byte_code+8890>, 0x57127a <exec_byte_code+9208>,=20
          0x5712b1 <exec_byte_code+9263>, 0x5712e8 <exec_byte_code+9318>, 0=
x57131f <exec_byte_code+9373>, 0x57134b <exec_byte_code+9417>,=20
          0x571826 <exec_byte_code+10660>, 0x56fe51 <exec_byte_code+4047>, =
0x56f66c <exec_byte_code+2026>, 0x56f1cc <exec_byte_code+842>,=20
          0x56f73e <exec_byte_code+2236>, 0x56f827 <exec_byte_code+2469>, 0=
x56f90f <exec_byte_code+2701>, 0x56fdf7 <exec_byte_code+3957>,=20
          0x56fe2d <exec_byte_code+4011>, 0x56f485 <exec_byte_code+1539>, 0=
x56fea0 <exec_byte_code+4126>, 0x56ff04 <exec_byte_code+4226>,=20
          0x56ff65 <exec_byte_code+4323>, 0x56ff97 <exec_byte_code+4373>, 0=
x57015e <exec_byte_code+4828>, 0x5701ad <exec_byte_code+4907>,=20
          0x5701e8 <exec_byte_code+4966>, 0x570234 <exec_byte_code+5042>, 0=
x56f63c <exec_byte_code+1978>, 0x571376 <exec_byte_code+9460>,=20
          0x5713b1 <exec_byte_code+9519>, 0x5713dc <exec_byte_code+9562>, 0=
x571407 <exec_byte_code+9605>, 0x571432 <exec_byte_code+9648>,=20
          0x57145d <exec_byte_code+9691>, 0x571494 <exec_byte_code+9746>, 0=
x5714cb <exec_byte_code+9801>, 0x571502 <exec_byte_code+9856>,=20
          0x571539 <exec_byte_code+9911>, 0x5715f3 <exec_byte_code+10097>, =
0x57162a <exec_byte_code+10152>, 0x571661 <exec_byte_code+10207>,=20
          0x57168c <exec_byte_code+10250>, 0x5716c3 <exec_byte_code+10305>,=
 0x5716fa <exec_byte_code+10360>, 0x571735 <exec_byte_code+10419>,=20
          0x571770 <exec_byte_code+10478>, 0x570c6d <exec_byte_code+7659>, =
0x570ca1 <exec_byte_code+7711>, 0x5717a4 <exec_byte_code+10530>,=20
          0x5717f1 <exec_byte_code+10607>, 0x571826 <exec_byte_code+10660>,=
 0x56f9f7 <exec_byte_code+2933>, 0x56faaf <exec_byte_code+3117>,=20
          0x56fb7c <exec_byte_code+3322>, 0x56fc49 <exec_byte_code+3527>, 0=
x56fd20 <exec_byte_code+3742>, 0x57054f <exec_byte_code+5837>,=20
          0x570803 <exec_byte_code+6529>, 0x570d6c <exec_byte_code+7914>, 0=
x57194d <exec_byte_code+10955>, 0x571990 <exec_byte_code+11022>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x5719e6 <exec_byte_code+11108>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571a38 <exec_byte_code+11190> <repeats 64 times>}
        op =3D 28
        vectorp =3D 0x16dfd50
        stack =3D {pc =3D 0x2acfa32 "\207", byte_string =3D 38234177, byte_=
string_start =3D 0x2acf9b0 "\006\006\242\206\b", next =3D 0x7fffffffcef0}
        top =3D 0x7fffffffcb90
        result =3D <optimized out>
        type =3D <optimized out>
#63 0x000000000053f719 in funcall_lambda (fun=3D23985685, nargs=3Dnargs@ent=
ry=3D10, arg_vector=3Darg_vector@entry=3D0x7fffffffce60) at eval.c:2978
        val =3D <optimized out>
        syms_left =3D <optimized out>
        lexenv =3D <optimized out>
        i =3D <optimized out>
        optional =3D <optimized out>
        rest =3D <optimized out>
#64 0x000000000053fce1 in Ffuncall (nargs=3Dnargs@entry=3D11, args=3Dargs@e=
ntry=3D0x7fffffffce58) at eval.c:2860
        fun =3D <optimized out>
        original_fun =3D 23234466
        numargs =3D 10
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
        count =3D 18
#65 0x000000000056f591 in exec_byte_code (bytestr=3D<optimized out>, vector=
=3D65347213, maxdepth=3D<optimized out>, args_template=3Dargs_template@entr=
y=3D0,=20
    nargs=3Dnargs@entry=3D0, args=3D<optimized out>, args@entry=3D0x7ffffff=
fd068) at bytecode.c:916
        targets =3D {0x571826 <exec_byte_code+10660>, 0x571871 <exec_byte_c=
ode+10735>, 0x571873 <exec_byte_code+10737>, 0x571875 <exec_byte_code+10739=
>,

          0x571882 <exec_byte_code+10752>, 0x571882 <exec_byte_code+10752>,=
 0x5718b9 <exec_byte_code+10807>, 0x5718f9 <exec_byte_code+10871>,=20
          0x56f13f <exec_byte_code+701>, 0x56f141 <exec_byte_code+703>, 0x5=
6f143 <exec_byte_code+705>, 0x56f145 <exec_byte_code+707>,=20
          0x56f152 <exec_byte_code+720>, 0x56f152 <exec_byte_code+720>, 0x5=
6f158 <exec_byte_code+726>, 0x56f11a <exec_byte_code+664>,=20
          0x56f3d0 <exec_byte_code+1358>, 0x56f3d2 <exec_byte_code+1360>, 0=
x56f3d4 <exec_byte_code+1362>, 0x56f3d6 <exec_byte_code+1364>,=20
          0x56f3e2 <exec_byte_code+1376>, 0x56f3e2 <exec_byte_code+1376>, 0=
x56f40d <exec_byte_code+1419>, 0x56f3e8 <exec_byte_code+1382>,=20
          0x56f4e6 <exec_byte_code+1636>, 0x56f4e8 <exec_byte_code+1638>, 0=
x56f4ea <exec_byte_code+1640>, 0x56f4f2 <exec_byte_code+1648>,=20
          0x56f4f4 <exec_byte_code+1650>, 0x56f4f4 <exec_byte_code+1650>, 0=
x56f4af <exec_byte_code+1581>, 0x56f4c1 <exec_byte_code+1599>,=20
          0x56f569 <exec_byte_code+1767>, 0x56f56b <exec_byte_code+1769>, 0=
x56f56d <exec_byte_code+1771>, 0x56f572 <exec_byte_code+1776>,=20
          0x56f574 <exec_byte_code+1778>, 0x56f574 <exec_byte_code+1778>, 0=
x56f532 <exec_byte_code+1712>, 0x56f544 <exec_byte_code+1730>,=20
          0x56f5eb <exec_byte_code+1897>, 0x56f5ed <exec_byte_code+1899>, 0=
x56f5ef <exec_byte_code+1901>, 0x56f5f2 <exec_byte_code+1904>,=20
          0x56f5f4 <exec_byte_code+1906>, 0x56f5f4 <exec_byte_code+1906>, 0=
x56f5b4 <exec_byte_code+1842>, 0x56f5c6 <exec_byte_code+1860>,=20
          0x57012c <exec_byte_code+4778>, 0x56ffdb <exec_byte_code+4441>, 0=
x56ffd3 <exec_byte_code+4433>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x57028d <exec_byte_code+5131>, 0x570325 <exec_byte_code+5283>, 0=
x57035f <exec_byte_code+5341>, 0x570399 <exec_byte_code+5399>,=20
          0x5703d3 <exec_byte_code+5457>, 0x56f308 <exec_byte_code+1158>, 0=
x56f346 <exec_byte_code+1220>, 0x570419 <exec_byte_code+5527>,=20
          0x56f2b5 <exec_byte_code+1075>, 0x56f37d <exec_byte_code+1275>, 0=
x57044e <exec_byte_code+5580>, 0x570485 <exec_byte_code+5635>,=20
          0x5704b0 <exec_byte_code+5678>, 0x5704e7 <exec_byte_code+5733>, 0=
x57051b <exec_byte_code+5785>, 0x570594 <exec_byte_code+5906>,=20
          0x5705bf <exec_byte_code+5949>, 0x5705f6 <exec_byte_code+6004>, 0=
x570631 <exec_byte_code+6063>, 0x57065c <exec_byte_code+6106>,=20
          0x570687 <exec_byte_code+6149>, 0x5706be <exec_byte_code+6204>, 0=
x5706f5 <exec_byte_code+6259>, 0x57072c <exec_byte_code+6314>,=20
          0x570767 <exec_byte_code+6373>, 0x57079b <exec_byte_code+6425>, 0=
x5707cf <exec_byte_code+6477>, 0x570848 <exec_byte_code+6598>,=20
          0x57088a <exec_byte_code+6664>, 0x5708cc <exec_byte_code+6730>, 0=
x570a36 <exec_byte_code+7092>, 0x570a72 <exec_byte_code+7152>,=20
          0x570aae <exec_byte_code+7212>, 0x570aea <exec_byte_code+7272>, 0=
x570b26 <exec_byte_code+7332>, 0x570b5a <exec_byte_code+7384>,=20
          0x570b9d <exec_byte_code+7451>, 0x570bd1 <exec_byte_code+7503>, 0=
x570c05 <exec_byte_code+7555>, 0x570c39 <exec_byte_code+7607>,=20
          0x570cd8 <exec_byte_code+7766>, 0x56fed2 <exec_byte_code+4176>, 0=
x570d11 <exec_byte_code+7823>, 0x570d3c <exec_byte_code+7866>,=20
          0x570db1 <exec_byte_code+7983>, 0x570dea <exec_byte_code+8040>, 0=
x570e23 <exec_byte_code+8097>, 0x570e4e <exec_byte_code+8140>,=20
          0x570e7a <exec_byte_code+8184>, 0x570ea6 <exec_byte_code+8228>, 0=
x570ed6 <exec_byte_code+8276>, 0x571826 <exec_byte_code+10660>,=20
          0x570f08 <exec_byte_code+8326>, 0x570f34 <exec_byte_code+8370>, 0=
x570f60 <exec_byte_code+8414>, 0x570f8c <exec_byte_code+8458>,=20
          0x570fb8 <exec_byte_code+8502>, 0x570fe4 <exec_byte_code+8546>, 0=
x56fed2 <exec_byte_code+4176>, 0x571826 <exec_byte_code+10660>,=20
          0x57100f <exec_byte_code+8589>, 0x57104d <exec_byte_code+8651>, 0=
x571078 <exec_byte_code+8694>, 0x5710a3 <exec_byte_code+8737>,=20
          0x5710da <exec_byte_code+8792>, 0x571111 <exec_byte_code+8847>, 0=
x57113c <exec_byte_code+8890>, 0x57127a <exec_byte_code+9208>,=20
          0x5712b1 <exec_byte_code+9263>, 0x5712e8 <exec_byte_code+9318>, 0=
x57131f <exec_byte_code+9373>, 0x57134b <exec_byte_code+9417>,=20
          0x571826 <exec_byte_code+10660>, 0x56fe51 <exec_byte_code+4047>, =
0x56f66c <exec_byte_code+2026>, 0x56f1cc <exec_byte_code+842>,=20
          0x56f73e <exec_byte_code+2236>, 0x56f827 <exec_byte_code+2469>, 0=
x56f90f <exec_byte_code+2701>, 0x56fdf7 <exec_byte_code+3957>,=20
          0x56fe2d <exec_byte_code+4011>, 0x56f485 <exec_byte_code+1539>, 0=
x56fea0 <exec_byte_code+4126>, 0x56ff04 <exec_byte_code+4226>,=20
          0x56ff65 <exec_byte_code+4323>, 0x56ff97 <exec_byte_code+4373>, 0=
x57015e <exec_byte_code+4828>, 0x5701ad <exec_byte_code+4907>,=20
          0x5701e8 <exec_byte_code+4966>, 0x570234 <exec_byte_code+5042>, 0=
x56f63c <exec_byte_code+1978>, 0x571376 <exec_byte_code+9460>,=20
          0x5713b1 <exec_byte_code+9519>, 0x5713dc <exec_byte_code+9562>, 0=
x571407 <exec_byte_code+9605>, 0x571432 <exec_byte_code+9648>,=20
          0x57145d <exec_byte_code+9691>, 0x571494 <exec_byte_code+9746>, 0=
x5714cb <exec_byte_code+9801>, 0x571502 <exec_byte_code+9856>,=20
          0x571539 <exec_byte_code+9911>, 0x5715f3 <exec_byte_code+10097>, =
0x57162a <exec_byte_code+10152>, 0x571661 <exec_byte_code+10207>,=20
          0x57168c <exec_byte_code+10250>, 0x5716c3 <exec_byte_code+10305>,=
 0x5716fa <exec_byte_code+10360>, 0x571735 <exec_byte_code+10419>,=20
          0x571770 <exec_byte_code+10478>, 0x570c6d <exec_byte_code+7659>, =
0x570ca1 <exec_byte_code+7711>, 0x5717a4 <exec_byte_code+10530>,=20
          0x5717f1 <exec_byte_code+10607>, 0x571826 <exec_byte_code+10660>,=
 0x56f9f7 <exec_byte_code+2933>, 0x56faaf <exec_byte_code+3117>,=20
          0x56fb7c <exec_byte_code+3322>, 0x56fc49 <exec_byte_code+3527>, 0=
x56fd20 <exec_byte_code+3742>, 0x57054f <exec_byte_code+5837>,=20
          0x570803 <exec_byte_code+6529>, 0x570d6c <exec_byte_code+7914>, 0=
x57194d <exec_byte_code+10955>, 0x571990 <exec_byte_code+11022>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x5719e6 <exec_byte_code+11108>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571a38 <exec_byte_code+11190> <repeats 64 times>}
        op =3D 10
        vectorp =3D 0x3e51e90
        stack =3D {pc =3D 0x2acfbce "-\207", byte_string =3D 40054401, byte=
_string_start =3D 0x2acfaf8 "\310 \206\a", next =3D 0x7fffffffd250}
        top =3D 0x7fffffffce58
        result =3D <optimized out>
        type =3D <optimized out>
#66 0x000000000053f719 in funcall_lambda (fun=3D28955501, nargs=3Dnargs@ent=
ry=3D0, arg_vector=3Darg_vector@entry=3D0x7fffffffd068) at eval.c:2978
        val =3D <optimized out>
        syms_left =3D <optimized out>
        lexenv =3D <optimized out>
        i =3D <optimized out>
        optional =3D <optimized out>
        rest =3D <optimized out>
#67 0x000000000053fce1 in Ffuncall (nargs=3D<optimized out>, args=3D<optimi=
zed out>) at eval.c:2860
        fun =3D <optimized out>
        original_fun =3D 28955501
        numargs =3D 0
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
        count =3D 12
#68 0x000000000053f206 in eval_sub (form=3Dform@entry=3D65860374) at eval.c=
:2154
        vals =3D 0x7fffffffd060
        argnum =3D <optimized out>
        sa_must_free =3D false
        numargs =3D <optimized out>
        args_left =3D 12009778
        i =3D 0
        maxargs =3D <optimized out>
        argvals =3D {5, 5411192, 12081298, 140737488343376, 65534, 5504409,=
 0, 4914262}
        fun =3D <optimized out>
        val =3D <optimized out>
        original_args =3D 65860390
        count =3D 11
#69 0x000000000053e27b in internal_catch (tag=3D24051730, func=3D0x53eea2 <=
eval_sub>, arg=3D65860374) at eval.c:1112
        val =3D <optimized out>
        c =3D <optimized out>
#70 0x000000000056ffac in exec_byte_code (bytestr=3D<optimized out>, vector=
=3D23986205, maxdepth=3D<optimized out>, args_template=3Dargs_template@entr=
y=3D8200,=20
    nargs=3Dnargs@entry=3D8, args=3D<optimized out>, args@entry=3D0x7ffffff=
fd3b8) at bytecode.c:1097
        v1 =3D <optimized out>
        targets =3D {0x571826 <exec_byte_code+10660>, 0x571871 <exec_byte_c=
ode+10735>, 0x571873 <exec_byte_code+10737>, 0x571875 <exec_byte_code+10739=
>,=20
          0x571882 <exec_byte_code+10752>, 0x571882 <exec_byte_code+10752>,=
 0x5718b9 <exec_byte_code+10807>, 0x5718f9 <exec_byte_code+10871>,=20
          0x56f13f <exec_byte_code+701>, 0x56f141 <exec_byte_code+703>, 0x5=
6f143 <exec_byte_code+705>, 0x56f145 <exec_byte_code+707>,=20
          0x56f152 <exec_byte_code+720>, 0x56f152 <exec_byte_code+720>, 0x5=
6f158 <exec_byte_code+726>, 0x56f11a <exec_byte_code+664>,=20
          0x56f3d0 <exec_byte_code+1358>, 0x56f3d2 <exec_byte_code+1360>, 0=
x56f3d4 <exec_byte_code+1362>, 0x56f3d6 <exec_byte_code+1364>,=20
          0x56f3e2 <exec_byte_code+1376>, 0x56f3e2 <exec_byte_code+1376>, 0=
x56f40d <exec_byte_code+1419>, 0x56f3e8 <exec_byte_code+1382>,=20
          0x56f4e6 <exec_byte_code+1636>, 0x56f4e8 <exec_byte_code+1638>, 0=
x56f4ea <exec_byte_code+1640>, 0x56f4f2 <exec_byte_code+1648>,=20
          0x56f4f4 <exec_byte_code+1650>, 0x56f4f4 <exec_byte_code+1650>, 0=
x56f4af <exec_byte_code+1581>, 0x56f4c1 <exec_byte_code+1599>,=20
          0x56f569 <exec_byte_code+1767>, 0x56f56b <exec_byte_code+1769>, 0=
x56f56d <exec_byte_code+1771>, 0x56f572 <exec_byte_code+1776>,=20
          0x56f574 <exec_byte_code+1778>, 0x56f574 <exec_byte_code+1778>, 0=
x56f532 <exec_byte_code+1712>, 0x56f544 <exec_byte_code+1730>,=20
          0x56f5eb <exec_byte_code+1897>, 0x56f5ed <exec_byte_code+1899>, 0=
x56f5ef <exec_byte_code+1901>, 0x56f5f2 <exec_byte_code+1904>,=20
          0x56f5f4 <exec_byte_code+1906>, 0x56f5f4 <exec_byte_code+1906>, 0=
x56f5b4 <exec_byte_code+1842>, 0x56f5c6 <exec_byte_code+1860>,=20
          0x57012c <exec_byte_code+4778>, 0x56ffdb <exec_byte_code+4441>, 0=
x56ffd3 <exec_byte_code+4433>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x57028d <exec_byte_code+5131>, 0x570325 <exec_byte_code+5283>, 0=
x57035f <exec_byte_code+5341>, 0x570399 <exec_byte_code+5399>,=20
          0x5703d3 <exec_byte_code+5457>, 0x56f308 <exec_byte_code+1158>, 0=
x56f346 <exec_byte_code+1220>, 0x570419 <exec_byte_code+5527>,=20
          0x56f2b5 <exec_byte_code+1075>, 0x56f37d <exec_byte_code+1275>, 0=
x57044e <exec_byte_code+5580>, 0x570485 <exec_byte_code+5635>,=20
          0x5704b0 <exec_byte_code+5678>, 0x5704e7 <exec_byte_code+5733>, 0=
x57051b <exec_byte_code+5785>, 0x570594 <exec_byte_code+5906>,=20
          0x5705bf <exec_byte_code+5949>, 0x5705f6 <exec_byte_code+6004>, 0=
x570631 <exec_byte_code+6063>, 0x57065c <exec_byte_code+6106>,=20
          0x570687 <exec_byte_code+6149>, 0x5706be <exec_byte_code+6204>, 0=
x5706f5 <exec_byte_code+6259>, 0x57072c <exec_byte_code+6314>,=20
          0x570767 <exec_byte_code+6373>, 0x57079b <exec_byte_code+6425>, 0=
x5707cf <exec_byte_code+6477>, 0x570848 <exec_byte_code+6598>,=20
          0x57088a <exec_byte_code+6664>, 0x5708cc <exec_byte_code+6730>, 0=
x570a36 <exec_byte_code+7092>, 0x570a72 <exec_byte_code+7152>,=20
          0x570aae <exec_byte_code+7212>, 0x570aea <exec_byte_code+7272>, 0=
x570b26 <exec_byte_code+7332>, 0x570b5a <exec_byte_code+7384>,=20
          0x570b9d <exec_byte_code+7451>, 0x570bd1 <exec_byte_code+7503>, 0=
x570c05 <exec_byte_code+7555>, 0x570c39 <exec_byte_code+7607>,=20
          0x570cd8 <exec_byte_code+7766>, 0x56fed2 <exec_byte_code+4176>, 0=
x570d11 <exec_byte_code+7823>, 0x570d3c <exec_byte_code+7866>,=20
          0x570db1 <exec_byte_code+7983>, 0x570dea <exec_byte_code+8040>, 0=
x570e23 <exec_byte_code+8097>, 0x570e4e <exec_byte_code+8140>,=20
          0x570e7a <exec_byte_code+8184>, 0x570ea6 <exec_byte_code+8228>, 0=
x570ed6 <exec_byte_code+8276>, 0x571826 <exec_byte_code+10660>,=20
          0x570f08 <exec_byte_code+8326>, 0x570f34 <exec_byte_code+8370>, 0=
x570f60 <exec_byte_code+8414>, 0x570f8c <exec_byte_code+8458>,=20
          0x570fb8 <exec_byte_code+8502>, 0x570fe4 <exec_byte_code+8546>, 0=
x56fed2 <exec_byte_code+4176>, 0x571826 <exec_byte_code+10660>,=20
          0x57100f <exec_byte_code+8589>, 0x57104d <exec_byte_code+8651>, 0=
x571078 <exec_byte_code+8694>, 0x5710a3 <exec_byte_code+8737>,=20
          0x5710da <exec_byte_code+8792>, 0x571111 <exec_byte_code+8847>, 0=
x57113c <exec_byte_code+8890>, 0x57127a <exec_byte_code+9208>,=20
          0x5712b1 <exec_byte_code+9263>, 0x5712e8 <exec_byte_code+9318>, 0=
x57131f <exec_byte_code+9373>, 0x57134b <exec_byte_code+9417>,=20
          0x571826 <exec_byte_code+10660>, 0x56fe51 <exec_byte_code+4047>, =
0x56f66c <exec_byte_code+2026>, 0x56f1cc <exec_byte_code+842>,=20
          0x56f73e <exec_byte_code+2236>, 0x56f827 <exec_byte_code+2469>, 0=
x56f90f <exec_byte_code+2701>, 0x56fdf7 <exec_byte_code+3957>,=20
          0x56fe2d <exec_byte_code+4011>, 0x56f485 <exec_byte_code+1539>, 0=
x56fea0 <exec_byte_code+4126>, 0x56ff04 <exec_byte_code+4226>,=20
          0x56ff65 <exec_byte_code+4323>, 0x56ff97 <exec_byte_code+4373>, 0=
x57015e <exec_byte_code+4828>, 0x5701ad <exec_byte_code+4907>,=20
          0x5701e8 <exec_byte_code+4966>, 0x570234 <exec_byte_code+5042>, 0=
x56f63c <exec_byte_code+1978>, 0x571376 <exec_byte_code+9460>,=20
          0x5713b1 <exec_byte_code+9519>, 0x5713dc <exec_byte_code+9562>, 0=
x571407 <exec_byte_code+9605>, 0x571432 <exec_byte_code+9648>,=20
          0x57145d <exec_byte_code+9691>, 0x571494 <exec_byte_code+9746>, 0=
x5714cb <exec_byte_code+9801>, 0x571502 <exec_byte_code+9856>,=20
          0x571539 <exec_byte_code+9911>, 0x5715f3 <exec_byte_code+10097>, =
0x57162a <exec_byte_code+10152>, 0x571661 <exec_byte_code+10207>,=20
          0x57168c <exec_byte_code+10250>, 0x5716c3 <exec_byte_code+10305>,=
 0x5716fa <exec_byte_code+10360>, 0x571735 <exec_byte_code+10419>,=20
          0x571770 <exec_byte_code+10478>, 0x570c6d <exec_byte_code+7659>, =
0x570ca1 <exec_byte_code+7711>, 0x5717a4 <exec_byte_code+10530>,=20
          0x5717f1 <exec_byte_code+10607>, 0x571826 <exec_byte_code+10660>,=
 0x56f9f7 <exec_byte_code+2933>, 0x56faaf <exec_byte_code+3117>,=20
          0x56fb7c <exec_byte_code+3322>, 0x56fc49 <exec_byte_code+3527>, 0=
x56fd20 <exec_byte_code+3742>, 0x57054f <exec_byte_code+5837>,=20
          0x570803 <exec_byte_code+6529>, 0x570d6c <exec_byte_code+7914>, 0=
x57194d <exec_byte_code+10955>, 0x571990 <exec_byte_code+11022>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x5719e6 <exec_byte_code+11108>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571a38 <exec_byte_code+11190> <repeats 64 times>}
        op =3D 141
        vectorp =3D 0x16e0020
        stack =3D {pc =3D 0x2acfab0 "\207", byte_string =3D 40054993,=20
          byte_string_start =3D 0x2acfa90 "\300\301\302\303\304\305\306\006=
\016\006\016\006\016\006\016\006\016\006\016\006\016\006\016&\b\307\"\310\3=
11%D\215\20
7", next =3D 0x7fffffffd590}
        top =3D 0x7fffffffd1a8
        result =3D <optimized out>
        type =3D <optimized out>
#71 0x000000000053f719 in funcall_lambda (fun=3D23986293, nargs=3Dnargs@ent=
ry=3D8, arg_vector=3Darg_vector@entry=3D0x7fffffffd3b8) at eval.c:2978
        val =3D <optimized out>
        syms_left =3D <optimized out>
        lexenv =3D <optimized out>
        i =3D <optimized out>
        optional =3D <optimized out>
        rest =3D <optimized out>
#72 0x000000000053fce1 in Ffuncall (nargs=3Dnargs@entry=3D9, args=3Dargs@en=
try=3D0x7fffffffd3b0) at eval.c:2860
        fun =3D <optimized out>
        original_fun =3D 23234514
        numargs =3D 8
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
        count =3D 10
#73 0x00000000004ffe86 in Fcompleting_read (prompt=3D74161073, collection=
=3D11997565, predicate=3D12133090, require_match=3D12009826, initial_input=
=3D12009778,=20
    hist=3D16813154, def=3D12009778, inherit_input_method=3D12009778) at mi=
nibuf.c:1674
        args =3D {23234514, 74161073, 11997565, 12133090, 12009826, 1200977=
8, 16813154, 12009778, 12009778}
#74 0x000000000053fca8 in Ffuncall (nargs=3Dnargs@entry=3D7, args=3Dargs@en=
try=3D0x7fffffffd520) at eval.c:2844
        fun =3D <optimized out>
        original_fun =3D <optimized out>
        numargs =3D 6
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
        count =3D <optimized out>
#75 0x000000000056f591 in exec_byte_code (bytestr=3D<optimized out>, vector=
=3D9433213, maxdepth=3D<optimized out>, args_template=3Dargs_template@entry=
=3D0,=20
    nargs=3Dnargs@entry=3D0, args=3D<optimized out>, args@entry=3D0x7ffffff=
fd708) at bytecode.c:916
        targets =3D {0x571826 <exec_byte_code+10660>, 0x571871 <exec_byte_c=
ode+10735>, 0x571873 <exec_byte_code+10737>, 0x571875 <exec_byte_code+10739=
>,=20
          0x571882 <exec_byte_code+10752>, 0x571882 <exec_byte_code+10752>,=
 0x5718b9 <exec_byte_code+10807>, 0x5718f9 <exec_byte_code+10871>,=20
          0x56f13f <exec_byte_code+701>, 0x56f141 <exec_byte_code+703>, 0x5=
6f143 <exec_byte_code+705>, 0x56f145 <exec_byte_code+707>,=20
          0x56f152 <exec_byte_code+720>, 0x56f152 <exec_byte_code+720>, 0x5=
6f158 <exec_byte_code+726>, 0x56f11a <exec_byte_code+664>,=20
          0x56f3d0 <exec_byte_code+1358>, 0x56f3d2 <exec_byte_code+1360>, 0=
x56f3d4 <exec_byte_code+1362>, 0x56f3d6 <exec_byte_code+1364>,=20
          0x56f3e2 <exec_byte_code+1376>, 0x56f3e2 <exec_byte_code+1376>, 0=
x56f40d <exec_byte_code+1419>, 0x56f3e8 <exec_byte_code+1382>,=20
          0x56f4e6 <exec_byte_code+1636>, 0x56f4e8 <exec_byte_code+1638>, 0=
x56f4ea <exec_byte_code+1640>, 0x56f4f2 <exec_byte_code+1648>,=20
          0x56f4f4 <exec_byte_code+1650>, 0x56f4f4 <exec_byte_code+1650>, 0=
x56f4af <exec_byte_code+1581>, 0x56f4c1 <exec_byte_code+1599>,=20
          0x56f569 <exec_byte_code+1767>, 0x56f56b <exec_byte_code+1769>, 0=
x56f56d <exec_byte_code+1771>, 0x56f572 <exec_byte_code+1776>,=20
          0x56f574 <exec_byte_code+1778>, 0x56f574 <exec_byte_code+1778>, 0=
x56f532 <exec_byte_code+1712>, 0x56f544 <exec_byte_code+1730>,=20
          0x56f5eb <exec_byte_code+1897>, 0x56f5ed <exec_byte_code+1899>, 0=
x56f5ef <exec_byte_code+1901>, 0x56f5f2 <exec_byte_code+1904>,=20
          0x56f5f4 <exec_byte_code+1906>, 0x56f5f4 <exec_byte_code+1906>, 0=
x56f5b4 <exec_byte_code+1842>, 0x56f5c6 <exec_byte_code+1860>,=20
          0x57012c <exec_byte_code+4778>, 0x56ffdb <exec_byte_code+4441>, 0=
x56ffd3 <exec_byte_code+4433>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x57028d <exec_byte_code+5131>, 0x570325 <exec_byte_code+5283>, 0=
x57035f <exec_byte_code+5341>, 0x570399 <exec_byte_code+5399>,=20
          0x5703d3 <exec_byte_code+5457>, 0x56f308 <exec_byte_code+1158>, 0=
x56f346 <exec_byte_code+1220>, 0x570419 <exec_byte_code+5527>,=20
          0x56f2b5 <exec_byte_code+1075>, 0x56f37d <exec_byte_code+1275>, 0=
x57044e <exec_byte_code+5580>, 0x570485 <exec_byte_code+5635>,=20
          0x5704b0 <exec_byte_code+5678>, 0x5704e7 <exec_byte_code+5733>, 0=
x57051b <exec_byte_code+5785>, 0x570594 <exec_byte_code+5906>,=20
          0x5705bf <exec_byte_code+5949>, 0x5705f6 <exec_byte_code+6004>, 0=
x570631 <exec_byte_code+6063>, 0x57065c <exec_byte_code+6106>,=20
          0x570687 <exec_byte_code+6149>, 0x5706be <exec_byte_code+6204>, 0=
x5706f5 <exec_byte_code+6259>, 0x57072c <exec_byte_code+6314>,=20
          0x570767 <exec_byte_code+6373>, 0x57079b <exec_byte_code+6425>, 0=
x5707cf <exec_byte_code+6477>, 0x570848 <exec_byte_code+6598>,=20
          0x57088a <exec_byte_code+6664>, 0x5708cc <exec_byte_code+6730>, 0=
x570a36 <exec_byte_code+7092>, 0x570a72 <exec_byte_code+7152>,=20
          0x570aae <exec_byte_code+7212>, 0x570aea <exec_byte_code+7272>, 0=
x570b26 <exec_byte_code+7332>, 0x570b5a <exec_byte_code+7384>,=20
          0x570b9d <exec_byte_code+7451>, 0x570bd1 <exec_byte_code+7503>, 0=
x570c05 <exec_byte_code+7555>, 0x570c39 <exec_byte_code+7607>,=20
          0x570cd8 <exec_byte_code+7766>, 0x56fed2 <exec_byte_code+4176>, 0=
x570d11 <exec_byte_code+7823>, 0x570d3c <exec_byte_code+7866>,=20
          0x570db1 <exec_byte_code+7983>, 0x570dea <exec_byte_code+8040>, 0=
x570e23 <exec_byte_code+8097>, 0x570e4e <exec_byte_code+8140>,=20
          0x570e7a <exec_byte_code+8184>, 0x570ea6 <exec_byte_code+8228>, 0=
x570ed6 <exec_byte_code+8276>, 0x571826 <exec_byte_code+10660>,=20
          0x570f08 <exec_byte_code+8326>, 0x570f34 <exec_byte_code+8370>, 0=
x570f60 <exec_byte_code+8414>, 0x570f8c <exec_byte_code+8458>,=20
          0x570fb8 <exec_byte_code+8502>, 0x570fe4 <exec_byte_code+8546>, 0=
x56fed2 <exec_byte_code+4176>, 0x571826 <exec_byte_code+10660>,=20
          0x57100f <exec_byte_code+8589>, 0x57104d <exec_byte_code+8651>, 0=
x571078 <exec_byte_code+8694>, 0x5710a3 <exec_byte_code+8737>,=20
          0x5710da <exec_byte_code+8792>, 0x571111 <exec_byte_code+8847>, 0=
x57113c <exec_byte_code+8890>, 0x57127a <exec_byte_code+9208>,=20
          0x5712b1 <exec_byte_code+9263>, 0x5712e8 <exec_byte_code+9318>, 0=
x57131f <exec_byte_code+9373>, 0x57134b <exec_byte_code+9417>,=20
          0x571826 <exec_byte_code+10660>, 0x56fe51 <exec_byte_code+4047>, =
0x56f66c <exec_byte_code+2026>, 0x56f1cc <exec_byte_code+842>,=20
          0x56f73e <exec_byte_code+2236>, 0x56f827 <exec_byte_code+2469>, 0=
x56f90f <exec_byte_code+2701>, 0x56fdf7 <exec_byte_code+3957>,=20
          0x56fe2d <exec_byte_code+4011>, 0x56f485 <exec_byte_code+1539>, 0=
x56fea0 <exec_byte_code+4126>, 0x56ff04 <exec_byte_code+4226>,=20
          0x56ff65 <exec_byte_code+4323>, 0x56ff97 <exec_byte_code+4373>, 0=
x57015e <exec_byte_code+4828>, 0x5701ad <exec_byte_code+4907>,=20
          0x5701e8 <exec_byte_code+4966>, 0x570234 <exec_byte_code+5042>, 0=
x56f63c <exec_byte_code+1978>, 0x571376 <exec_byte_code+9460>,=20
          0x5713b1 <exec_byte_code+9519>, 0x5713dc <exec_byte_code+9562>, 0=
x571407 <exec_byte_code+9605>, 0x571432 <exec_byte_code+9648>,=20
          0x57145d <exec_byte_code+9691>, 0x571494 <exec_byte_code+9746>, 0=
x5714cb <exec_byte_code+9801>, 0x571502 <exec_byte_code+9856>,=20
          0x571539 <exec_byte_code+9911>, 0x5715f3 <exec_byte_code+10097>, =
0x57162a <exec_byte_code+10152>, 0x571661 <exec_byte_code+10207>,=20
          0x57168c <exec_byte_code+10250>, 0x5716c3 <exec_byte_code+10305>,=
 0x5716fa <exec_byte_code+10360>, 0x571735 <exec_byte_code+10419>,=20
          0x571770 <exec_byte_code+10478>, 0x570c6d <exec_byte_code+7659>, =
0x570ca1 <exec_byte_code+7711>, 0x5717a4 <exec_byte_code+10530>,=20
          0x5717f1 <exec_byte_code+10607>, 0x571826 <exec_byte_code+10660>,=
 0x56f9f7 <exec_byte_code+2933>, 0x56faaf <exec_byte_code+3117>,=20
          0x56fb7c <exec_byte_code+3322>, 0x56fc49 <exec_byte_code+3527>, 0=
x56fd20 <exec_byte_code+3742>, 0x57054f <exec_byte_code+5837>,=20
          0x570803 <exec_byte_code+6529>, 0x570d6c <exec_byte_code+7914>, 0=
x57194d <exec_byte_code+10955>, 0x571990 <exec_byte_code+11022>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x5719e6 <exec_byte_code+11108>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571a38 <exec_byte_code+11190> <repeats 64 times>}
        op =3D 6
        vectorp =3D 0x8ff080 <pure+915872>
        stack =3D {pc =3D 0xa8bb78 <pure+2540696> ")\207", byte_string =3D =
9433177,=20
          byte_string_start =3D 0xa8bb0f <pure+2540591> "\302C\211\303\304\=
305\306\307\006\006!\310\"\311\312%\240\210\313\303\304\314\306\307\006\006=
!\315\"\311\312%DC\216\316\317\002\242\"\210\320\b\321=3D\203\064", next =
=3D 0x7fffffffd740}
        top =3D 0x7fffffffd520
        result =3D <optimized out>
        type =3D <optimized out>
#76 0x000000000053f719 in funcall_lambda (fun=3D9433133, nargs=3Dnargs@entr=
y=3D0, arg_vector=3Darg_vector@entry=3D0x7fffffffd708) at eval.c:2978
        val =3D <optimized out>
        syms_left =3D <optimized out>
        lexenv =3D <optimized out>
        i =3D <optimized out>
        optional =3D <optimized out>
        rest =3D <optimized out>
#77 0x000000000053fce1 in Ffuncall (nargs=3Dnargs@entry=3D1, args=3Dargs@en=
try=3D0x7fffffffd700) at eval.c:2860
        fun =3D <optimized out>
        original_fun =3D 16813202
        numargs =3D 0
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
        count =3D 7
#78 0x000000000056f591 in exec_byte_code (bytestr=3D<optimized out>, vector=
=3D9434805, maxdepth=3D<optimized out>, args_template=3D<optimized out>,=20
    nargs=3Dnargs@entry=3D0, args=3D<optimized out>, args@entry=3D0x0) at b=
ytecode.c:916
        targets =3D {0x571826 <exec_byte_code+10660>, 0x571871 <exec_byte_c=
ode+10735>, 0x571873 <exec_byte_code+10737>, 0x571875 <exec_byte_code+10739=
>,=20
          0x571882 <exec_byte_code+10752>, 0x571882 <exec_byte_code+10752>,=
 0x5718b9 <exec_byte_code+10807>, 0x5718f9 <exec_byte_code+10871>,=20
          0x56f13f <exec_byte_code+701>, 0x56f141 <exec_byte_code+703>, 0x5=
6f143 <exec_byte_code+705>, 0x56f145 <exec_byte_code+707>,=20
          0x56f152 <exec_byte_code+720>, 0x56f152 <exec_byte_code+720>, 0x5=
6f158 <exec_byte_code+726>, 0x56f11a <exec_byte_code+664>,=20
          0x56f3d0 <exec_byte_code+1358>, 0x56f3d2 <exec_byte_code+1360>, 0=
x56f3d4 <exec_byte_code+1362>, 0x56f3d6 <exec_byte_code+1364>,=20
          0x56f3e2 <exec_byte_code+1376>, 0x56f3e2 <exec_byte_code+1376>, 0=
x56f40d <exec_byte_code+1419>, 0x56f3e8 <exec_byte_code+1382>,=20
          0x56f4e6 <exec_byte_code+1636>, 0x56f4e8 <exec_byte_code+1638>, 0=
x56f4ea <exec_byte_code+1640>, 0x56f4f2 <exec_byte_code+1648>,=20
          0x56f4f4 <exec_byte_code+1650>, 0x56f4f4 <exec_byte_code+1650>, 0=
x56f4af <exec_byte_code+1581>, 0x56f4c1 <exec_byte_code+1599>,=20
          0x56f569 <exec_byte_code+1767>, 0x56f56b <exec_byte_code+1769>, 0=
x56f56d <exec_byte_code+1771>, 0x56f572 <exec_byte_code+1776>,=20
          0x56f574 <exec_byte_code+1778>, 0x56f574 <exec_byte_code+1778>, 0=
x56f532 <exec_byte_code+1712>, 0x56f544 <exec_byte_code+1730>,=20
          0x56f5eb <exec_byte_code+1897>, 0x56f5ed <exec_byte_code+1899>, 0=
x56f5ef <exec_byte_code+1901>, 0x56f5f2 <exec_byte_code+1904>,=20
          0x56f5f4 <exec_byte_code+1906>, 0x56f5f4 <exec_byte_code+1906>, 0=
x56f5b4 <exec_byte_code+1842>, 0x56f5c6 <exec_byte_code+1860>,=20
          0x57012c <exec_byte_code+4778>, 0x56ffdb <exec_byte_code+4441>, 0=
x56ffd3 <exec_byte_code+4433>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x57028d <exec_byte_code+5131>, 0x570325 <exec_byte_code+5283>, 0=
x57035f <exec_byte_code+5341>, 0x570399 <exec_byte_code+5399>,=20
          0x5703d3 <exec_byte_code+5457>, 0x56f308 <exec_byte_code+1158>, 0=
x56f346 <exec_byte_code+1220>, 0x570419 <exec_byte_code+5527>,=20
          0x56f2b5 <exec_byte_code+1075>, 0x56f37d <exec_byte_code+1275>, 0=
x57044e <exec_byte_code+5580>, 0x570485 <exec_byte_code+5635>,=20
          0x5704b0 <exec_byte_code+5678>, 0x5704e7 <exec_byte_code+5733>, 0=
x57051b <exec_byte_code+5785>, 0x570594 <exec_byte_code+5906>,=20
          0x5705bf <exec_byte_code+5949>, 0x5705f6 <exec_byte_code+6004>, 0=
x570631 <exec_byte_code+6063>, 0x57065c <exec_byte_code+6106>,=20
          0x570687 <exec_byte_code+6149>, 0x5706be <exec_byte_code+6204>, 0=
x5706f5 <exec_byte_code+6259>, 0x57072c <exec_byte_code+6314>,=20
          0x570767 <exec_byte_code+6373>, 0x57079b <exec_byte_code+6425>, 0=
x5707cf <exec_byte_code+6477>, 0x570848 <exec_byte_code+6598>,=20
          0x57088a <exec_byte_code+6664>, 0x5708cc <exec_byte_code+6730>, 0=
x570a36 <exec_byte_code+7092>, 0x570a72 <exec_byte_code+7152>,=20
          0x570aae <exec_byte_code+7212>, 0x570aea <exec_byte_code+7272>, 0=
x570b26 <exec_byte_code+7332>, 0x570b5a <exec_byte_code+7384>,=20
          0x570b9d <exec_byte_code+7451>, 0x570bd1 <exec_byte_code+7503>, 0=
x570c05 <exec_byte_code+7555>, 0x570c39 <exec_byte_code+7607>,=20
          0x570cd8 <exec_byte_code+7766>, 0x56fed2 <exec_byte_code+4176>, 0=
x570d11 <exec_byte_code+7823>, 0x570d3c <exec_byte_code+7866>,=20
          0x570db1 <exec_byte_code+7983>, 0x570dea <exec_byte_code+8040>, 0=
x570e23 <exec_byte_code+8097>, 0x570e4e <exec_byte_code+8140>,=20
          0x570e7a <exec_byte_code+8184>, 0x570ea6 <exec_byte_code+8228>, 0=
x570ed6 <exec_byte_code+8276>, 0x571826 <exec_byte_code+10660>,=20
          0x570f08 <exec_byte_code+8326>, 0x570f34 <exec_byte_code+8370>, 0=
x570f60 <exec_byte_code+8414>, 0x570f8c <exec_byte_code+8458>,=20
          0x570fb8 <exec_byte_code+8502>, 0x570fe4 <exec_byte_code+8546>, 0=
x56fed2 <exec_byte_code+4176>, 0x571826 <exec_byte_code+10660>,=20
          0x57100f <exec_byte_code+8589>, 0x57104d <exec_byte_code+8651>, 0=
x571078 <exec_byte_code+8694>, 0x5710a3 <exec_byte_code+8737>,=20
          0x5710da <exec_byte_code+8792>, 0x571111 <exec_byte_code+8847>, 0=
x57113c <exec_byte_code+8890>, 0x57127a <exec_byte_code+9208>,=20
          0x5712b1 <exec_byte_code+9263>, 0x5712e8 <exec_byte_code+9318>, 0=
x57131f <exec_byte_code+9373>, 0x57134b <exec_byte_code+9417>,=20
          0x571826 <exec_byte_code+10660>, 0x56fe51 <exec_byte_code+4047>, =
0x56f66c <exec_byte_code+2026>, 0x56f1cc <exec_byte_code+842>,=20
          0x56f73e <exec_byte_code+2236>, 0x56f827 <exec_byte_code+2469>, 0=
x56f90f <exec_byte_code+2701>, 0x56fdf7 <exec_byte_code+3957>,=20
          0x56fe2d <exec_byte_code+4011>, 0x56f485 <exec_byte_code+1539>, 0=
x56fea0 <exec_byte_code+4126>, 0x56ff04 <exec_byte_code+4226>,=20
          0x56ff65 <exec_byte_code+4323>, 0x56ff97 <exec_byte_code+4373>, 0=
x57015e <exec_byte_code+4828>, 0x5701ad <exec_byte_code+4907>,=20
          0x5701e8 <exec_byte_code+4966>, 0x570234 <exec_byte_code+5042>, 0=
x56f63c <exec_byte_code+1978>, 0x571376 <exec_byte_code+9460>,=20
          0x5713b1 <exec_byte_code+9519>, 0x5713dc <exec_byte_code+9562>, 0=
x571407 <exec_byte_code+9605>, 0x571432 <exec_byte_code+9648>,=20
          0x57145d <exec_byte_code+9691>, 0x571494 <exec_byte_code+9746>, 0=
x5714cb <exec_byte_code+9801>, 0x571502 <exec_byte_code+9856>,=20
          0x571539 <exec_byte_code+9911>, 0x5715f3 <exec_byte_code+10097>, =
0x57162a <exec_byte_code+10152>, 0x571661 <exec_byte_code+10207>,=20
          0x57168c <exec_byte_code+10250>, 0x5716c3 <exec_byte_code+10305>,=
 0x5716fa <exec_byte_code+10360>, 0x571735 <exec_byte_code+10419>,=20
          0x571770 <exec_byte_code+10478>, 0x570c6d <exec_byte_code+7659>, =
0x570ca1 <exec_byte_code+7711>, 0x5717a4 <exec_byte_code+10530>,=20
          0x5717f1 <exec_byte_code+10607>, 0x571826 <exec_byte_code+10660>,=
 0x56f9f7 <exec_byte_code+2933>, 0x56faaf <exec_byte_code+3117>,=20
          0x56fb7c <exec_byte_code+3322>, 0x56fc49 <exec_byte_code+3527>, 0=
x56fd20 <exec_byte_code+3742>, 0x57054f <exec_byte_code+5837>,=20
          0x570803 <exec_byte_code+6529>, 0x570d6c <exec_byte_code+7914>, 0=
x57194d <exec_byte_code+10955>, 0x571990 <exec_byte_code+11022>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x5719e6 <exec_byte_code+11108>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571a38 <exec_byte_code+11190> <repeats 64 times>}
        op =3D 0
        vectorp =3D 0x8ff6b8 <pure+917464>
        stack =3D {pc =3D 0xa8b90d <pure+2540077> "D\207", byte_string =3D =
9434753, byte_string_start =3D 0xa8b90a <pure+2540074> "\b\301 D\207",=20
          next =3D 0x7fffffffdae0}
        top =3D 0x7fffffffd700
        result =3D <optimized out>
        type =3D <optimized out>
#79 0x0000000000571ad2 in Fbyte_code (bytestr=3D<optimized out>, vector=3D<=
optimized out>, maxdepth=3D<optimized out>) at bytecode.c:482
No locals.
#80 0x000000000053f2cd in eval_sub (form=3Dform@entry=3D9434726) at eval.c:=
2187
        numargs =3D <optimized out>
        args_left =3D 12009778
        i =3D 3
        maxargs =3D 3
        argvals =3D {9434753, 9434805, 8, 5698657, 65860630, 12133714, 1213=
3712, 12009778}
        fun =3D <optimized out>
        val =3D <optimized out>
        original_args =3D 9434742
        count =3D 6
#81 0x0000000000542071 in Feval (form=3Dform@entry=3D9434726, lexical=3D<op=
timized out>) at eval.c:1996
No locals.
#82 0x000000000053be64 in Fcall_interactively (function=3D12328290, record_=
flag=3D12009778, keys=3D<optimized out>) at callint.c:345
        input =3D 9434726
        funval =3D <optimized out>
        events =3D 53178
        args =3D <optimized out>
        visargs =3D <optimized out>
        specs =3D 9434726
        filter_specs =3D 9434726
        teml =3D <optimized out>
        up_event =3D 12009778
        enable =3D 12009778
        next_event =3D <optimized out>
        prefix_arg =3D 12009778
        string =3D 0x0
        tem =3D <optimized out>
        varies =3D <optimized out>
        i =3D <optimized out>
        nargs =3D <optimized out>
        mark =3D <optimized out>
        arg_from_tty =3D false
        key_count =3D 1
        record_then_fail =3D false
        save_this_command =3D 12328290
        save_last_command =3D 23626610
        save_this_original_command =3D 12328290
        save_real_this_command =3D 12328290
#83 0x000000000053fbd4 in Ffuncall (nargs=3Dnargs@entry=3D4, args=3Dargs@en=
try=3D0x7fffffffda78) at eval.c:2818
        fun =3D <optimized out>
        original_fun =3D <optimized out>
        numargs =3D 3
        val =3D <optimized out>
        internal_args =3D 0x7fffffffda80
        i =3D <optimized out>
        count =3D 4
#84 0x000000000056f591 in exec_byte_code (bytestr=3D<optimized out>, vector=
=3D9434941, maxdepth=3D<optimized out>, args_template=3Dargs_template@entry=
=3D4100,=20
    nargs=3Dnargs@entry=3D1, args=3D<optimized out>, args@entry=3D0x7ffffff=
fdc48) at bytecode.c:916
        targets =3D {0x571826 <exec_byte_code+10660>, 0x571871 <exec_byte_c=
ode+10735>, 0x571873 <exec_byte_code+10737>, 0x571875 <exec_byte_code+10739=
>,=20
          0x571882 <exec_byte_code+10752>, 0x571882 <exec_byte_code+10752>,=
 0x5718b9 <exec_byte_code+10807>, 0x5718f9 <exec_byte_code+10871>,=20
          0x56f13f <exec_byte_code+701>, 0x56f141 <exec_byte_code+703>, 0x5=
6f143 <exec_byte_code+705>, 0x56f145 <exec_byte_code+707>,=20
          0x56f152 <exec_byte_code+720>, 0x56f152 <exec_byte_code+720>, 0x5=
6f158 <exec_byte_code+726>, 0x56f11a <exec_byte_code+664>,=20
          0x56f3d0 <exec_byte_code+1358>, 0x56f3d2 <exec_byte_code+1360>, 0=
x56f3d4 <exec_byte_code+1362>, 0x56f3d6 <exec_byte_code+1364>,=20
          0x56f3e2 <exec_byte_code+1376>, 0x56f3e2 <exec_byte_code+1376>, 0=
x56f40d <exec_byte_code+1419>, 0x56f3e8 <exec_byte_code+1382>,=20
          0x56f4e6 <exec_byte_code+1636>, 0x56f4e8 <exec_byte_code+1638>, 0=
x56f4ea <exec_byte_code+1640>, 0x56f4f2 <exec_byte_code+1648>,=20
          0x56f4f4 <exec_byte_code+1650>, 0x56f4f4 <exec_byte_code+1650>, 0=
x56f4af <exec_byte_code+1581>, 0x56f4c1 <exec_byte_code+1599>,=20
          0x56f569 <exec_byte_code+1767>, 0x56f56b <exec_byte_code+1769>, 0=
x56f56d <exec_byte_code+1771>, 0x56f572 <exec_byte_code+1776>,=20
          0x56f574 <exec_byte_code+1778>, 0x56f574 <exec_byte_code+1778>, 0=
x56f532 <exec_byte_code+1712>, 0x56f544 <exec_byte_code+1730>,=20
          0x56f5eb <exec_byte_code+1897>, 0x56f5ed <exec_byte_code+1899>, 0=
x56f5ef <exec_byte_code+1901>, 0x56f5f2 <exec_byte_code+1904>,=20
          0x56f5f4 <exec_byte_code+1906>, 0x56f5f4 <exec_byte_code+1906>, 0=
x56f5b4 <exec_byte_code+1842>, 0x56f5c6 <exec_byte_code+1860>,=20
          0x57012c <exec_byte_code+4778>, 0x56ffdb <exec_byte_code+4441>, 0=
x56ffd3 <exec_byte_code+4433>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x57028d <exec_byte_code+5131>, 0x570325 <exec_byte_code+5283>, 0=
x57035f <exec_byte_code+5341>, 0x570399 <exec_byte_code+5399>,=20
          0x5703d3 <exec_byte_code+5457>, 0x56f308 <exec_byte_code+1158>, 0=
x56f346 <exec_byte_code+1220>, 0x570419 <exec_byte_code+5527>,=20
          0x56f2b5 <exec_byte_code+1075>, 0x56f37d <exec_byte_code+1275>, 0=
x57044e <exec_byte_code+5580>, 0x570485 <exec_byte_code+5635>,=20
          0x5704b0 <exec_byte_code+5678>, 0x5704e7 <exec_byte_code+5733>, 0=
x57051b <exec_byte_code+5785>, 0x570594 <exec_byte_code+5906>,=20
          0x5705bf <exec_byte_code+5949>, 0x5705f6 <exec_byte_code+6004>, 0=
x570631 <exec_byte_code+6063>, 0x57065c <exec_byte_code+6106>,=20
          0x570687 <exec_byte_code+6149>, 0x5706be <exec_byte_code+6204>, 0=
x5706f5 <exec_byte_code+6259>, 0x57072c <exec_byte_code+6314>,=20
          0x570767 <exec_byte_code+6373>, 0x57079b <exec_byte_code+6425>, 0=
x5707cf <exec_byte_code+6477>, 0x570848 <exec_byte_code+6598>,=20
          0x57088a <exec_byte_code+6664>, 0x5708cc <exec_byte_code+6730>, 0=
x570a36 <exec_byte_code+7092>, 0x570a72 <exec_byte_code+7152>,=20
          0x570aae <exec_byte_code+7212>, 0x570aea <exec_byte_code+7272>, 0=
x570b26 <exec_byte_code+7332>, 0x570b5a <exec_byte_code+7384>,=20
          0x570b9d <exec_byte_code+7451>, 0x570bd1 <exec_byte_code+7503>, 0=
x570c05 <exec_byte_code+7555>, 0x570c39 <exec_byte_code+7607>,=20
          0x570cd8 <exec_byte_code+7766>, 0x56fed2 <exec_byte_code+4176>, 0=
x570d11 <exec_byte_code+7823>, 0x570d3c <exec_byte_code+7866>,=20
          0x570db1 <exec_byte_code+7983>, 0x570dea <exec_byte_code+8040>, 0=
x570e23 <exec_byte_code+8097>, 0x570e4e <exec_byte_code+8140>,=20
          0x570e7a <exec_byte_code+8184>, 0x570ea6 <exec_byte_code+8228>, 0=
x570ed6 <exec_byte_code+8276>, 0x571826 <exec_byte_code+10660>,=20
          0x570f08 <exec_byte_code+8326>, 0x570f34 <exec_byte_code+8370>, 0=
x570f60 <exec_byte_code+8414>, 0x570f8c <exec_byte_code+8458>,=20
          0x570fb8 <exec_byte_code+8502>, 0x570fe4 <exec_byte_code+8546>, 0=
x56fed2 <exec_byte_code+4176>, 0x571826 <exec_byte_code+10660>,=20
          0x57100f <exec_byte_code+8589>, 0x57104d <exec_byte_code+8651>, 0=
x571078 <exec_byte_code+8694>, 0x5710a3 <exec_byte_code+8737>,=20
          0x5710da <exec_byte_code+8792>, 0x571111 <exec_byte_code+8847>, 0=
x57113c <exec_byte_code+8890>, 0x57127a <exec_byte_code+9208>,=20
          0x5712b1 <exec_byte_code+9263>, 0x5712e8 <exec_byte_code+9318>, 0=
x57131f <exec_byte_code+9373>, 0x57134b <exec_byte_code+9417>,=20
          0x571826 <exec_byte_code+10660>, 0x56fe51 <exec_byte_code+4047>, =
0x56f66c <exec_byte_code+2026>, 0x56f1cc <exec_byte_code+842>,=20
          0x56f73e <exec_byte_code+2236>, 0x56f827 <exec_byte_code+2469>, 0=
x56f90f <exec_byte_code+2701>, 0x56fdf7 <exec_byte_code+3957>,=20
          0x56fe2d <exec_byte_code+4011>, 0x56f485 <exec_byte_code+1539>, 0=
x56fea0 <exec_byte_code+4126>, 0x56ff04 <exec_byte_code+4226>,=20
          0x56ff65 <exec_byte_code+4323>, 0x56ff97 <exec_byte_code+4373>, 0=
x57015e <exec_byte_code+4828>, 0x5701ad <exec_byte_code+4907>,=20
          0x5701e8 <exec_byte_code+4966>, 0x570234 <exec_byte_code+5042>, 0=
x56f63c <exec_byte_code+1978>, 0x571376 <exec_byte_code+9460>,=20
          0x5713b1 <exec_byte_code+9519>, 0x5713dc <exec_byte_code+9562>, 0=
x571407 <exec_byte_code+9605>, 0x571432 <exec_byte_code+9648>,=20
          0x57145d <exec_byte_code+9691>, 0x571494 <exec_byte_code+9746>, 0=
x5714cb <exec_byte_code+9801>, 0x571502 <exec_byte_code+9856>,=20
          0x571539 <exec_byte_code+9911>, 0x5715f3 <exec_byte_code+10097>, =
0x57162a <exec_byte_code+10152>, 0x571661 <exec_byte_code+10207>,=20
          0x57168c <exec_byte_code+10250>, 0x5716c3 <exec_byte_code+10305>,=
 0x5716fa <exec_byte_code+10360>, 0x571735 <exec_byte_code+10419>,=20
          0x571770 <exec_byte_code+10478>, 0x570c6d <exec_byte_code+7659>, =
0x570ca1 <exec_byte_code+7711>, 0x5717a4 <exec_byte_code+10530>,=20
          0x5717f1 <exec_byte_code+10607>, 0x571826 <exec_byte_code+10660>,=
 0x56f9f7 <exec_byte_code+2933>, 0x56faaf <exec_byte_code+3117>,=20
          0x56fb7c <exec_byte_code+3322>, 0x56fc49 <exec_byte_code+3527>, 0=
x56fd20 <exec_byte_code+3742>, 0x57054f <exec_byte_code+5837>,=20
          0x570803 <exec_byte_code+6529>, 0x570d6c <exec_byte_code+7914>, 0=
x57194d <exec_byte_code+10955>, 0x571990 <exec_byte_code+11022>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x5719e6 <exec_byte_code+11108>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=
 0x571826 <exec_byte_code+10660>, 0x571826 <exec_byte_code+10660>,=20
          0x571a38 <exec_byte_code+11190> <repeats 64 times>}
        op =3D 3
        vectorp =3D 0x8ff740 <pure+917600>
        stack =3D {pc =3D 0xa8b8bf <pure+2539999> "\006\006\071\203\233", b=
yte_string =3D 9434905,=20
          byte_string_start =3D 0xa8b84b <pure+2539883> "\306\020\211?\205\=
f", next =3D 0x0}
        top =3D 0x7fffffffda78
        result =3D <optimized out>
        type =3D <optimized out>
#85 0x000000000053f719 in funcall_lambda (fun=3D9434861, nargs=3Dnargs@entr=
y=3D1, arg_vector=3Darg_vector@entry=3D0x7fffffffdc48) at eval.c:2978
        val =3D <optimized out>
        syms_left =3D <optimized out>
        lexenv =3D <optimized out>
        i =3D <optimized out>
        optional =3D <optimized out>
        rest =3D <optimized out>
#86 0x000000000053fce1 in Ffuncall (nargs=3Dnargs@entry=3D2, args=3Dargs@en=
try=3D0x7fffffffdc40) at eval.c:2860
        fun =3D <optimized out>
        original_fun =3D 12053634
        numargs =3D 1
        val =3D <optimized out>
        internal_args =3D <optimized out>
        i =3D <optimized out>
        count =3D 3
#87 0x000000000053fe81 in call1 (fn=3D<optimized out>, arg1=3D<optimized ou=
t>) at eval.c:2610
        ret_ungc_val =3D -516
        args =3D {12053634, 12328290}
#88 0x00000000004e5203 in command_loop_1 () at keyboard.c:1560
        cmd =3D <optimized out>
        keybuf =3D {536871392, 12, 140737488346360, 2, 22658096, 8264288361=
439165696, 390842032849, 123653366, 123653366, 140737488346692, 0, 0, 32212=
850,=20
          5510061, 12057234, 123653366, 8517377, 32212850, 32212850, 510011=
1, 64, 12009778, 12009778, 5100407, 12258048, 4000, 140737488346692, 0, 0, =
5513340}
        i =3D <optimized out>
        prev_modiff =3D 73
        prev_buffer =3D 0x6c0e9a0
#89 0x000000000053e39a in internal_condition_case (bfun=3Dbfun@entry=3D0x4e=
4ce4 <command_loop_1>, handlers=3D12061346, hfun=3Dhfun@entry=3D0x4dd264 <c=
md_error>)
    at eval.c:1348
        val =3D <optimized out>
        c =3D <optimized out>
#90 0x00000000004d861f in command_loop_2 (ignore=3Dignore@entry=3D12009778)=
 at keyboard.c:1178
        val =3D <optimized out>
#91 0x000000000053e27b in internal_catch (tag=3D12057282, func=3Dfunc@entry=
=3D0x4d8605 <command_loop_2>, arg=3D12009778) at eval.c:1112
        val =3D <optimized out>
        c =3D <optimized out>
#92 0x00000000004d85b7 in command_loop () at keyboard.c:1157
No locals.
#93 0x00000000004dceda in recursive_edit_1 () at keyboard.c:778
        val =3D <optimized out>
#94 0x00000000004dd1aa in Frecursive_edit () at keyboard.c:849
        buffer =3D <optimized out>
#95 0x00000000004d803f in main (argc=3D<optimized out>, argv=3D0x7fffffffdf=
98) at emacs.c:1642
        dummy =3D 0
        stack_bottom_variable =3D -1 '\377'
        do_initial_setlocale =3D <optimized out>
        dumping =3D false
        skip_args =3D 0
        rlim =3D {rlim_cur =3D 8720000, rlim_max =3D 18446744073709551615}
        no_loadup =3D false
        junk =3D 0x0
        dname_arg =3D 0x0
        ch_to_dir =3D 0x0
        original_pwd =3D 0x0




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20036; Package emacs. Full text available.

Message received at 20036 <at> debbugs.gnu.org:


Received: (at 20036) by debbugs.gnu.org; 9 Mar 2015 19:00:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 09 15:00:31 2015
Received: from localhost ([127.0.0.1]:40920 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YV2uj-0001nN-Tz
	for submit <at> debbugs.gnu.org; Mon, 09 Mar 2015 15:00:30 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:34887)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1YV2ug-0001n7-DI
 for 20036 <at> debbugs.gnu.org; Mon, 09 Mar 2015 15:00:28 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0NKY00E00KIE9800@HIDDEN> for 20036 <at> debbugs.gnu.org;
 Mon, 09 Mar 2015 21:00:19 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NKY00D4RKSIZD80@HIDDEN>;
 Mon, 09 Mar 2015 21:00:19 +0200 (IST)
Date: Mon, 09 Mar 2015 21:00:06 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20036: 24.4.90; Emacs hangs/freezes
In-reply-to: <87bnk2m40k.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Justin Kirby <justinkirby@HIDDEN>
Message-id: <83fv9e5749.fsf@HIDDEN>
References: <87k2ysb0bz.fsf@HIDDEN> <54FC1E9B.7020206@HIDDEN>
 <87k2yqn65w.fsf@HIDDEN> <54FD7806.1070203@HIDDEN>
 <83side5fby.fsf@HIDDEN> <87bnk2m40k.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 20036
Cc: rudalics@HIDDEN, 20036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Justin Kirby <justinkirby@HIDDEN>
> Cc: martin rudalics <rudalics@HIDDEN>, 20036 <at> debbugs.gnu.org
> Date: Mon, 09 Mar 2015 14:15:07 -0400
> 
> > Justin, can you tell when this started happening?  Is this problem new
> > with Emacs 24.4.90, or did it happen before?
> 
> This is happening on a build from git branch emacs-24 on an Ubuntu 14.04
> LTS. The problem has been occurring for all of the builds I have done. I
> first did a git clone a few weeks ago. Sorry, I can't give an exact
> date.
> 
> The default emacs24 package does not have this problem.

Did you build the emacs24 package?  If not, could you please build
Emacs 24.4 or 24.3 from the official source tarball on ftp.gnu.org,
and do it in the same way as you build the emacs-24 branch of the git
repo?  It is important to know whether there's a regression, or the
problem is somehow triggered by some particular configuration.

Fir that matter, can you show the details of the build of the "default
emacs24 package"?  The command "M-x report-emacs-bug RET" will insert
the description into a buffer that you can then copy.

> I read that if emacs freezes to use the lucid toolkit, which I did after
> the first occurrence. I will try using another --with-x-toolkit value
> and see if that works.

Yes, that could also help, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20036; Package emacs. Full text available.

Message received at 20036 <at> debbugs.gnu.org:


Received: (at 20036) by debbugs.gnu.org; 9 Mar 2015 18:15:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 09 14:15:18 2015
Received: from localhost ([127.0.0.1]:40913 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YV2Cz-0000gr-Tn
	for submit <at> debbugs.gnu.org; Mon, 09 Mar 2015 14:15:18 -0400
Received: from mail-qc0-f182.google.com ([209.85.216.182]:43292)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <justinkirby@HIDDEN>) id 1YV2Cx-0000ge-Jk
 for 20036 <at> debbugs.gnu.org; Mon, 09 Mar 2015 14:15:16 -0400
Received: by qcyl6 with SMTP id l6so10704148qcy.10
 for <20036 <at> debbugs.gnu.org>; Mon, 09 Mar 2015 11:15:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:jabber-id:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=J3wLD5cCDSOaVwpE1a14llxg36nzn4MxU5PXG6GSZZg=;
 b=RcGbIV25G53gb12bFcXvVQuTZneLzYVIBGaT1rToufFHkt8lI82iE1SPpUzyyV67Cd
 H7fjTjASKG5p0Qbr0hoKcwkuBMXXcRWEh2/9gwCzCpFJJQujQ+sQf1rd/hwzcygZlyPm
 EwiunMcjvYYu642SbWHIojmI/fJmrti7t2kEZCilj091OSd6aGagzXLCPRfTxqC42MGe
 K7f9q0VeRqyLzEC0z1vrW4JoyESK9UU7kRsgkci5UUPuDAc2fm0CRtZ1ykGOpzDkI7MF
 ukO+OU9kIvzKdgBmYowxRqi78Myn4vS/8HYRKcFkG8wfgTAjIsLzFVlBD6kQFuexKfRa
 BoUw==
X-Received: by 10.140.91.201 with SMTP id z67mr35742424qgd.27.1425924910028;
 Mon, 09 Mar 2015 11:15:10 -0700 (PDT)
Received: from ethiopia.gmail.com (cpe-66-66-115-41.rochester.res.rr.com.
 [66.66.115.41])
 by mx.google.com with ESMTPSA id b63sm10891574qka.11.2015.03.09.11.15.08
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Mon, 09 Mar 2015 11:15:08 -0700 (PDT)
From: Justin Kirby <justinkirby@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20036: 24.4.90; Emacs hangs/freezes
References: <87k2ysb0bz.fsf@HIDDEN> <54FC1E9B.7020206@HIDDEN>
 <87k2yqn65w.fsf@HIDDEN> <54FD7806.1070203@HIDDEN>
 <83side5fby.fsf@HIDDEN>
Jabber-ID: zion@HIDDEN
Date: Mon, 09 Mar 2015 14:15:07 -0400
In-Reply-To: <83side5fby.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 09 Mar
 2015 18:02:41 +0200")
Message-ID: <87bnk2m40k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20036
Cc: martin rudalics <rudalics@HIDDEN>, 20036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Mon, 09 Mar 2015 11:37:58 +0100
>> From: martin rudalics <rudalics@HIDDEN>
>> Cc: 20036 <at> debbugs.gnu.org
>> 
>> Then maybe the wrong display gets addressed when trying to
>> show the cursor.
>
> According to the backtrace posted by Justin, we are not in the process
> of showing the cursor.  We are positioning the preedit area for the
> input method's context of the selected window.
>
> AFAIR, X input methods work by communicating with a specialized server
> process.  So perhaps the events used for these communications somehow
> get eaten and thrown away, or maybe the IM server has a bug or
> something?
>
> (I never wrote any XIM code in my life, so feel free to ignore parts
> or all of the above if it makes no sense.)
>
> Justin, can you tell when this started happening?  Is this problem new
> with Emacs 24.4.90, or did it happen before?

This is happening on a build from git branch emacs-24 on an Ubuntu 14.04
LTS. The problem has been occurring for all of the builds I have done. I
first did a git clone a few weeks ago. Sorry, I can't give an exact
date.

The default emacs24 package does not have this problem.

I read that if emacs freezes to use the lucid toolkit, which I did after
the first occurrence. I will try using another --with-x-toolkit value
and see if that works.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20036; Package emacs. Full text available.

Message received at 20036 <at> debbugs.gnu.org:


Received: (at 20036) by debbugs.gnu.org; 9 Mar 2015 16:03:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 09 12:03:04 2015
Received: from localhost ([127.0.0.1]:40871 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YV091-0005pJ-Mp
	for submit <at> debbugs.gnu.org; Mon, 09 Mar 2015 12:03:04 -0400
Received: from mtaout29.012.net.il ([80.179.55.185]:47859)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1YV08y-0005oa-Al
 for 20036 <at> debbugs.gnu.org; Mon, 09 Mar 2015 12:03:01 -0400
Received: from conversion-daemon.mtaout29.012.net.il by mtaout29.012.net.il
 (HyperSendmail v2007.08) id <0NKY00G00CA67I00@HIDDEN> for
 20036 <at> debbugs.gnu.org; Mon, 09 Mar 2015 17:59:06 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout29.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NKY00CDQCEICU40@HIDDEN>; Mon, 09 Mar 2015 17:59:06 +0200 (IST)
Date: Mon, 09 Mar 2015 18:02:41 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20036: 24.4.90; Emacs hangs/freezes
In-reply-to: <54FD7806.1070203@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: martin rudalics <rudalics@HIDDEN>
Message-id: <83side5fby.fsf@HIDDEN>
References: <87k2ysb0bz.fsf@HIDDEN> <54FC1E9B.7020206@HIDDEN>
 <87k2yqn65w.fsf@HIDDEN> <54FD7806.1070203@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 20036
Cc: 20036 <at> debbugs.gnu.org, justinkirby@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Mon, 09 Mar 2015 11:37:58 +0100
> From: martin rudalics <rudalics@HIDDEN>
> Cc: 20036 <at> debbugs.gnu.org
> 
> Then maybe the wrong display gets addressed when trying to
> show the cursor.

According to the backtrace posted by Justin, we are not in the process
of showing the cursor.  We are positioning the preedit area for the
input method's context of the selected window.

AFAIR, X input methods work by communicating with a specialized server
process.  So perhaps the events used for these communications somehow
get eaten and thrown away, or maybe the IM server has a bug or
something?

(I never wrote any XIM code in my life, so feel free to ignore parts
or all of the above if it makes no sense.)

Justin, can you tell when this started happening?  Is this problem new
with Emacs 24.4.90, or did it happen before?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20036; Package emacs. Full text available.

Message received at 20036 <at> debbugs.gnu.org:


Received: (at 20036) by debbugs.gnu.org; 9 Mar 2015 10:37:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 09 06:37:41 2015
Received: from localhost ([127.0.0.1]:40168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YUv48-0004KK-Sb
	for submit <at> debbugs.gnu.org; Mon, 09 Mar 2015 06:37:41 -0400
Received: from mout.gmx.net ([212.227.17.20]:49575)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1YUv47-0004K8-Px
 for 20036 <at> debbugs.gnu.org; Mon, 09 Mar 2015 06:37:40 -0400
Received: from [88.117.23.219] ([88.117.23.219]) by mail.gmx.com (mrgmx103)
 with ESMTPSA (Nemesis) id 0MPD8G-1YQVDh0YIi-004PkF; Mon, 09 Mar 2015 11:37:34
 +0100
Message-ID: <54FD7806.1070203@HIDDEN>
Date: Mon, 09 Mar 2015 11:37:58 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Justin Kirby <justinkirby@HIDDEN>
Subject: Re: bug#20036: 24.4.90; Emacs hangs/freezes
References: <87k2ysb0bz.fsf@HIDDEN> <54FC1E9B.7020206@HIDDEN>
 <87k2yqn65w.fsf@HIDDEN>
In-Reply-To: <87k2yqn65w.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:dCCGS4E0ei9znQKV+CQnh2oXi14G4jTwS7SwY3KMrFS96Kgb/Y1
 APC0D3rQSOAQsvydePTrlCxhekUFPVJvOa9mSFVHH2zTtY38Z+ML+tdPZcuIMAicRtEWSTI
 KeE4YK9u9XfXKSd9axEclGlI0OyWx96/osv2qNGUSoiTP+adom97zj2ivso5pXhMZg/8hcc
 1eg+yEy6t348k+r3If1ww==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20036
Cc: 20036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 >> Maybe I'm missing something but a vertical cursor pixel position of 2185
 >> sounds slightly exaggerated.
 >
 > I have two screens at 2560x1440 oriented vertically and a third
 > horizontal. Could that explain the y value?

Probably.  Then maybe the wrong display gets addressed when trying to
show the cursor.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20036; Package emacs. Full text available.

Message received at 20036 <at> debbugs.gnu.org:


Received: (at 20036) by debbugs.gnu.org; 9 Mar 2015 04:31:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 09 00:31:16 2015
Received: from localhost ([127.0.0.1]:39987 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YUpLY-0003d7-D0
	for submit <at> debbugs.gnu.org; Mon, 09 Mar 2015 00:31:16 -0400
Received: from mail-qc0-f181.google.com ([209.85.216.181]:34866)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <justinkirby@HIDDEN>) id 1YUpLX-0003ct-AZ
 for 20036 <at> debbugs.gnu.org; Mon, 09 Mar 2015 00:31:15 -0400
Received: by qcwr17 with SMTP id r17so11866357qcw.2
 for <20036 <at> debbugs.gnu.org>; Sun, 08 Mar 2015 21:31:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:jabber-id:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=V4S0juB21Pq7OyuquR8WKl8bgqvMdEged9vTRTGA2a8=;
 b=eLcrNRvPAx+bwLDnga3osHMISDCINeY1xR7Rs40J1ysq1gZ4V/uUkWJbEg80pPzN8X
 ANkkObSW99h3etGhfGapRHa6/BQiAmThjko3iX+Abp9UzOl8ikIBQAn0VMAjIc71m9//
 AybFsvyO2tBXj9Xg2PcvOaf7bXmsVRwnksUxNr8J3CZocGPyp8Mdo9yd3tTDixiyiQ3m
 S6LhvEB5A4aAZKcZn5OUntoZuscY8XoYtJ/JyiCBXwhEZy1+XpWO6UXFK5gDC4ZWnsma
 RWoPMxAlhTYzBHx9Gm/tqbioqk2v22i3yzKr/unm3DzJFz0KE4fVTKrF3nW+MdK9Zc8E
 NAOw==
X-Received: by 10.140.85.137 with SMTP id n9mr31898422qgd.17.1425875469921;
 Sun, 08 Mar 2015 21:31:09 -0700 (PDT)
Received: from ethiopia.gmail.com (cpe-66-66-115-41.rochester.res.rr.com.
 [66.66.115.41])
 by mx.google.com with ESMTPSA id 87sm9741645qku.20.2015.03.08.21.31.08
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Sun, 08 Mar 2015 21:31:08 -0700 (PDT)
From: Justin Kirby <justinkirby@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#20036: 24.4.90; Emacs hangs/freezes
References: <87k2ysb0bz.fsf@HIDDEN> <54FC1E9B.7020206@HIDDEN>
Jabber-ID: zion@HIDDEN
Date: Mon, 09 Mar 2015 00:31:07 -0400
In-Reply-To: <54FC1E9B.7020206@HIDDEN> (martin rudalics's message of "Sun, 08
 Mar 2015 11:04:11 +0100")
Message-ID: <87k2yqn65w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20036
Cc: 20036 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

martin rudalics <rudalics@HIDDEN> writes:

>> #11 0x00000000004ab39b in x_draw_window_cursor (w=0x6b26550, glyph_row=<optimized out>, x=0, y=2185, cursor_type=<optimized out>,
>>      cursor_width=<optimized out>, on_p=<optimized out>, active_p=<optimized out>) at xterm.c:7331
>> No locals.
>> #12 0x0000000000451c07 in display_and_set_cursor (w=w@entry=0x6b26550, on=on@entry=true, hpos=0, vpos=115, x=0, y=2185) at xdisp.c:27662
>>          new_cursor_type = 0
>>          new_cursor_width = 1
>>          active_cursor = 1
>>          glyph_row = 0x91f18d0
>>          glyph = <optimized out>
>
> Maybe I'm missing something but a vertical cursor pixel position of 2185
> sounds slightly exaggerated.

I have two screens at 2560x1440 oriented vertically and a third
horizontal. Could that explain the y value?

Justin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20036; Package emacs. Full text available.

Message received at 20036 <at> debbugs.gnu.org:


Received: (at 20036) by debbugs.gnu.org; 8 Mar 2015 10:04:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 08 06:04:30 2015
Received: from localhost ([127.0.0.1]:39153 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YUY4U-0003Kb-AH
	for submit <at> debbugs.gnu.org; Sun, 08 Mar 2015 06:04:30 -0400
Received: from mout.gmx.net ([212.227.15.15]:54273)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1YUY4S-0003KJ-Ch
 for 20036 <at> debbugs.gnu.org; Sun, 08 Mar 2015 06:04:28 -0400
Received: from [178.191.143.22] ([178.191.143.22]) by mail.gmx.com (mrgmx003)
 with ESMTPSA (Nemesis) id 0LjZhg-1XtHNV3xJQ-00bYND;
 Sun, 08 Mar 2015 11:04:22 +0100
Message-ID: <54FC1E9B.7020206@HIDDEN>
Date: Sun, 08 Mar 2015 11:04:11 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Justin Kirby <justinkirby@HIDDEN>, 20036 <at> debbugs.gnu.org
Subject: Re: bug#20036: 24.4.90; Emacs hangs/freezes
References: <87k2ysb0bz.fsf@HIDDEN>
In-Reply-To: <87k2ysb0bz.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:g40e7OPbhUZZgHUZTKsprHP8lIGge7TLqpFebXXjhVQzRkctFcO
 k/CS5oVno4ZPoyjBPecNIuoT0WZvAYC6RPhpVIEMV1pCASxsV1TCn1n9TfV6K08xg7mS++L
 m4XyupTFOix1uDIoY8q53Zb1TSxh0cz9fmAdEmQsWLLvtAOIf5sjIVsLUTR2NyzbdFrbsze
 d3JnOEo+fTgbgViF5FX+Q==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20036
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > #11 0x00000000004ab39b in x_draw_window_cursor (w=0x6b26550, glyph_row=<optimized out>, x=0, y=2185, cursor_type=<optimized out>,
 >      cursor_width=<optimized out>, on_p=<optimized out>, active_p=<optimized out>) at xterm.c:7331
 > No locals.
 > #12 0x0000000000451c07 in display_and_set_cursor (w=w@entry=0x6b26550, on=on@entry=true, hpos=0, vpos=115, x=0, y=2185) at xdisp.c:27662
 >          new_cursor_type = 0
 >          new_cursor_width = 1
 >          active_cursor = 1
 >          glyph_row = 0x91f18d0
 >          glyph = <optimized out>

Maybe I'm missing something but a vertical cursor pixel position of 2185
sounds slightly exaggerated.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20036; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Mar 2015 07:51:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 08 03:51:58 2015
Received: from localhost ([127.0.0.1]:39101 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YUW0C-0008Pk-C0
	for submit <at> debbugs.gnu.org; Sun, 08 Mar 2015 03:51:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42335)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <justinkirby@HIDDEN>) id 1YUSTZ-0002dO-Px
 for submit <at> debbugs.gnu.org; Sat, 07 Mar 2015 23:06:03 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <justinkirby@HIDDEN>) id 1YUSTR-0008Cd-8R
 for submit <at> debbugs.gnu.org; Sat, 07 Mar 2015 23:05:56 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34326)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <justinkirby@HIDDEN>) id 1YUSTR-0008CZ-4c
 for submit <at> debbugs.gnu.org; Sat, 07 Mar 2015 23:05:53 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44052)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <justinkirby@HIDDEN>) id 1YUSTN-0001lm-B6
 for bug-gnu-emacs@HIDDEN; Sat, 07 Mar 2015 23:05:52 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <justinkirby@HIDDEN>) id 1YUSTE-0007us-PT
 for bug-gnu-emacs@HIDDEN; Sat, 07 Mar 2015 23:05:49 -0500
Received: from mail-qc0-x231.google.com ([2607:f8b0:400d:c01::231]:38646)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <justinkirby@HIDDEN>) id 1YUSTE-0007sx-HV
 for bug-gnu-emacs@HIDDEN; Sat, 07 Mar 2015 23:05:40 -0500
Received: by qcvx3 with SMTP id x3so59652983qcv.5
 for <bug-gnu-emacs@HIDDEN>; Sat, 07 Mar 2015 20:05:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version:content-type;
 bh=nvAoHc5hTCzlOjLClD32qHmheU5Mkwg15/GE6k4er3s=;
 b=GBDdqPwIYgz8ynIbizV1L/akDkRmxKi2rdfQQhgFCXqZYXJlgdehRseVneeEcq16S1
 7PI7VAOGEW/9xFfCw0DWqfPdFFToeSMLXDeJsUrQtWmnvBXkTjMHfZKdT3HmfYmbXNVa
 0KDLshk8nP6hUky0c/HoK7IGBjLhtV3K1jxSD1gyTtzUe4QZaaF7KKYunjPx8LQPLNXW
 XCOW64P9l/aiTCmtAYW6gFGnUivFRw636da5n++r7s9HLNDcrS7iclOL6jh9UlmMKDrD
 kZ7iX3+hFv4NcnDpccju2zBwM/Sxp645uzoLyKcTsw19+t7sLR5XTBQCwfEFH/e9D+i+
 DMkA==
X-Received: by 10.55.31.82 with SMTP id f79mr326417qkf.31.1425787539481;
 Sat, 07 Mar 2015 20:05:39 -0800 (PST)
Received: from ethiopia.gmail.com (cpe-66-66-115-41.rochester.res.rr.com.
 [66.66.115.41])
 by mx.google.com with ESMTPSA id 63sm8996761qhw.30.2015.03.07.20.05.37
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Sat, 07 Mar 2015 20:05:38 -0800 (PST)
From: Justin Kirby <justinkirby@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.4.90; Emacs hangs/freezes
Date: Sat, 07 Mar 2015 23:05:36 -0500
Message-ID: <87k2ysb0bz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 08 Mar 2015 03:51:54 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


Emacs seems to randomly hang. I am not sure what causes it. I run
start-server and connect to it via emacsclient. It takes a few days to
reproduce.


(gdb) bt full
#0  0x00007ffff29cb12d in poll () at ../sysdeps/unix/syscall-template.S:81
No locals.
#1  0x00007ffff1e81b72 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
No symbol table info available.
#2  0x00007ffff1e8364f in xcb_wait_for_event () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
No symbol table info available.
#3  0x00007ffff5fa6198 in _XReadEvents () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#4  0x00007ffff5f8e751 in XIfEvent () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#5  0x00007ffff5fd4f24 in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#6  0x00007ffff5fd5b80 in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#7  0x00007ffff5fd5e71 in _XimRead () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#8  0x00007ffff5fc48a6 in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#9  0x00007ffff5fb2b3d in XSetICValues () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
#10 0x00000000004bdafa in xic_set_preeditarea (w=w@entry=0x6b26550, x=x@entry=0, y=y@entry=2185) at xfns.c:2107
        attr = 0x80777d0
        spot = {x = 10, y = 2201}
#11 0x00000000004ab39b in x_draw_window_cursor (w=0x6b26550, glyph_row=<optimized out>, x=0, y=2185, cursor_type=<optimized out>, 
    cursor_width=<optimized out>, on_p=<optimized out>, active_p=<optimized out>) at xterm.c:7331
No locals.
#12 0x0000000000451c07 in display_and_set_cursor (w=w@entry=0x6b26550, on=on@entry=true, hpos=0, vpos=115, x=0, y=2185) at xdisp.c:27662
        new_cursor_type = 0
        new_cursor_width = 1
        active_cursor = 1
        glyph_row = 0x91f18d0
        glyph = <optimized out>
#13 0x00000000004acb26 in x_update_window_end (w=0x6b26550, cursor_on_p=<optimized out>, mouse_face_overwritten_p=<optimized out>) at xterm.c:582
No locals.
#14 0x00000000004169fa in update_window (w=w@entry=0x6b26550, force_p=force_p@entry=true) at dispnew.c:3541
        end = 0x761cbf0
        mode_line_row = 0x761cbf0
        header_line_row = <optimized out>
        changed_p = <optimized out>
        mouse_face_overwritten_p = false
        row = <optimized out>
        yb = <optimized out>
        n_updated = <optimized out>
        desired_matrix = <optimized out>
        paused_p = false
        preempt_count = <optimized out>
        rif = <optimized out>
#15 0x0000000000416a8d in update_window_tree (w=w@entry=0x6b26550, force_p=force_p@entry=true) at dispnew.c:3216
        paused_p = false
#16 0x000000000041852b in update_frame (f=f@entry=0x303aca8, force_p=true, force_p@entry=false, inhibit_hairy_id_p=inhibit_hairy_id_p@entry=false)
    at dispnew.c:3105
        paused_p = <optimized out>
#17 0x0000000000449580 in redisplay_internal () at xdisp.c:14052
        mini_window = <optimized out>
        w = 0x6b26550
        sw = <optimized out>
        pending = 0
        must_finish = <optimized out>
        match_p = <optimized out>
        tlbufpos = {charpos = 50568789, bytepos = 12490}
        tlendpos = {charpos = 5440, bytepos = 5440}
        number_of_visible_frames = <optimized out>
        sf = 0x303aca8
        polling_stopped_here = 1
        tail = <optimized out>
        consider_all_windows_p = <optimized out>
        update_miniwindow_p = <optimized out>
#18 0x000000000044a2be in redisplay () at xdisp.c:13229
No locals.
#19 0x00000000004da71e in read_char (commandflag=1, map=map@entry=35760998, prev_event=12022002, used_mouse_menu=used_mouse_menu@entry=0x7fffffffdbcb, 
    end_time=end_time@entry=0x0) at keyboard.c:2571
        c = <optimized out>
        local_getcjmp = {{__jmpbuf = {0, -1, 4294967297, 44, 0, 0, 1, 5743552}, __mask_was_saved = 0, __saved_mask = {__val = {12449, 12450, 5747385, 0, 
                140737488345608, 97975120, 5759715, 12451, 5423013, 12209378, 64829936, 2, 0, 49804, 16280608, 16551570}}}}
        save_jump = {{__jmpbuf = {16410352, 5123185, 12022002, 8, 12054578, 64829941, 17965, 0}, __mask_was_saved = -9528, __saved_mask = {__val = {12022002, 
                12022002, 115430534, 17978045, 35761030, 4294967295, 12022002, 12022050, 2, 12022002, 5124458, 33918006, 12022002, 40297, 35527664, 1}}}}
        tem = <optimized out>
        save = <optimized out>
        previous_echo_area_message = 12022002
        also_record = 12022002
        reread = false
        polling_stopped_here = false
        orig_kboard = 0x13752d0

#20 0x00000000004dbd22 in read_key_sequence (keybuf=keybuf@entry=0x7fffffffdc90, bufsize=bufsize@entry=30, prompt=12022002, 
    dont_downcase_last=dont_downcase_last@entry=false, can_return_switch_frame=can_return_switch_frame@entry=true, 
    fix_current_buffer=fix_current_buffer@entry=true, prevent_redisplay=prevent_redisplay@entry=false) at keyboard.c:9089
        interrupted_kboard = 0x13752d0
        interrupted_frame = 0x303aca8
        key = <optimized out>
        used_mouse_menu = false
        echo_local_start = 0
        last_real_key_start = <optimized out>
        keys_local_start = <optimized out>
        new_binding = <optimized out>
        t = <optimized out>
        echo_start = 0
        keys_start = 0
        current_binding = 35760998
        first_event = 12022002
        first_unbound = 31
        mock_input = 0
        fkey = {parent = 15830422, map = 15830422, start = 0, end = 0}
        keytran = {parent = 12001862, map = 12001862, start = 0, end = 0}
        indec = {parent = 15830438, map = 15830438, start = 0, end = 0}
        shift_translated = false
        delayed_switch_frame = 12022002
        original_uppercase = 8641926891209431296
        original_uppercase_position = -1
        dummyflag = false
        starting_buffer = 0x3dd39f0
        fake_prefixed_keys = 12022002
#21 0x00000000004dd2db in command_loop_1 () at keyboard.c:1453
        cmd = <optimized out>
        keybuf = {12063730, 76, 140737488346376, 2, 37267504, 8641926891209431296, 390842032833, 134908006, 134908006, 140737488346708, 0, 0, 12022002, 
          5477885, 12069458, 134908006, 8520257, 12022002, 12022002, 5068031, 64, 12022002, 12022002, 5068327, 12270336, 4000, 140737488346708, 0, 0, 5481164}
        i = <optimized out>
        prev_modiff = 40297
        prev_buffer = 0x3dd39f0
#22 0x00000000005365ea in internal_condition_case (bfun=bfun@entry=0x4dcfe4 <command_loop_1>, handlers=12073570, hfun=hfun@entry=0x4d5514 <cmd_error>)
    at eval.c:1348
        val = <optimized out>
        c = <optimized out>
#23 0x00000000004d083f in command_loop_2 (ignore=ignore@entry=12022002) at keyboard.c:1178
        val = <optimized out>
#24 0x00000000005364cb in internal_catch (tag=12069506, func=func@entry=0x4d0825 <command_loop_2>, arg=12022002) at eval.c:1112
        val = <optimized out>
        c = <optimized out>
#25 0x00000000004d07d7 in command_loop () at keyboard.c:1157
No locals.
#26 0x00000000004d518d in recursive_edit_1 () at keyboard.c:778
        val = <optimized out>
#27 0x00000000004d545a in Frecursive_edit () at keyboard.c:849
        buffer = <optimized out>
#28 0x00000000004d025f in main (argc=<optimized out>, argv=0x7fffffffdfa8) at emacs.c:1642
        dummy = 140737228615944
        stack_bottom_variable = -1 '\377'
        do_initial_setlocale = <optimized out>
        dumping = false
        skip_args = 0
        rlim = {rlim_cur = 8720000, rlim_max = 18446744073709551615}
        no_loadup = false
        junk = 0x0
        dname_arg = 0x0
        ch_to_dir = 0x0
        original_pwd = 0x0
(gdb) xbacktrace
Undefined command: "xbacktrace".  Try "help".




In GNU Emacs 24.4.90.1 (x86_64-unknown-linux-gnu, X toolkit, Xaw scroll bars)
 of 2015-03-06 on ethiopia
Repository revision: 69204d5a8ad8c3ea8f99880fdfb634b6109a59fb
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:	Ubuntu 14.04.2 LTS

Configured using:
 `configure --with-x-toolkit=lucid 'CFLAGS=-Og -g3''

Important settings:
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  smooth-scroll-mode: t
  helm-mode: t
  helm-match-plugin-mode: t
  helm-occur-match-plugin-mode: t
  show-paren-mode: t
  pyvenv-mode: t
  savehist-mode: t
  jabber-activity-mode: t
  global-git-gutter+-mode: t
  magit-auto-revert-mode: t
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  global-auto-revert-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Loading /home/jkirby/.emacs.d/000-ui.el (source)...done
Loading /home/jkirby/.emacs.d/000-paren.el (source)...done
Loading /home/jkirby/.emacs.d/000-misc.el (source)...done
Loading /home/jkirby/.emacs.d/000-dired.el (source)...done
Loading /home/jkirby/.emacs.d/000-bbdb.el (source)...
Loading /home/jkirby/.emacs.d/elpa/bbdb-20140830.2031/bbdb-autoloads.el (source)...done
Loading /home/jkirby/.emacs.d/000-bbdb.el (source)...done
Loading /home/jkirby/.emacs.d/000-auth.el (source)...done
Helm completion enabled
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
/home/jkirby/.emacs.d/elpa/flymake-0.4.16/flymake hides /home/jkirby/prj/emacs/lisp/progmodes/flymake
/home/jkirby/.emacs.d/elpa/org-20141110/org-mobile hides /home/jkirby/prj/emacs/lisp/org/org-mobile
/home/jkirby/.emacs.d/elpa/org-20141110/ob-emacs-lisp hides /home/jkirby/prj/emacs/lisp/org/ob-emacs-lisp
/home/jkirby/.emacs.d/elpa/org-20141110/ob-python hides /home/jkirby/prj/emacs/lisp/org/ob-python
/home/jkirby/.emacs.d/elpa/org-20141110/org-archive hides /home/jkirby/prj/emacs/lisp/org/org-archive
/home/jkirby/.emacs.d/elpa/org-20141110/org-irc hides /home/jkirby/prj/emacs/lisp/org/org-irc
/home/jkirby/.emacs.d/elpa/org-20141110/org-datetree hides /home/jkirby/prj/emacs/lisp/org/org-datetree
/home/jkirby/.emacs.d/elpa/org-20141110/ob-calc hides /home/jkirby/prj/emacs/lisp/org/ob-calc
/home/jkirby/.emacs.d/elpa/org-20141110/org-w3m hides /home/jkirby/prj/emacs/lisp/org/org-w3m
/home/jkirby/.emacs.d/elpa/org-20141110/org-entities hides /home/jkirby/prj/emacs/lisp/org/org-entities
/home/jkirby/.emacs.d/elpa/org-20141110/ob-lob hides /home/jkirby/prj/emacs/lisp/org/ob-lob
/home/jkirby/.emacs.d/elpa/org-20141110/org-gnus hides /home/jkirby/prj/emacs/lisp/org/org-gnus
/home/jkirby/.emacs.d/elpa/org-20141110/org-src hides /home/jkirby/prj/emacs/lisp/org/org-src
/home/jkirby/.emacs.d/elpa/org-20141110/org-attach hides /home/jkirby/prj/emacs/lisp/org/org-attach
/home/jkirby/.emacs.d/elpa/org-20141110/ob-lilypond hides /home/jkirby/prj/emacs/lisp/org/ob-lilypond
/home/jkirby/.emacs.d/elpa/org-20141110/ob-ditaa hides /home/jkirby/prj/emacs/lisp/org/ob-ditaa
/home/jkirby/.emacs.d/elpa/org-20141110/org-inlinetask hides /home/jkirby/prj/emacs/lisp/org/org-inlinetask
/home/jkirby/.emacs.d/elpa/org-20141110/ob-sass hides /home/jkirby/prj/emacs/lisp/org/ob-sass
/home/jkirby/.emacs.d/elpa/org-20141110/ox-ascii hides /home/jkirby/prj/emacs/lisp/org/ox-ascii
/home/jkirby/.emacs.d/elpa/org-20141110/org-info hides /home/jkirby/prj/emacs/lisp/org/org-info
/home/jkirby/.emacs.d/elpa/org-20141110/ob-tangle hides /home/jkirby/prj/emacs/lisp/org/ob-tangle
/home/jkirby/.emacs.d/elpa/org-20141110/ox-html hides /home/jkirby/prj/emacs/lisp/org/ox-html
/home/jkirby/.emacs.d/elpa/org-20141110/org-agenda hides /home/jkirby/prj/emacs/lisp/org/org-agenda
/home/jkirby/.emacs.d/elpa/org-20141110/ob-sql hides /home/jkirby/prj/emacs/lisp/org/ob-sql
/home/jkirby/.emacs.d/elpa/org-20141110/ob-awk hides /home/jkirby/prj/emacs/lisp/org/ob-awk
/home/jkirby/.emacs.d/elpa/org-20141110/ob-plantuml hides /home/jkirby/prj/emacs/lisp/org/ob-plantuml
/home/jkirby/.emacs.d/elpa/org-20141110/org-bibtex hides /home/jkirby/prj/emacs/lisp/org/org-bibtex
/home/jkirby/.emacs.d/elpa/org-20141110/ob-maxima hides /home/jkirby/prj/emacs/lisp/org/ob-maxima
/home/jkirby/.emacs.d/elpa/org-20141110/org-colview hides /home/jkirby/prj/emacs/lisp/org/org-colview
/home/jkirby/.emacs.d/elpa/org-20141110/ob-dot hides /home/jkirby/prj/emacs/lisp/org/ob-dot
/home/jkirby/.emacs.d/elpa/org-20141110/org-feed hides /home/jkirby/prj/emacs/lisp/org/org-feed
/home/jkirby/.emacs.d/elpa/org-20141110/org-macs hides /home/jkirby/prj/emacs/lisp/org/org-macs
/home/jkirby/.emacs.d/elpa/org-20141110/ob-gnuplot hides /home/jkirby/prj/emacs/lisp/org/ob-gnuplot
/home/jkirby/.emacs.d/elpa/org-20141110/ob-ruby hides /home/jkirby/prj/emacs/lisp/org/ob-ruby
/home/jkirby/.emacs.d/elpa/org-20141110/ob-R hides /home/jkirby/prj/emacs/lisp/org/ob-R
/home/jkirby/.emacs.d/elpa/org-20141110/ob-js hides /home/jkirby/prj/emacs/lisp/org/ob-js
/home/jkirby/.emacs.d/elpa/org-20141110/ob-octave hides /home/jkirby/prj/emacs/lisp/org/ob-octave
/home/jkirby/.emacs.d/elpa/org-20141110/ox-odt hides /home/jkirby/prj/emacs/lisp/org/ox-odt
/home/jkirby/.emacs.d/elpa/org-20141110/org-bbdb hides /home/jkirby/prj/emacs/lisp/org/org-bbdb
/home/jkirby/.emacs.d/elpa/org-20141110/org-faces hides /home/jkirby/prj/emacs/lisp/org/org-faces
/home/jkirby/.emacs.d/elpa/org-20141110/ob-table hides /home/jkirby/prj/emacs/lisp/org/ob-table
/home/jkirby/.emacs.d/elpa/org-20141110/org-element hides /home/jkirby/prj/emacs/lisp/org/org-element
/home/jkirby/.emacs.d/elpa/org-20141110/ox-texinfo hides /home/jkirby/prj/emacs/lisp/org/ox-texinfo
/home/jkirby/.emacs.d/elpa/org-20141110/ox-md hides /home/jkirby/prj/emacs/lisp/org/ox-md
/home/jkirby/.emacs.d/elpa/org-20141110/ob-css hides /home/jkirby/prj/emacs/lisp/org/ob-css
/home/jkirby/.emacs.d/elpa/org-20141110/ob-scala hides /home/jkirby/prj/emacs/lisp/org/ob-scala
/home/jkirby/.emacs.d/elpa/org-20141110/ob-ledger hides /home/jkirby/prj/emacs/lisp/org/ob-ledger
/home/jkirby/.emacs.d/elpa/org-20141110/org-crypt hides /home/jkirby/prj/emacs/lisp/org/org-crypt
/home/jkirby/.emacs.d/elpa/org-20141110/ob-clojure hides /home/jkirby/prj/emacs/lisp/org/ob-clojure
/home/jkirby/.emacs.d/elpa/org-20141110/org-mhe hides /home/jkirby/prj/emacs/lisp/org/org-mhe
/home/jkirby/.emacs.d/elpa/org-20141110/ob-org hides /home/jkirby/prj/emacs/lisp/org/ob-org
/home/jkirby/.emacs.d/elpa/org-20141110/ob-io hides /home/jkirby/prj/emacs/lisp/org/ob-io
/home/jkirby/.emacs.d/elpa/org-20141110/ob-C hides /home/jkirby/prj/emacs/lisp/org/ob-C
/home/jkirby/.emacs.d/elpa/org-20141110/ox-beamer hides /home/jkirby/prj/emacs/lisp/org/ox-beamer
/home/jkirby/.emacs.d/elpa/org-20141110/org-timer hides /home/jkirby/prj/emacs/lisp/org/org-timer
/home/jkirby/.emacs.d/elpa/org-20141110/ob-exp hides /home/jkirby/prj/emacs/lisp/org/ob-exp
/home/jkirby/.emacs.d/elpa/org-20141110/org-ctags hides /home/jkirby/prj/emacs/lisp/org/org-ctags
/home/jkirby/.emacs.d/elpa/org-20141110/org-docview hides /home/jkirby/prj/emacs/lisp/org/org-docview
/home/jkirby/.emacs.d/elpa/org-20141110/ox-org hides /home/jkirby/prj/emacs/lisp/org/ox-org
/home/jkirby/.emacs.d/elpa/org-20141110/org hides /home/jkirby/prj/emacs/lisp/org/org
/home/jkirby/.emacs.d/elpa/org-20141110/ob-comint hides /home/jkirby/prj/emacs/lisp/org/ob-comint
/home/jkirby/.emacs.d/elpa/org-20141110/org-clock hides /home/jkirby/prj/emacs/lisp/org/org-clock
/home/jkirby/.emacs.d/elpa/org-20141110/ob-lisp hides /home/jkirby/prj/emacs/lisp/org/ob-lisp
/home/jkirby/.emacs.d/elpa/org-20141110/ob-picolisp hides /home/jkirby/prj/emacs/lisp/org/ob-picolisp
/home/jkirby/.emacs.d/elpa/org-20141110/org-id hides /home/jkirby/prj/emacs/lisp/org/org-id
/home/jkirby/.emacs.d/elpa/org-20141110/org-plot hides /home/jkirby/prj/emacs/lisp/org/org-plot
/home/jkirby/.emacs.d/elpa/org-20141110/ox-icalendar hides /home/jkirby/prj/emacs/lisp/org/ox-icalendar
/home/jkirby/.emacs.d/elpa/org-20141110/ob-sh hides /home/jkirby/prj/emacs/lisp/org/ob-sh
/home/jkirby/.emacs.d/elpa/org-20141110/ob-sqlite hides /home/jkirby/prj/emacs/lisp/org/ob-sqlite
/home/jkirby/.emacs.d/elpa/org-20141110/ob-latex hides /home/jkirby/prj/emacs/lisp/org/ob-latex
/home/jkirby/.emacs.d/elpa/org-20141110/org-capture hides /home/jkirby/prj/emacs/lisp/org/org-capture
/home/jkirby/.emacs.d/elpa/org-20141110/ob-fortran hides /home/jkirby/prj/emacs/lisp/org/ob-fortran
/home/jkirby/.emacs.d/elpa/org-20141110/ob-shen hides /home/jkirby/prj/emacs/lisp/org/ob-shen
/home/jkirby/.emacs.d/elpa/org-20141110/ob hides /home/jkirby/prj/emacs/lisp/org/ob
/home/jkirby/.emacs.d/elpa/org-20141110/ox-man hides /home/jkirby/prj/emacs/lisp/org/ox-man
/home/jkirby/.emacs.d/elpa/org-20141110/org-habit hides /home/jkirby/prj/emacs/lisp/org/org-habit
/home/jkirby/.emacs.d/elpa/org-20141110/ob-mscgen hides /home/jkirby/prj/emacs/lisp/org/ob-mscgen
/home/jkirby/.emacs.d/elpa/org-20141110/ob-asymptote hides /home/jkirby/prj/emacs/lisp/org/ob-asymptote
/home/jkirby/.emacs.d/elpa/org-20141110/org-eshell hides /home/jkirby/prj/emacs/lisp/org/org-eshell
/home/jkirby/.emacs.d/elpa/org-20141110/org-footnote hides /home/jkirby/prj/emacs/lisp/org/org-footnote
/home/jkirby/.emacs.d/elpa/org-20141110/org-list hides /home/jkirby/prj/emacs/lisp/org/org-list
/home/jkirby/.emacs.d/elpa/org-20141110/ob-ref hides /home/jkirby/prj/emacs/lisp/org/ob-ref
/home/jkirby/.emacs.d/elpa/org-20141110/ob-ocaml hides /home/jkirby/prj/emacs/lisp/org/ob-ocaml
/home/jkirby/.emacs.d/elpa/org-20141110/org-pcomplete hides /home/jkirby/prj/emacs/lisp/org/org-pcomplete
/home/jkirby/.emacs.d/elpa/org-20141110/ob-screen hides /home/jkirby/prj/emacs/lisp/org/ob-screen
/home/jkirby/.emacs.d/elpa/org-20141110/org-mouse hides /home/jkirby/prj/emacs/lisp/org/org-mouse
/home/jkirby/.emacs.d/elpa/org-20141110/ob-java hides /home/jkirby/prj/emacs/lisp/org/ob-java
/home/jkirby/.emacs.d/elpa/org-20141110/org-table hides /home/jkirby/prj/emacs/lisp/org/org-table
/home/jkirby/.emacs.d/elpa/org-20141110/ob-keys hides /home/jkirby/prj/emacs/lisp/org/ob-keys
/home/jkirby/.emacs.d/elpa/org-20141110/org-rmail hides /home/jkirby/prj/emacs/lisp/org/org-rmail
/home/jkirby/.emacs.d/elpa/org-20141110/ox hides /home/jkirby/prj/emacs/lisp/org/ox
/home/jkirby/.emacs.d/elpa/org-20141110/org-compat hides /home/jkirby/prj/emacs/lisp/org/org-compat
/home/jkirby/.emacs.d/elpa/org-20141110/ob-matlab hides /home/jkirby/prj/emacs/lisp/org/ob-matlab
/home/jkirby/.emacs.d/elpa/org-20141110/ob-scheme hides /home/jkirby/prj/emacs/lisp/org/ob-scheme
/home/jkirby/.emacs.d/elpa/org-20141110/org-install hides /home/jkirby/prj/emacs/lisp/org/org-install
/home/jkirby/.emacs.d/elpa/org-20141110/ob-eval hides /home/jkirby/prj/emacs/lisp/org/ob-eval
/home/jkirby/.emacs.d/elpa/org-20141110/org-macro hides /home/jkirby/prj/emacs/lisp/org/org-macro
/home/jkirby/.emacs.d/elpa/org-20141110/org-loaddefs hides /home/jkirby/prj/emacs/lisp/org/org-loaddefs
/home/jkirby/.emacs.d/elpa/org-20141110/ob-core hides /home/jkirby/prj/emacs/lisp/org/ob-core
/home/jkirby/.emacs.d/elpa/org-20141110/ox-publish hides /home/jkirby/prj/emacs/lisp/org/ox-publish
/home/jkirby/.emacs.d/elpa/org-20141110/ox-latex hides /home/jkirby/prj/emacs/lisp/org/ox-latex
/home/jkirby/.emacs.d/elpa/org-20141110/ob-perl hides /home/jkirby/prj/emacs/lisp/org/ob-perl
/home/jkirby/.emacs.d/elpa/org-20141110/ob-haskell hides /home/jkirby/prj/emacs/lisp/org/ob-haskell
/home/jkirby/.emacs.d/elpa/org-20141110/ob-makefile hides /home/jkirby/prj/emacs/lisp/org/ob-makefile
/home/jkirby/.emacs.d/elpa/org-20141110/org-version hides /home/jkirby/prj/emacs/lisp/org/org-version
/home/jkirby/.emacs.d/elpa/org-20141110/org-protocol hides /home/jkirby/prj/emacs/lisp/org/org-protocol
/home/jkirby/.emacs.d/elpa/org-20141110/org-indent hides /home/jkirby/prj/emacs/lisp/org/org-indent
/home/jkirby/.emacs.d/org-jira/soap-inspect hides /home/jkirby/prj/emacs/lisp/net/soap-inspect
/home/jkirby/.emacs.d/org-jira/soap-client hides /home/jkirby/prj/emacs/lisp/net/soap-client

Features:
(shadow sort org-element org-rmail org-mhe org-irc org-info org-gnus
org-docview doc-view jka-compr image-mode org-bibtex bibtex org-bbdb
org-w3m mail-extr emacsbug sendmail smooth-scroll helm-mode helm-files
rx image-dired dired-x dired-aux ffap helm-buffers helm-elscreen
helm-tags helm-bookmark helm-adaptive helm-info helm-net browse-url
bookmark pp helm-locate helm-help helm-match-plugin helm-grep
helm-regexp helm-plugin helm-external helm-utils dired helm helm-source
bbdb bbdb-site timezone dired-details smartscan paren
sanityinc-tomorrow-night-theme color-theme-sanityinc-tomorrow
haskell-yas yasnippet highlight-indentation flymake cc-defs eldoc
company elpy pyvenv elpy-refactor python json ido files-x etags cus-edit
cus-start cus-load savehist jabber jabber-notifications notifications
jabber-libnotify dbus jabber-awesome jabber-osd jabber-wmii
jabber-xmessage jabber-festival jabber-sawfish jabber-ratpoison
jabber-tmux jabber-screen jabber-socks5 jabber-ft-server
jabber-si-server jabber-ft-client jabber-ft-common jabber-si-client
jabber-si-common jabber-feature-neg jabber-truncate jabber-time
jabber-autoaway jabber-vcard-avatars jabber-chatstates jabber-events
jabber-vcard jabber-avatar jabber-activity jabber-watch jabber-modeline
jabber-ahc-presence jabber-ahc jabber-version jabber-ourversion
jabber-muc-nick-completion hippie-exp jabber-browse jabber-search
jabber-register jabber-roster jabber-presence jabber-muc
jabber-bookmarks jabber-private jabber-muc-nick-coloring hexrgb
jabber-widget jabber-disco wid-edit jabber-chat jabber-history
jabber-chatbuffer jabber-alert jabber-iq jabber-core jabber-console
sgml-mode ewoc jabber-keymap jabber-sasl sasl sasl-anonymous sasl-login
sasl-plain fsm jabber-logon jabber-conn srv dns starttls gnutls
jabber-xml jabber-menu jabber-util git-gutter-fringe+ fringe-helper
git-gutter+ ob-sh ob-python ob-R git-link magit-find-file dash
magit-key-mode magit view tramp tramp-compat tramp-loaddefs trampver
shell help-mode grep compile epa derived epg diff-mode autorevert
filenotify git-rebase-mode thingatpt git-commit-mode server log-edit
message rfc822 mml mml-sec mailabbrev mail-utils gmm-utils mailheader
pcvs-util add-log org-jira jiralib soap-client mm-decode mm-bodies
mm-encode url-http tls url-auth mail-parse rfc2231 rfc2047 rfc2045
ietf-drums url-gw url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util url-parse auth-source
gnus-util mm-util mail-prsvr password-cache url-vars mailcap warnings
xml org org-macro org-footnote org-pcomplete pcomplete org-list
org-faces org-entities noutline outline easy-mmode org-version
ob-emacs-lisp ob ob-tangle ob-ref ob-lob ob-table ob-exp org-src ob-keys
ob-comint comint ansi-color ring ob-core ob-eval org-compat org-macs
org-loaddefs format-spec find-func cal-menu calendar cal-loaddefs
ace-jump-mode-autoloads ag-autoloads apache-mode-autoloads
bbdb-autoloads calfw-autoloads calfw-gcal-autoloads
coffee-mode-autoloads color-theme-sanityinc-tomorrow-autoloads
color-theme-solarized-autoloads color-theme-autoloads
dired-details-autoloads eimp-autoloads elixir-mode-autoloads
elnode-autoloads db-autoloads creole-autoloads elpy-autoloads
company-autoloads erc-hl-nicks-autoloads erlang-autoloads
fakir-autoloads find-file-in-project-autoloads flymake-autoloads
flymake-cursor-autoloads advice git-gutter-autoloads
git-gutter-fringe+-autoloads fringe-helper-autoloads
git-gutter+-autoloads git-link-autoloads goto-last-change-autoloads
haskell-mode-autoloads edmacro kmacro helm-ag-autoloads
helm-ag-r-autoloads helm-autoloads async-autoloads
highlight-indentation-autoloads idomenu-autoloads
impatient-mode-autoloads htmlize-autoloads jabber-autoloads
jedi-autoloads auto-complete-autoloads epc-autoloads ctable-autoloads
concurrent-autoloads json-mode-autoloads json-reformat-autoloads
json-snatcher-autoloads kv-autoloads magit-filenotify-autoloads
magit-find-file-autoloads magit-gh-pulls-autoloads magit-autoloads
git-rebase-mode-autoloads git-commit-mode-autoloads gh-autoloads eieio
byte-opt bytecomp byte-compile cl-extra cconv eieio-core
logito-autoloads markdown-mode+-autoloads markdown-mode-autoloads
noctilux-theme-autoloads noflet-autoloads org2blog-autoloads
metaweblog-autoloads info easymenu org-autoloads popup-autoloads
pymacs-autoloads python-environment-autoloads deferred-autoloads
pyvenv-autoloads rainbow-delimiters-autoloads restclient-autoloads
simple-httpd-autoloads smartscan-autoloads smooth-scroll-autoloads
unicode-fonts-autoloads ucs-utils-autoloads font-utils-autoloads
persistent-soft-autoloads list-utils-autoloads help-fns cl-macs cl gv
cl-loaddefs cl-lib pcache-autoloads w3m-autoloads web-autoloads
s-autoloads dash-autoloads web-mode-autoloads wsd-mode-autoloads
xml-rpc-autoloads yaml-mode-autoloads yasnippet-autoloads package
epg-config time-date tooltip electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify dynamic-setting system-font-setting font-render-setting
x-toolkit x multi-tty emacs)

Memory information:
((conses 16 386249 17669)
 (symbols 48 48143 0)
 (miscs 40 127 155)
 (strings 32 109288 15394)
 (string-bytes 1 3257676)
 (vectors 16 40156)
 (vector-slots 8 716502 18016)
 (floats 8 306 281)
 (intervals 56 485 0)
 (buffers 960 16)
 (heap 1024 61907 5826))




Acknowledgement sent to Justin Kirby <justinkirby@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#20036; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 12 Aug 2015 12:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.